GNU bug report logs - #56025
29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ken Brown <kbrown@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 26 Jun 2022 17:12:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 26 13:12:20 2022
Received: from localhost ([127.0.0.1]:48923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o5Vo3-00064u-TF
	for submit <at> debbugs.gnu.org; Sun, 26 Jun 2022 13:12:20 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:35569)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1o5Vnz-00064e-U8
 for 56025 <at> debbugs.gnu.org; Sun, 26 Jun 2022 13:12:18 -0400
Received: by mail-wr1-f46.google.com with SMTP id q5so4554472wrc.2
 for <56025 <at> debbugs.gnu.org>; Sun, 26 Jun 2022 10:12:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=email-arizona-edu.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version;
 bh=O/TQMLhVp2Ql6unoWjldzIoOGLfM8GGZTVtv71RLavs=;
 b=b/uhXToUn0i9xCmo+9/99PA4F6Q0AShHb9nxKrFw4gHNq9a4kLQgybYXqAFFGQMkF6
 ysNXrYir9qE9PBCWD+B0scAbdRwmlIP1o0MeHH5zxpsQ3IYD8ud36aUrP/WDA9jz66ax
 iVq7eiVyWpzHOWuznSLU0rV7YQoJDYldSLrP6bvLAyL5Wcn8edaGdJd5EgLcP+9cWP09
 1PoSbeHjES+aQl8Ohw4VVAa+PGrPLqjDLLqC5WoA+/qN/NY1CJpwTGCicFDomrNvKXVd
 I9XoNe26pgeV0yJAImMGq5//Wn0fhElxUTcEPe5ZrMOQIWaN4aFc0rWcHNu2H/fPsuk/
 1RIg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=O/TQMLhVp2Ql6unoWjldzIoOGLfM8GGZTVtv71RLavs=;
 b=eKzh28jPVmltqq+z+kcv2LbMksPQTO9edvfvZqNMObCeQaA3b3JhfvVUDnPRvp4b3f
 OcX0HQfCy1EJw+pdvQ0DeRz40loNya0v0d1bdWw6PWmiE3/EIx8eDsviVd0NbW827C5R
 gdGTD96ylqIJb7bqElnjjdGXWeZw488IaditPPGCbQJbqlxOVHN8Tw3FfvJ2LYHV09Zw
 FVgmPssJgpZ5493NgJcnvBQsLzc/TYNKpOYisTW6TbPTo20PpAyOaiCfYW8wyYtpfKQR
 ClU2ygx1nh6ttJKNDjrGzBV+xBst/kLpkZ4+fBzEDpJVU1QbDyGuOP2NottKfjM/M35L
 TaLA==
X-Gm-Message-State: AJIora+nKJ8CUH007uQtngftYlA6+3Fw0z3hPBU6nZ+odnFMmyFN6xK0
 NnmNk+67Bf8EE5r187PuNiZgu+DbyJFdJ0pl1M4JqZTFOF5UQE7c3YlAFp5P4prSju3Gxfdx9gH
 lkmsQaw==
X-Google-Smtp-Source: AGRyM1syLU3YZ7v24B221pGlR72GPgMSVUa5/Pfsz5/w8SSn/q5j3/iUdwh11hdpoMdBDnmR3ktEdQ==
X-Received: by 2002:a5d:5181:0:b0:20f:fc49:6b88 with SMTP id
 k1-20020a5d5181000000b0020ffc496b88mr9039731wrv.596.1656263530065; 
 Sun, 26 Jun 2022 10:12:10 -0700 (PDT)
Received: from athena.silentflame.com (coeus.silentflame.com.
 [2a01:4f8:c010:9ea2::1]) by smtp.gmail.com with ESMTPSA id
 11-20020a05600c268b00b003a03a8475bfsm9924721wmt.16.2022.06.26.10.12.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 26 Jun 2022 10:12:09 -0700 (PDT)
Received: by athena.silentflame.com (Postfix, from userid 1000)
 id E62391B6300; Sun, 26 Jun 2022 17:12:08 +0000 (UTC)
From: Sean Whitton <spwhitton@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, Ken
 Brown <kbrown@HIDDEN>
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
In-Reply-To: <dfd80016-eeb3-82e3-2de6-c7bb34d07cbe@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
 <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
 <e14c3b37-fa3d-7793-d6f4-5f2b7f29ea70@HIDDEN>
 <040b3a36-459b-a94d-f879-7f45aac50bda@HIDDEN>
 <83sfnud26o.fsf@HIDDEN> <96e47ba7-efaa-b6df-dd98-60f09068e68c@HIDDEN>
 <874k097lbh.fsf@HIDDEN>
 <dfd80016-eeb3-82e3-2de6-c7bb34d07cbe@HIDDEN>
User-Agent: Notmuch/0.36 Emacs/29.0.50 (x86_64-pc-linux-gnu)
Date: Sun, 26 Jun 2022 10:12:08 -0700
Message-ID: <8735frmjrr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ua-ms: gsuite
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
Cc: larsi@HIDDEN, 56025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

On Fri 24 Jun 2022 at 04:03pm -07, Jim Porter wrote:

>    When [EOF is] received, all the bytes waiting to be read are
>    immediately passed to the process without waiting for a <newline>, and
>    the EOF is discarded. Thus, if there are no bytes waiting (that is,
>    the EOF occurred at the beginning of a line), a byte count of zero
>    shall be returned from the read(), representing an end-of-file
>    indication.
>
> I interpret that to mean that the preferred way to indicate end-of-file
> to `rev' in this case is to send it "hi [NL] [EOF]". The second EOF that
> Eshell sends when closing the stderr output handle is superfluous, but
> it works fine as far as I can tell.
>
> [1] https://pubs.opengroup.org/onlinepubs/9699919799/basedefs/V1_chap11.html

The text states unconditionally that when an EOF is received it is
discarded by the OS.  So we can infer that it's fine to send three,
according to the standard -- it's not just that it happens to work.

Thanks again for working on this.

-- 
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 56025 <at> debbugs.gnu.org and Ken Brown <kbrown@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 26 Jun 2022 16:27:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 26 12:27:49 2022
Received: from localhost ([127.0.0.1]:48862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o5V6y-0002l5-T4
	for submit <at> debbugs.gnu.org; Sun, 26 Jun 2022 12:27:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o5V6x-0002kq-Ob
 for 56025 <at> debbugs.gnu.org; Sun, 26 Jun 2022 12:27:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=20SWTl94ozurjNPmfYwJn++pXeTuTQkt0/CBg2dd7Xc=; b=cVqUJL2S0rnU/GdOxgekBSffIw
 gomWj2jwmq/jVfCCikPvSzmJAxYq+UcPn982tovL3Zj+eGqzB1amBsYM2E9vEHLadJwpDQWH0vM7h
 to4AZ3zmKDvH4618p0vK9hDeT0HB0jNl+4/D9xy3nQxcWjcnN8MJONDytOkzx12DQOJE=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o5V6m-0003tg-7t; Sun, 26 Jun 2022 18:27:38 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
 <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
 <e14c3b37-fa3d-7793-d6f4-5f2b7f29ea70@HIDDEN>
 <040b3a36-459b-a94d-f879-7f45aac50bda@HIDDEN>
 <83sfnud26o.fsf@HIDDEN>
 <96e47ba7-efaa-b6df-dd98-60f09068e68c@HIDDEN>
 <874k097lbh.fsf@HIDDEN>
 <dfd80016-eeb3-82e3-2de6-c7bb34d07cbe@HIDDEN>
 <83y1xlb91y.fsf@HIDDEN>
 <0a5b3d44-c475-941f-c35c-7470c14e6d7b@HIDDEN>
 <83r13cadn2.fsf@HIDDEN>
Date: Sun, 26 Jun 2022 18:27:34 +0200
In-Reply-To: <83r13cadn2.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 25 Jun
 2022 19:53:06 +0300")
Message-ID: <87zghzbdah.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> How about this patch?
 I added a reference to the specific section of the >> POSIX specification
 so that it's (hopefully) easy for people to look up >> if they need further
 details. > > LGTM, thanks [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56025
Cc: Jim Porter <jporterbugs@HIDDEN>, 56025 <at> debbugs.gnu.org,
 spwhitton@HIDDEN, kbrown@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> How about this patch? I added a reference to the specific section of the 
>> POSIX specification so that it's (hopefully) easy for people to look up 
>> if they need further details.
>
> LGTM, thanks.

Pushed to Emacs 29 now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 25 Jun 2022 16:53:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 25 12:53:17 2022
Received: from localhost ([127.0.0.1]:46139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o5925-00068W-LI
	for submit <at> debbugs.gnu.org; Sat, 25 Jun 2022 12:53:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1o5924-00068L-Gh
 for 56025 <at> debbugs.gnu.org; Sat, 25 Jun 2022 12:53:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35064)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o591x-0002wh-On; Sat, 25 Jun 2022 12:53:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=F6VJpvnz8JRaDvPEaJbLS+Qq395s7BFPplYd1QpLRpU=; b=NE4S2jERbpRb
 xjOS1QrzOWWHdr+LUFb3MUDhLcAhSFYvaTdpMXrQvOAY7BDInNhNl2ZZR1kwyUH3lRv4+HjEpwIc6
 NcFYNhKsQF+ycFHghxX6hPFftS3Vlfnx5x33EtxPjH0KoHGuGciAJhE/4+tMxr6bHjacZMh8iz3Ml
 d7tFi5XlpZ36FiQD3kh+i0ZNw6NFuAYS5Su1zrIa2GQG7s1+ocBmZqt/8sMyHn2cNeXiaEpVfxQun
 xrwWy7/NNxtsN8Jqrxtndyo8uJXVvcWyFR2BEkf2hvXg0Wy1wsPTzo802xOGZ6TsB73BCE7T8r+OD
 b3gsfOv9xi0yWk8uXUAE2Q==;
Received: from [87.69.77.57] (port=1504 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o591x-0005ea-8o; Sat, 25 Jun 2022 12:53:09 -0400
Date: Sat, 25 Jun 2022 19:53:06 +0300
Message-Id: <83r13cadn2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
In-Reply-To: <0a5b3d44-c475-941f-c35c-7470c14e6d7b@HIDDEN> (message from
 Jim Porter on Sat, 25 Jun 2022 09:13:46 -0700)
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
 <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
 <e14c3b37-fa3d-7793-d6f4-5f2b7f29ea70@HIDDEN>
 <040b3a36-459b-a94d-f879-7f45aac50bda@HIDDEN> <83sfnud26o.fsf@HIDDEN>
 <96e47ba7-efaa-b6df-dd98-60f09068e68c@HIDDEN>
 <874k097lbh.fsf@HIDDEN>
 <dfd80016-eeb3-82e3-2de6-c7bb34d07cbe@HIDDEN> <83y1xlb91y.fsf@HIDDEN>
 <0a5b3d44-c475-941f-c35c-7470c14e6d7b@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56025
Cc: larsi@HIDDEN, 56025 <at> debbugs.gnu.org, spwhitton@HIDDEN,
 kbrown@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: larsi@HIDDEN, 56025 <at> debbugs.gnu.org, spwhitton@HIDDEN,
>  kbrown@HIDDEN
> From: Jim Porter <jporterbugs@HIDDEN>
> Date: Sat, 25 Jun 2022 09:13:46 -0700
> 
> >>     When [EOF is] received, all the bytes waiting to be read are
> >>     immediately passed to the process without waiting for a <newline>, and
> >>     the EOF is discarded. Thus, if there are no bytes waiting (that is,
> >>     the EOF occurred at the beginning of a line), a byte count of zero
> >>     shall be returned from the read(), representing an end-of-file
> >>     indication.
> > 
> > Perhaps some reference to this should also be in the comments.
> 
> How about this patch? I added a reference to the specific section of the 
> POSIX specification so that it's (hopefully) easy for people to look up 
> if they need further details.

LGTM, thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 25 Jun 2022 16:13:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 25 12:13:58 2022
Received: from localhost ([127.0.0.1]:46074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o58Q2-00052q-0S
	for submit <at> debbugs.gnu.org; Sat, 25 Jun 2022 12:13:58 -0400
Received: from mail-pl1-f178.google.com ([209.85.214.178]:42956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1o58Py-00052O-FQ
 for 56025 <at> debbugs.gnu.org; Sat, 25 Jun 2022 12:13:57 -0400
Received: by mail-pl1-f178.google.com with SMTP id jb13so4632104plb.9
 for <56025 <at> debbugs.gnu.org>; Sat, 25 Jun 2022 09:13:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:cc:references:from:message-id:date:mime-version
 :in-reply-to:content-language;
 bh=ZjVrxDJY4b/p52rzvgqSsuAzEFFkjtHW9LRW6uaGV5g=;
 b=hxSKXS4ewAkJSlvdvc/mfUMNOfu7tjSTb1AK1fjWhldNhT3sVTdGDEL6OjAVLWplz/
 CDw3rBnjs/aXnqN+1AMHeUjop5x4KI9PWHhZmHyp6og3yTuz8fUju1NrdTu19PZL621h
 ORszn6BxBfufInM4XymC1tsyNOlcjuA7E4vkSd1ZLJjf7VghrHw28NZ9TatYqkvh38SY
 vXU7bkXCG9hlpFHlJfldTSGScrwnjC4xek89VGuHNYwwj7JPW0KKzJWdek3lV3IaNndn
 Jxm/QPBHBDg3r2dizLpu9vc8n+9Et4l0DfgBZCNxGQkS+Gv7l6DPc9GHG36IGzOhcM0W
 yEkw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :mime-version:in-reply-to:content-language;
 bh=ZjVrxDJY4b/p52rzvgqSsuAzEFFkjtHW9LRW6uaGV5g=;
 b=CuBNsyiT58M4jG0mYlMik1cgcPpMplkoFTDk474oIyZqzOWHYava3b6CvOxSvS/yOc
 3JLSflkhnMWPTJ6UlBdsjAIHCKEMSSmG8U8gSMS6JFIwzqbLSYJGyGW6ExqRxSoN0JLP
 i/J597hE4d7b8fdWy3+ACaLrGXTpj7R19oGnBMUHtZwww+e+jQY7zIUwCPD/UPUmXCGb
 IRc6kQJsDfvJfYKW7fXKiJxj4kiU5I+sequxV9yi9mPuOVlYK/Bm9MXZc7xnwuOYXGgA
 3lWvtrknpqaVc+6k2lJ/qfnVtNcskzZBbs4ZMvd6GD004It3H00ZSnr5131MkwkkDcgq
 YgaA==
X-Gm-Message-State: AJIora8XQ1fxhkkwGmSsXxn68+H59rDEfMuNECU26I+jKYXGqeS3dEgs
 yuHOal6P45EcWlh4pcTQOI4=
X-Google-Smtp-Source: AGRyM1u6ztit3d6xOaKIJwt49antt096fOsEHkw4XkQYG443kUWjxaz5u3NHT4A3wixqB5FWmFvwIQ==
X-Received: by 2002:a17:902:bb8c:b0:16a:7492:1c0 with SMTP id
 m12-20020a170902bb8c00b0016a749201c0mr5248096pls.54.1656173627637; 
 Sat, 25 Jun 2022 09:13:47 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 rm10-20020a17090b3eca00b001df264610c4sm14773049pjb.0.2022.06.25.09.13.45
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 25 Jun 2022 09:13:46 -0700 (PDT)
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
To: Eli Zaretskii <eliz@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
 <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
 <e14c3b37-fa3d-7793-d6f4-5f2b7f29ea70@HIDDEN>
 <040b3a36-459b-a94d-f879-7f45aac50bda@HIDDEN> <83sfnud26o.fsf@HIDDEN>
 <96e47ba7-efaa-b6df-dd98-60f09068e68c@HIDDEN>
 <874k097lbh.fsf@HIDDEN>
 <dfd80016-eeb3-82e3-2de6-c7bb34d07cbe@HIDDEN> <83y1xlb91y.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <0a5b3d44-c475-941f-c35c-7470c14e6d7b@HIDDEN>
Date: Sat, 25 Jun 2022 09:13:46 -0700
MIME-Version: 1.0
In-Reply-To: <83y1xlb91y.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------567E61DEE309D3FBE5A4DD56"
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
Cc: larsi@HIDDEN, 56025 <at> debbugs.gnu.org, spwhitton@HIDDEN,
 kbrown@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------567E61DEE309D3FBE5A4DD56
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

On 6/24/2022 10:34 PM, Eli Zaretskii wrote:
>> Cc: larsi@HIDDEN, 56025 <at> debbugs.gnu.org
>> From: Jim Porter <jporterbugs@HIDDEN>
>> Date: Fri, 24 Jun 2022 16:03:13 -0700
>>
>> POSIX standard says[1] (thanks to Eliot Moss on the Cygwin mailing list
>> for citing this passage):
>>
>>     When [EOF is] received, all the bytes waiting to be read are
>>     immediately passed to the process without waiting for a <newline>, and
>>     the EOF is discarded. Thus, if there are no bytes waiting (that is,
>>     the EOF occurred at the beginning of a line), a byte count of zero
>>     shall be returned from the read(), representing an end-of-file
>>     indication.
> 
> Perhaps some reference to this should also be in the comments.

How about this patch? I added a reference to the specific section of the 
POSIX specification so that it's (hopefully) easy for people to look up 
if they need further details.

--------------567E61DEE309D3FBE5A4DD56
Content-Type: text/plain; charset=UTF-8;
 name="0001-When-closing-an-Eshell-process-target-send-EOF-three.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="0001-When-closing-an-Eshell-process-target-send-EOF-three.pa";
 filename*1="tch"

RnJvbSA4NjY0ZTZmM2RjOWU0MGQxZmFlOGE0NGRjNGM0NDRhYjQwNTEwYTE4IE1vbiBTZXAg
MTcgMDA6MDA6MDAgMjAwMQpGcm9tOiBKaW0gUG9ydGVyIDxqcG9ydGVyYnVnc0BnbWFpbC5j
b20+CkRhdGU6IEZyaSwgMjQgSnVuIDIwMjIgMDk6MTQ6MzggLTA3MDAKU3ViamVjdDogW1BB
VENIXSBXaGVuIGNsb3NpbmcgYW4gRXNoZWxsIHByb2Nlc3MgdGFyZ2V0LCBzZW5kIEVPRiB0
aHJlZSB0aW1lcwoKKiBsaXNwL2VzaGVsbC9lc2gtaW8uZWwgKGVzaGVsbC1jbG9zZS10YXJn
ZXQpOiBTZW5kIEVPRiAzIHRpbWVzLgoKKiB0ZXN0L2xpc3AvZXNoZWxsL2VtLWV4dHBpcGUt
dGVzdHMuZWwgKGVtLWV4dHBpcGUtdGVzdHMtLWRlZnRlc3QpOgpSZS1lbmFibGUgdGhlc2Ug
dGVzdHMgb24gRU1CQS4KClRoaXMgcGF0Y2ggaXMgYWRhcHRlZCBieSBvbmUgZnJvbSBLZW4g
QnJvd24sIHdobyB1bmNvdmVyZWQgdGhlIHJlYXNvbgpmb3IgdGhpcyBidWcgKGJ1ZyM1NjAy
NSkuCi0tLQogbGlzcC9lc2hlbGwvZXNoLWlvLmVsICAgICAgICAgICAgICAgIHwgMTYgKysr
KysrKysrKysrKystLQogdGVzdC9saXNwL2VzaGVsbC9lbS1leHRwaXBlLXRlc3RzLmVsIHwg
IDEgLQogMiBmaWxlcyBjaGFuZ2VkLCAxNCBpbnNlcnRpb25zKCspLCAzIGRlbGV0aW9ucygt
KQoKZGlmZiAtLWdpdCBhL2xpc3AvZXNoZWxsL2VzaC1pby5lbCBiL2xpc3AvZXNoZWxsL2Vz
aC1pby5lbAppbmRleCAzNjQ0YzFhMThiLi5jMDM1ODkwZGRmIDEwMDY0NAotLS0gYS9saXNw
L2VzaGVsbC9lc2gtaW8uZWwKKysrIGIvbGlzcC9lc2hlbGwvZXNoLWlvLmVsCkBAIC0yNzYs
OCArMjc2LDIwIEBAIGVzaGVsbC1jbG9zZS10YXJnZXQKICAgIDs7IElmIHdlJ3JlIHJlZGly
ZWN0aW5nIHRvIGEgcHJvY2VzcyAodmlhIGEgcGlwZSwgb3IgcHJvY2VzcwogICAgOzsgcmVk
aXJlY3Rpb24pLCBzZW5kIGl0IEVPRiBzbyB0aGF0IGl0IGtub3dzIHdlJ3JlIGZpbmlzaGVk
LgogICAgKChlc2hlbGwtcHJvY2Vzc3AgdGFyZ2V0KQotICAgIChpZiAoZXEgKHByb2Nlc3Mt
c3RhdHVzIHRhcmdldCkgJ3J1bikKLQkocHJvY2Vzcy1zZW5kLWVvZiB0YXJnZXQpKSkKKyAg
ICA7OyBBY2NvcmRpbmcgdG8gUE9TSVguMS0yMDE3LCBzZWN0aW9uIDExLjEuOSwgc2VuZGlu
ZyBFT0YgY2F1c2VzCisgICAgOzsgYWxsIGJ5dGVzIHdhaXRpbmcgdG8gYmUgcmVhZCB0byBi
ZSBzZW50IHRvIHRoZSBwcm9jZXNzCisgICAgOzsgaW1tZWRpYXRlbHkuICBUaHVzLCBpZiB0
aGVyZSBhcmUgYW55IGJ5dGVzIHdhaXRpbmcsIHdlIG5lZWQgdG8KKyAgICA7OyBzZW5kIEVP
RiB0d2ljZTogb25jZSB0byBmbHVzaCB0aGUgYnVmZmVyLCBhbmQgYSBzZWNvbmQgdGltZSB0
bworICAgIDs7IGNhdXNlIHRoZSBuZXh0IHJlYWQoKSB0byByZXR1cm4gYSBzaXplIG9mIDAs
IGluZGljYXRpbmcKKyAgICA7OyBlbmQtb2YtZmlsZSB0byB0aGUgcmVhZGluZyBwcm9jZXNz
LiAgSG93ZXZlciwgc29tZSBwbGF0Zm9ybXMKKyAgICA7OyAoZS5nLiBTb2xhcmlzKSBhY3R1
YWxseSByZXF1aXJlIHNlbmRpbmcgYSAqdGhpcmQqIEVPRi4gIFNpbmNlCisgICAgOzsgc2Vu
ZGluZyBleHRyYSBFT0ZzIHdoaWxlIHRoZSBwcm9jZXNzIGlzIHJ1bm5pbmcgc2hvdWxkbid0
IGJyZWFrCisgICAgOzsgYW55dGhpbmcsIHdlJ2xsIGp1c3Qgc2VuZCB0aGUgbWF4aW11bSB3
ZSdkIGV2ZXIgbmVlZC4gIFNlZQorICAgIDs7IGJ1ZyM1NjAyNSBmb3IgZnVydGhlciBkZXRh
aWxzLgorICAgIChsZXQgKChpIDApKQorICAgICAgKHdoaWxlIChhbmQgKDw9IChjbC1pbmNm
IGkpIDMpCisgICAgICAgICAgICAgICAgICAoZXEgKHByb2Nlc3Mtc3RhdHVzIHRhcmdldCkg
J3J1bikpCisgICAgICAgIChwcm9jZXNzLXNlbmQtZW9mIHRhcmdldCkpKSkKIAogICAgOzsg
QSBwbGFpbiBmdW5jdGlvbiByZWRpcmVjdGlvbiBuZWVkcyBubyBhZGRpdGlvbmFsIGFyZ3Vt
ZW50cwogICAgOzsgcGFzc2VkLgpkaWZmIC0tZ2l0IGEvdGVzdC9saXNwL2VzaGVsbC9lbS1l
eHRwaXBlLXRlc3RzLmVsIGIvdGVzdC9saXNwL2VzaGVsbC9lbS1leHRwaXBlLXRlc3RzLmVs
CmluZGV4IDNiODRkNzYzYWMuLjI5ZjVkYzA1NTEgMTAwNjQ0Ci0tLSBhL3Rlc3QvbGlzcC9l
c2hlbGwvZW0tZXh0cGlwZS10ZXN0cy5lbAorKysgYi90ZXN0L2xpc3AvZXNoZWxsL2VtLWV4
dHBpcGUtdGVzdHMuZWwKQEAgLTcxLDcgKzcxLDYgQEAgZW0tZXh0cGlwZS10ZXN0cy0tZGVm
dGVzdAogICAgICAgIChza2lwLXVubGVzcyBzaGVsbC1maWxlLW5hbWUpCiAgICAgICAgKHNr
aXAtdW5sZXNzIHNoZWxsLWNvbW1hbmQtc3dpdGNoKQogICAgICAgIChza2lwLXVubGVzcyAo
ZXhlY3V0YWJsZS1maW5kIHNoZWxsLWZpbGUtbmFtZSkpCi0gICAgICAgKHNraXAtdW5sZXNz
IChub3QgKGdldGVudiAiRU1BQ1NfRU1CQV9DSSIpKSkKICAgICAgICAobGV0ICgoaW5wdXQg
LGlucHV0KSkKICAgICAgICAgICh3aXRoLXRlbXAtZXNoZWxsICxAYm9keSkpKSkpCiAKLS0g
CjIuMjUuMQoK
--------------567E61DEE309D3FBE5A4DD56--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 25 Jun 2022 05:34:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 25 01:34:50 2022
Received: from localhost ([127.0.0.1]:43973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4yRV-0000tG-VP
	for submit <at> debbugs.gnu.org; Sat, 25 Jun 2022 01:34:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1o4yRR-0000t1-TK
 for 56025 <at> debbugs.gnu.org; Sat, 25 Jun 2022 01:34:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52708)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o4yRL-00040U-MU; Sat, 25 Jun 2022 01:34:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=9K3e7EtFk2JkFLfhx9GuoE34Jue5aBKKHacR2uo1DHA=; b=rw3AlG7clY0+
 sjIQq6wiVtS+i0FAYzZqiD/1KRG66f3XvJTNbuESKaBlplOylfw5Y2TeVeZo014UNeh1/FWRA/XgE
 o/LN0/U6sWOFGAbgMJg64uPOHt5qcv7XvQPiow9z17p7X4X4EGVbkUrCoaXGI3RWvvbj42XLe1IaQ
 8GVateew+iG1dFBrfoPXbNvyvPVZwaqvI2yJIhbor6zPmaUShy8tzW6yABddjNUvWGSI5dU16YmE6
 9AeD/vsfciA7mg0vuurO2gijkJ41G4m6UmVmCQUVJEYb78yxEeV8enO6x16eMJcawMn5cZkSCS0nV
 2rPuSL/KlARWqP+zSxwVng==;
Received: from [87.69.77.57] (port=2683 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o4yRL-0003yn-4y; Sat, 25 Jun 2022 01:34:39 -0400
Date: Sat, 25 Jun 2022 08:34:33 +0300
Message-Id: <83y1xlb91y.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>
In-Reply-To: <dfd80016-eeb3-82e3-2de6-c7bb34d07cbe@HIDDEN> (message from
 Jim Porter on Fri, 24 Jun 2022 16:03:13 -0700)
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
 <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
 <e14c3b37-fa3d-7793-d6f4-5f2b7f29ea70@HIDDEN>
 <040b3a36-459b-a94d-f879-7f45aac50bda@HIDDEN> <83sfnud26o.fsf@HIDDEN>
 <96e47ba7-efaa-b6df-dd98-60f09068e68c@HIDDEN>
 <874k097lbh.fsf@HIDDEN>
 <dfd80016-eeb3-82e3-2de6-c7bb34d07cbe@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56025
Cc: larsi@HIDDEN, 56025 <at> debbugs.gnu.org, spwhitton@HIDDEN,
 kbrown@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: larsi@HIDDEN, 56025 <at> debbugs.gnu.org
> From: Jim Porter <jporterbugs@HIDDEN>
> Date: Fri, 24 Jun 2022 16:03:13 -0700
> 
> POSIX standard says[1] (thanks to Eliot Moss on the Cygwin mailing list 
> for citing this passage):
> 
>    When [EOF is] received, all the bytes waiting to be read are
>    immediately passed to the process without waiting for a <newline>, and
>    the EOF is discarded. Thus, if there are no bytes waiting (that is,
>    the EOF occurred at the beginning of a line), a byte count of zero
>    shall be returned from the read(), representing an end-of-file
>    indication.

Perhaps some reference to this should also be in the comments.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 24 Jun 2022 23:03:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 24 19:03:23 2022
Received: from localhost ([127.0.0.1]:43809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4sKh-0007dY-EH
	for submit <at> debbugs.gnu.org; Fri, 24 Jun 2022 19:03:23 -0400
Received: from mail-pg1-f179.google.com ([209.85.215.179]:34562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1o4sKf-0007dK-24
 for 56025 <at> debbugs.gnu.org; Fri, 24 Jun 2022 19:03:22 -0400
Received: by mail-pg1-f179.google.com with SMTP id g186so3701712pgc.1
 for <56025 <at> debbugs.gnu.org>; Fri, 24 Jun 2022 16:03:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:cc:references:from:message-id:date:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=bO4Odkk6XVhIbB2rpkqBGbX8sPv9RgZkvXTa+X8vWsU=;
 b=DBmIAKVRCuMwELfKV6NXFzVkFH+9nuc5zwipod7QswjO87gfEV8egfXqSnMRlj0cRx
 9i90lVKIcY3pghgP9iqOPwNFoc9KYRRyLLGY4jlIHUQ+igE9gonL9oLd/EpnkFyog8JP
 rYFk+fCV6woTqJIRRYyJ+GhGVu7PewBr5qVXMHG8NN9p5h7FtcO9JhaljEewogLpPBtE
 Ru2bZbvXm+BPu7bFnJm5o2K3QXw6BxCz0SlXvaP3Ef6EpOulwiHNes6h/mjaLvf3KQya
 e3McsqjKUM0w/0cPxQQt5xSbva+GTldWsk11U7dC/cf+giGPACX657tTK5k7kej1Y1r+
 PQyw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=bO4Odkk6XVhIbB2rpkqBGbX8sPv9RgZkvXTa+X8vWsU=;
 b=QqUXyXhLjV2G0l+YS8/AGnUu6Uq2aNIMK24v/nTjZXgDvlxsLhHoq1Hb1cO3yzNadr
 Bif0ri4ZDGiP5hsYehWf+FRRfeQu9WYbJLP0TRc9GYc2iGLjHDk5JenzD6LHpCL5romH
 9DLQ76V5LTVpYKJ1kyjtdkd2OEMhV3csBmgTNSuR9/TiT0URC9mrJFDUuIkqlbWqPSJb
 qn82o1fDDtiqXFyAPvfgSfPY8Xz26p1qc0DDZVuDbg9vJ002xtNnRCG+9jOU3J6KGbDF
 QW+5tE8/Xd850M9olD1VZP6bXK8QyefKdBGIy1pXSZiWsPpKc4KvDdq6JJszC9u2EHSj
 SBUQ==
X-Gm-Message-State: AJIora+C+R+eXi9wQ50e06UyiMrCN1bt44ELz07aoiEu34ogh/r8GUjA
 sRKWr1rx5KdSzWW+s2YCnacUbi8XaBc=
X-Google-Smtp-Source: AGRyM1uRZvguOuPhLxwDnFjyAQ3C2vkrZiKIpwFLk9KWVmS4JJq/ZXjP5OD5uViUFB5F4S8HYRM+JQ==
X-Received: by 2002:a62:ce8a:0:b0:525:706f:14c9 with SMTP id
 y132-20020a62ce8a000000b00525706f14c9mr1437825pfg.55.1656111795114; 
 Fri, 24 Jun 2022 16:03:15 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 p24-20020a170902a41800b001635a8f9dfdsm2334330plq.26.2022.06.24.16.03.13
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 24 Jun 2022 16:03:14 -0700 (PDT)
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
To: Sean Whitton <spwhitton@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, 
 Ken Brown <kbrown@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
 <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
 <e14c3b37-fa3d-7793-d6f4-5f2b7f29ea70@HIDDEN>
 <040b3a36-459b-a94d-f879-7f45aac50bda@HIDDEN> <83sfnud26o.fsf@HIDDEN>
 <96e47ba7-efaa-b6df-dd98-60f09068e68c@HIDDEN>
 <874k097lbh.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <dfd80016-eeb3-82e3-2de6-c7bb34d07cbe@HIDDEN>
Date: Fri, 24 Jun 2022 16:03:13 -0700
MIME-Version: 1.0
In-Reply-To: <874k097lbh.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
Cc: larsi@HIDDEN, 56025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6/24/2022 3:23 PM, Sean Whitton wrote:
> On Fri 24 Jun 2022 at 09:53AM -07, Jim Porter wrote:
> 
>> How about the attached patch? I didn't check for specific platforms to
>> enable the "third EOF" behavior, since a) it's hard to say for sure
>> which platforms might have this issue (especially since Cygwin will be
>> fixing it), and b) this lets us avoid worrying about Tramp compatibility.
> 
> Avoiding the TRAMP issues makes sense, but could you explain why you
> don't think there could be an issue with sending a process too many
> EOFs?  It's not immediately obvious to me.

Eshell was already sending too many EOFs in some cases, and we haven't 
seen any issues with it (that I know of). For example, consider the command:

   *echo hi | rev

In this case, we send the string "hi\n" over the pipe, followed by 2 
EOFs (one from the stdout handle and one from the stderr handle). The 
POSIX standard says[1] (thanks to Eliot Moss on the Cygwin mailing list 
for citing this passage):

   When [EOF is] received, all the bytes waiting to be read are
   immediately passed to the process without waiting for a <newline>, and
   the EOF is discarded. Thus, if there are no bytes waiting (that is,
   the EOF occurred at the beginning of a line), a byte count of zero
   shall be returned from the read(), representing an end-of-file
   indication.

I interpret that to mean that the preferred way to indicate end-of-file 
to `rev' in this case is to send it "hi [NL] [EOF]". The second EOF that 
Eshell sends when closing the stderr output handle is superfluous, but 
it works fine as far as I can tell.

[1] https://pubs.opengroup.org/onlinepubs/9699919799/basedefs/V1_chap11.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 24 Jun 2022 22:23:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 24 18:23:24 2022
Received: from localhost ([127.0.0.1]:43794 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4ri0-0006af-8f
	for submit <at> debbugs.gnu.org; Fri, 24 Jun 2022 18:23:24 -0400
Received: from mail-pj1-f48.google.com ([209.85.216.48]:40867)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1o4rhz-0006aP-2G
 for 56025 <at> debbugs.gnu.org; Fri, 24 Jun 2022 18:23:23 -0400
Received: by mail-pj1-f48.google.com with SMTP id
 g16-20020a17090a7d1000b001ea9f820449so6975095pjl.5
 for <56025 <at> debbugs.gnu.org>; Fri, 24 Jun 2022 15:23:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=email-arizona-edu.20210112.gappssmtp.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version;
 bh=YingJAc5Kom2/Fy1lATXWzEherc7Nw7DZnCMR593NRA=;
 b=DenEU7wHG4js8sf12jQfUB6nxjy759Y1BtMo2R9X3ckhHhPOuxp6zoXV2trmhklMmS
 WiKNoHXW1tkwSK/kiaMEMWzuBgXpfTwk6vyF1cfNNtxH+XgmvB61R/Y7iNeOCIgpLo8C
 vDPgk4Atu8EAsUWwXOnLydpNQnxMD3nkWbsoKRRzUg3K8mQdEkPu0G75JOVYpHfCp6k8
 ZEOrgD47lH7JPH+9mR09+0DJtnFN1eMK0Kq23Lkx0b9a8DNxMtW8METtnynLrZmdLEC8
 kCTo1KuhsRNth8poyWY4TKzDE8yY0cjB/uw8WPyJm4Oftk6ER/tbaLD6i0LDhmL2HHr3
 EF3Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=YingJAc5Kom2/Fy1lATXWzEherc7Nw7DZnCMR593NRA=;
 b=6glJ/jWZEP+6RGp/iS4TbNlGZl1oEauzPSh6KUrQaz58a/XtYpaGKs7YFN1kgzf203
 UsaT9dLKBOeBmhnf1+wP2d8X+4Nq8VyZsKp+6xHyJjTxkXcNSbOU8A35eCfMVybAhjb4
 O0Ywd8Yj43bZ+rCOXh6DKdYYA5Eu695hsPZDsSNCCGVdnpuc+8/OLKDT/o+VU3m06FFs
 ecfMxknFD3GVc6UKnz7qGpHyirXj03Ruq18ZC4CunlkrT0tt9/KLYrXZWcy2tX3DrwN+
 QkFj14ZRVLNBYFQ/x+EayzO5hjnlVdTajFviut0wiibos6HZSJxJALiSw28ECQfez5E0
 /hdQ==
X-Gm-Message-State: AJIora8osidi5pVf65qIbK0BNlI5qcHhjGyQf0GAYQC6F5eLzL6sVlA1
 fFLNj0oZwF8Xhg50kxAh6riw4I/gnYQ0BSMwCTrLSVGDbEh38V9D/YRzexwOwE5Amow0NaZdqam
 AsxVKkA==
X-Google-Smtp-Source: AGRyM1stPZv5Cu/DUtmYpDdo41OpWHNOW+zer6AuSdtzoEf4E5PAJn7yPEk91jmsUA+KZpsvvGQSAQ==
X-Received: by 2002:a17:902:d905:b0:16a:2917:73dc with SMTP id
 c5-20020a170902d90500b0016a291773dcmr1275603plz.6.1656109396519; 
 Fri, 24 Jun 2022 15:23:16 -0700 (PDT)
Received: from melete.silentflame.com (1-165-135-150.dynamic.arizona.edu.
 [150.135.165.1]) by smtp.gmail.com with ESMTPSA id
 i1-20020a654841000000b003fadfd7be5asm2127410pgs.18.2022.06.24.15.23.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 24 Jun 2022 15:23:16 -0700 (PDT)
Received: by melete.silentflame.com (Postfix, from userid 1000)
 id F35027E3AA4; Fri, 24 Jun 2022 15:23:14 -0700 (MST)
From: Sean Whitton <spwhitton@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, Ken
 Brown <kbrown@HIDDEN>
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
In-Reply-To: <96e47ba7-efaa-b6df-dd98-60f09068e68c@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
 <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
 <e14c3b37-fa3d-7793-d6f4-5f2b7f29ea70@HIDDEN>
 <040b3a36-459b-a94d-f879-7f45aac50bda@HIDDEN>
 <83sfnud26o.fsf@HIDDEN> <96e47ba7-efaa-b6df-dd98-60f09068e68c@HIDDEN>
User-Agent: Notmuch/0.36 Emacs/29.0.50 (x86_64-pc-linux-gnu)
Date: Fri, 24 Jun 2022 15:23:14 -0700
Message-ID: <874k097lbh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ua-ms: gsuite
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
Cc: larsi@HIDDEN, 56025 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

On Fri 24 Jun 2022 at 09:53AM -07, Jim Porter wrote:

> On 6/23/2022 9:40 PM, Sean Whitton wrote:
>  > I'm a bit queasy about an unbounded loop here.  Why not just try three
>  > times?  Or, better, try twice, and a third time only if we're on a
>  > platform where we know it's needed.
>
> How about the attached patch? I didn't check for specific platforms to
> enable the "third EOF" behavior, since a) it's hard to say for sure
> which platforms might have this issue (especially since Cygwin will be
> fixing it), and b) this lets us avoid worrying about Tramp compatibility.

Avoiding the TRAMP issues makes sense, but could you explain why you
don't think there could be an issue with sending a process too many
EOFs?  It's not immediately obvious to me.

-- 
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 24 Jun 2022 16:53:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 24 12:53:20 2022
Received: from localhost ([127.0.0.1]:43352 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4mYa-0003bs-Hi
	for submit <at> debbugs.gnu.org; Fri, 24 Jun 2022 12:53:20 -0400
Received: from mail-pg1-f174.google.com ([209.85.215.174]:38733)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1o4mYY-0003bX-2C
 for 56025 <at> debbugs.gnu.org; Fri, 24 Jun 2022 12:53:19 -0400
Received: by mail-pg1-f174.google.com with SMTP id e63so2936624pgc.5
 for <56025 <at> debbugs.gnu.org>; Fri, 24 Jun 2022 09:53:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:cc:references:from:message-id:date:mime-version
 :in-reply-to:content-language;
 bh=X22cDCGUpUfD3EDKYOwtR1w7jCRCphk/qcjwBPYLOhc=;
 b=QERtl4VoD+wjNBHzXoaVZRnO6h49cM0GSHNVpPQ4M5HVoZaRpSjJwdRAl81l4mfEUm
 OhD1t2sGk8YDgoG5vndRqXdmULc2VsTsWMa44t50lt9hF6n4kif1tDaWh3YP2bAUEllP
 7pd9rEIN9JeeGfgQS6Cdujz5Nq/TFxSmLaqJU4rQChEkrrgl0LM0XvYXIjQ+mueZeGEC
 y1bROyBlmxyZwCe4XrkWDhKRzT+v1ao9+2fP6sERNDUE26BdnZnjqnfajE22/WaJztCN
 D5pu6mKa3PVNDvEuc+ntB2UnEddcHnoVB9GMPwv2pgNXf0iG3XRlAOeshUJK22yiu3e1
 4Q/g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :mime-version:in-reply-to:content-language;
 bh=X22cDCGUpUfD3EDKYOwtR1w7jCRCphk/qcjwBPYLOhc=;
 b=R4ypZtglayLIoGaOJV1rnZBB1PtSAW8Q4ixHQlX0G9mEHF9+QIH38XArOHV/nuaqh6
 Tuc6p26W9GvIYKSR94gbPJ3SVxbd0Xrg+osKzsn/6U0PUJjP9YXMLq42uBMvMO9wGQrH
 y6kKe0KjM5Kz3aHzLKkbK8pZbpR5nOLH/VUotdW1wm6n/Mctv/4eqUhkdU+wpJMtMFD8
 Fy789vx5YOmsIG2mw9MvSaH6Ex1VHG2TODWUAcRdUwJAZC+46YDeeD56L/oX4AuEAdy/
 riY8QHThCaKVF0IqBYh0TtOYWFfF3hWp5Vh6Vl2nUvLhTT9PyEYGHaCVD+/3y/4kxjFh
 rBnw==
X-Gm-Message-State: AJIora/wPd3fihnGXJDjGpa63E5QnQMRrNPB3f4PnE4kiITdt5tqPxS3
 iBTryhZ8U5oXLRuyH1y9Ouo=
X-Google-Smtp-Source: AGRyM1sBzK1alg9m4m6QUycu0SD4Lc41NST3kUsebT/lVkweXuIWB/mp+MRbQGSYX28fw1ZuGPiJjQ==
X-Received: by 2002:a63:724a:0:b0:40c:76b7:3688 with SMTP id
 c10-20020a63724a000000b0040c76b73688mr12506922pgn.621.1656089592021; 
 Fri, 24 Jun 2022 09:53:12 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 u4-20020a170903124400b0016a16e16c7fsm2035318plh.248.2022.06.24.09.53.10
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 24 Jun 2022 09:53:10 -0700 (PDT)
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
To: Eli Zaretskii <eliz@HIDDEN>, Ken Brown <kbrown@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
 <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
 <e14c3b37-fa3d-7793-d6f4-5f2b7f29ea70@HIDDEN>
 <040b3a36-459b-a94d-f879-7f45aac50bda@HIDDEN> <83sfnud26o.fsf@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <96e47ba7-efaa-b6df-dd98-60f09068e68c@HIDDEN>
Date: Fri, 24 Jun 2022 09:53:11 -0700
MIME-Version: 1.0
In-Reply-To: <83sfnud26o.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------CE238D5099019832316E8211"
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
Cc: larsi@HIDDEN, 56025 <at> debbugs.gnu.org, spwhitton@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------CE238D5099019832316E8211
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

On 6/23/2022 9:40 PM, Sean Whitton wrote:
 > I'm a bit queasy about an unbounded loop here.  Why not just try three
 > times?  Or, better, try twice, and a third time only if we're on a
 > platform where we know it's needed.

How about the attached patch? I didn't check for specific platforms to 
enable the "third EOF" behavior, since a) it's hard to say for sure 
which platforms might have this issue (especially since Cygwin will be 
fixing it), and b) this lets us avoid worrying about Tramp compatibility.

 > Many thanks for the investigative work.

Agreed, this turned out to be a much subtler problem than I had 
initially suspected. Thanks!

On 6/23/2022 11:07 PM, Eli Zaretskii wrote:
> Please add there comments explaining why this is done, or at least
> point to relevant messages in this bug's discussion (NOT just to the
> bug number, as the discussion is long and it will be hard to
> understand what part of it is relevant).  Such "tricky" code should
> always have comments explaining it.

I added a comment explaining this to the best of my knowledge. There's 
one additional caveat I didn't mention there though, since it's only 
somewhat related. I believe this was mentioned earlier in the thread, 
but when Eshell creates a pipe, it routes both stdout and stderr to the 
next process's stdin (there's no way to control this behavior yet). When 
closing the handles from the initial process, it then calls 
`eshell-close-target' twice: once for stdout and once for stderr. Thus, 
with this patch, we'll call `process-send-eof' up to six times.

I'm not sure this is really a problem in practice today, but it might 
come up if Eshell gains the ability to redirect stdout and stderr 
separately.

--------------CE238D5099019832316E8211
Content-Type: text/plain; charset=UTF-8;
 name="0001-When-closing-an-Eshell-process-target-send-EOF-three.patch"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="0001-When-closing-an-Eshell-process-target-send-EOF-three.pa";
 filename*1="tch"
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--------------CE238D5099019832316E8211--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 24 Jun 2022 06:08:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 24 02:08:01 2022
Received: from localhost ([127.0.0.1]:40602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4cU5-00069w-C2
	for submit <at> debbugs.gnu.org; Fri, 24 Jun 2022 02:08:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1o4cU2-00069g-GC
 for 56025 <at> debbugs.gnu.org; Fri, 24 Jun 2022 02:07:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56092)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o4cTv-0006lD-9U; Fri, 24 Jun 2022 02:07:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=7JgWOOHkXGsbLgnj2eglfl0hc9EyiEJPJNsIaYYT/Fo=; b=mlYnp1n8V8JK
 les738IPsWKfgSATKrIwL9ZZYGoaAW2R8CyhSLJ7mMZuPs0C/UgW2QuSYt7HCYLo1a0/LvSSELUdM
 LJwYpTVXuT4kfae3+lwYXTnhjS7SZ6+oCKWqkxTPkirHuanIBG2m53lBPPYqhU5p3GYtujW+vRMHA
 9kHm8gzXNo68R+e5e5f42wjNCMuZMq5aOQM/7/BJHWVKMmKJm2bSXhEQINwBofEbNuxJOQs6V15bx
 biOBV3wEdK/sAz+ZiaRkqbMyEn7Zc2sasfsZco/aWfM9nBr3/CjTMj69h0edlJmCdDhAV4IBYQGT8
 cb2Gb+HW8Po326DGt3SfvQ==;
Received: from [87.69.77.57] (port=3718 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1o4cTu-0001ci-O8; Fri, 24 Jun 2022 02:07:51 -0400
Date: Fri, 24 Jun 2022 09:07:43 +0300
Message-Id: <83sfnud26o.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ken Brown <kbrown@HIDDEN>
In-Reply-To: <040b3a36-459b-a94d-f879-7f45aac50bda@HIDDEN> (message from
 Ken Brown on Thu, 23 Jun 2022 21:18:24 -0400)
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
 <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
 <e14c3b37-fa3d-7793-d6f4-5f2b7f29ea70@HIDDEN>
 <040b3a36-459b-a94d-f879-7f45aac50bda@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56025
Cc: jporterbugs@HIDDEN, larsi@HIDDEN, 56025 <at> debbugs.gnu.org,
 spwhitton@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 23 Jun 2022 21:18:24 -0400
> From: Ken Brown <kbrown@HIDDEN>
> 
> 2. On Cygwin and some other platforms, including Solaris 11.4 I think, it 
> actually takes a third C-d, for reasons explained in the email thread starting 
> at https://cygwin.com/pipermail/cygwin/2022-June/251672.html.  We're probably 
> going to change this on Cygwin, but that still leaves other platforms.
> 
> The following patch resolves both issues:
> 
> diff --git a/lisp/eshell/esh-io.el b/lisp/eshell/esh-io.el
> index 3644c1a18b..1c4131cb07 100644
> --- a/lisp/eshell/esh-io.el
> +++ b/lisp/eshell/esh-io.el
> @@ -276,8 +276,8 @@ eshell-close-target
>      ;; If we're redirecting to a process (via a pipe, or process
>      ;; redirection), send it EOF so that it knows we're finished.
>      ((eshell-processp target)
> -    (if (eq (process-status target) 'run)
> -       (process-send-eof target)))
> +    (while (eq (process-status target) 'run)
> +      (process-send-eof target)))

Please add there comments explaining why this is done, or at least
point to relevant messages in this bug's discussion (NOT just to the
bug number, as the discussion is long and it will be hard to
understand what part of it is relevant).  Such "tricky" code should
always have comments explaining it.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 24 Jun 2022 04:40:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 24 00:40:34 2022
Received: from localhost ([127.0.0.1]:40481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4b7S-0001Y6-Ef
	for submit <at> debbugs.gnu.org; Fri, 24 Jun 2022 00:40:34 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:36714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1o4b7Q-0001Xt-Dc
 for 56025 <at> debbugs.gnu.org; Fri, 24 Jun 2022 00:40:33 -0400
Received: by mail-wr1-f43.google.com with SMTP id o8so1516770wro.3
 for <56025 <at> debbugs.gnu.org>; Thu, 23 Jun 2022 21:40:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=email-arizona-edu.20210112.gappssmtp.com; s=20210112;
 h=from:to:subject:in-reply-to:references:user-agent:date:message-id
 :mime-version; bh=O6gOJLF8lJV2u4q/IMV/P2ID364rQ8qP8l2f2m55T0g=;
 b=Arh3CLr/h1pneTB32ZXmb29TVwlOn/tWVoMJju4VzQkrFMkhjtzBivgtGBdu/h+c/e
 srFk9ez1KmrTvsoC1oRiEmln1neXe1kbSEkoxdsU0TQ6JkMwvU60AJPH/T0fWnKre+m8
 ddxEsaBiQcZNzhgCcsj3q3wGpvDSPvewSL9axPrILuVAB0fSvFW2BFjDOJxRsqwsdgLI
 MssB3jzWpvdfzOr7pDpUxQazImYlNO2WxETG73f+gu/pA+0BtdiAGcZ4gAy+8pogq4N8
 i+Y5chU+22rKfLMhQGPIjr41ldprqsomyE8vF9O7c2tJMhRVdM06EMqkklIgZ6PZrFcV
 ewPA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=O6gOJLF8lJV2u4q/IMV/P2ID364rQ8qP8l2f2m55T0g=;
 b=0oNNZBKx3NIFgvuHbOZSHs/sZ18o5pmbfrpziep1s9XcvUad80bsq4na65iKTnh9sP
 kTfAW4BfxUXe9wUYCPoqzU7sycQmw8wd0hQPRzrnYWX32rMvRzb+TGH7z5NoBUmSCclW
 cGFhKTVZAhcLj4vh/G6+it+1ww7d3pAuJmIvbHE5qoXeEtBBmk1UWeS3Yn/ib32b8AR2
 YWfosBsNuDVpYUuX36UN+XqjCHFOhV5Q31mmP43EYoso7DERxLAijpJ+sv6qdPk8Gep6
 4IUAsu0KMXMFiTAEzYoqh8luaCr7yC9G8Oszd0RUB1cAlzKB7cRBLrg0aZa+WOVBFbPs
 ucoQ==
X-Gm-Message-State: AJIora9LrYfCqGNYaJyBCm6KKCAJHZuoMihqwKkGWLdggjMGbM/FNaaO
 JhE2CfD36jEKEGERVq+Yy3s1NcS63ioGlqZUNcEKZXoUONNO+wW/2z9B7KhJav8tZuQJFxpk1CG
 zP8Z93w==
X-Google-Smtp-Source: AGRyM1sVgXW/lcYjC+fwQGNO7lp8pJsEfvHW0XIKEet+mhXZfCAN5PYygzErYTFkzRlgiQiQhE/StA==
X-Received: by 2002:a05:6000:1a89:b0:21b:83a9:aa6f with SMTP id
 f9-20020a0560001a8900b0021b83a9aa6fmr11461724wry.33.1656045626384; 
 Thu, 23 Jun 2022 21:40:26 -0700 (PDT)
Received: from athena.silentflame.com (coeus.silentflame.com.
 [2a01:4f8:c010:9ea2::1]) by smtp.gmail.com with ESMTPSA id
 y10-20020a1c4b0a000000b0039c587342d8sm5546885wma.3.2022.06.23.21.40.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 23 Jun 2022 21:40:25 -0700 (PDT)
Received: by athena.silentflame.com (Postfix, from userid 1000)
 id 4E5921B6401; Fri, 24 Jun 2022 04:40:25 +0000 (UTC)
From: Sean Whitton <spwhitton@HIDDEN>
To: Ken Brown <kbrown@HIDDEN>, Jim Porter <jporterbugs@HIDDEN>,
 56025 <at> debbugs.gnu.org, Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
In-Reply-To: <040b3a36-459b-a94d-f879-7f45aac50bda@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
 <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
 <e14c3b37-fa3d-7793-d6f4-5f2b7f29ea70@HIDDEN>
 <040b3a36-459b-a94d-f879-7f45aac50bda@HIDDEN>
User-Agent: Notmuch/0.36 Emacs/29.0.50 (x86_64-pc-linux-gnu)
Date: Thu, 23 Jun 2022 21:40:25 -0700
Message-ID: <87sfnun07a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ua-ms: gsuite
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

On Thu 23 Jun 2022 at 09:18pm -04, Ken Brown wrote:

> diff --git a/lisp/eshell/esh-io.el b/lisp/eshell/esh-io.el
> index 3644c1a18b..1c4131cb07 100644
> --- a/lisp/eshell/esh-io.el
> +++ b/lisp/eshell/esh-io.el
> @@ -276,8 +276,8 @@ eshell-close-target
>      ;; If we're redirecting to a process (via a pipe, or process
>      ;; redirection), send it EOF so that it knows we're finished.
>      ((eshell-processp target)
> -    (if (eq (process-status target) 'run)
> -       (process-send-eof target)))
> +    (while (eq (process-status target) 'run)
> +      (process-send-eof target)))
>
>      ;; A plain function redirection needs no additional arguments
>      ;; passed.
>
> I'm about to go AFK for a few days.  If the eshell people agree that something
> like this patch should be installed, please go ahead.  I think it would then be
> worth re-enabling the extpipe tests on EMBA to see if the problem is fixed there
> too.

I'm a bit queasy about an unbounded loop here.  Why not just try three
times?  Or, better, try twice, and a third time only if we're on a
platform where we know it's needed.

Many thanks for the investigative work.

-- 
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 24 Jun 2022 01:18:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 23 21:18:39 2022
Received: from localhost ([127.0.0.1]:40354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o4Xy2-0004vv-Ny
	for submit <at> debbugs.gnu.org; Thu, 23 Jun 2022 21:18:39 -0400
Received: from mail-mw2nam10on2116.outbound.protection.outlook.com
 ([40.107.94.116]:26209 helo=NAM10-MW2-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1o4Xxy-0004vf-DI
 for 56025 <at> debbugs.gnu.org; Thu, 23 Jun 2022 21:18:37 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=iTMoRgIaxWhfROeaQPBy46FvkOsYq+5yUZXgv7n2zsKZtU0xMOjfOVR7j9YJYljQQJ5UbYGmcPa8fUgAa69eUO5rjClMF77Sr7BQDNBtC0OClHKAXE1yCkkOzqY6OuOD380OS0A9958luawGzmdRtNrh01nidYCOVMwiDiKt1ZYiyh4FaQJQ9nYn4xJt5ZFzUVK9cv0xDJRj+MYRa5jfBYx8XH+96q6oSLhSKC6hAlMVAzh0kqcNoIsTzvRUxpcQmOuzK05vdRQxirf75pENkL9LGh9MObaHXtXunnzesE/r9ghTDlUNhNAqQ8+1BkyvHToFfkP4u/vdxeMYtPOVeg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=YMnChw3nKdEGTG/EUS5QfFmkBXkhukMbx15N6PzqfRM=;
 b=SPo6wcOLuatDxMy/J6Z+31aQRH73kVrgAiqme+BFEwwpKmv45zKwjOvQp16dbVSRyqDW8zc7+AO4mZgoN2UtF6J/3q9Q1NaZT1cReaFT1K8YaMiQTvJQ02jrir9umeJuWysLIq0xUUXtAV/5i3n8GoftAfwjRGcZSlSCR94n50Z2/crAxeE0ZlsMOT5/RM/TTbRr084FpnKyKtbujV1EB/4JY7Q964u4gDLfRuwGKuDykscltye1ikN/Tr5rndMA5pdkL2DG7Q8bAOCwW09Gs6Rapv8QLnePJ48wjcE0DCwA+BWKJSOjGaOG2umlHc0OcG/ujQWdmvcSl2dB8VNrSg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=cornell.edu; dmarc=pass action=none header.from=cornell.edu;
 dkim=pass header.d=cornell.edu; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=YMnChw3nKdEGTG/EUS5QfFmkBXkhukMbx15N6PzqfRM=;
 b=SF0uGxOINnd2AXJWt3v0MU5Uv7l1+lrLx2emLoMvPmcs0pka+HMx8PSPDkKHKyUpGIZCejQE1CX5mRmAQnHxs7LBjGZ5NSQkK81kp/UCRiTOm8LnU+KFrvLGNGhs0WcmmRH5YsBd2m16RmUZBLEZf7D4b3F+Edz1KHorUBcuavM=
Authentication-Results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=cornell.edu;
Received: from BN7PR04MB4388.namprd04.prod.outlook.com (2603:10b6:406:f8::19)
 by MWHPR04MB0927.namprd04.prod.outlook.com (2603:10b6:301:46::21)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5353.21; Fri, 24 Jun
 2022 01:18:27 +0000
Received: from BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::901f:a758:30f5:309d]) by BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::901f:a758:30f5:309d%2]) with mapi id 15.20.5373.016; Fri, 24 Jun 2022
 01:18:27 +0000
Message-ID: <040b3a36-459b-a94d-f879-7f45aac50bda@HIDDEN>
Date: Thu, 23 Jun 2022 21:18:24 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
Content-Language: en-US
From: Ken Brown <kbrown@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>,
 Sean Whitton <spwhitton@HIDDEN>, 56025 <at> debbugs.gnu.org,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
 <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
 <e14c3b37-fa3d-7793-d6f4-5f2b7f29ea70@HIDDEN>
In-Reply-To: <e14c3b37-fa3d-7793-d6f4-5f2b7f29ea70@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-ClientProxiedBy: BL1PR13CA0007.namprd13.prod.outlook.com
 (2603:10b6:208:256::12) To BN7PR04MB4388.namprd04.prod.outlook.com
 (2603:10b6:406:f8::19)
MIME-Version: 1.0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 159b8cea-26f0-4882-d888-08da557f70d9
X-MS-TrafficTypeDiagnostic: MWHPR04MB0927:EE_
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: MgbFBQfLAV7JDVNhAWMmSE1BWY1o0vMnsb1kQoDLQB+f920BsIEXc+OlFJmy/nObcL/8gj3j89l1akLBzb+CHYIxIB5Pte/P111a4hQgoET+OzTDcd+A4zLg7E8bQTDvEEGucwuH/R3xUA8KyrJXptwt0tPHoY5f8x1rxecxMSOaFhXV/actgwACDu5LNH7Lxuz4Y4WMx6Cs9R1UIF2hWMVjs375rVLyzCSWdp4tVeqQDCUe2bWJ2Y3LLP+zL8g85wft0hIqEDQm9D5rFBpxX+zlR5k3vTSgTCsRxTjeJV89Z6692d5m6ScR0bZgVIn+P4S85eNIpUFF3LPuJpuVmjgLL+G8wdZ734QwVm5EdgTl2ou/xA48xwcY6gg2NgLbEANov0JD5hGyS7mz6kHjtlkPW+OxYHGGfsStmLmHreFk5+/827Sdp15guLG7rY2OpoAs0r9bc7tGuQekqMxHLeo2UxJxJ5vcgjiExEbLLFAw2dLce+n2LUz4HBIDVQpCZhtaBQs/lcEmtPOVwTvfB426u3uYHzcxilWKCi4V0ccoIchtIRX26axVul1dFDpdXgHfNATN/4j/lei9qkvCVmyS5SCRq3OSdZ3AX0KCKe2pu22mv3I9by1id3UCRYAvXA3vmd7zN13NSkLSwTup7XzdgL0rO+vnCa3Ecc3zyoXNpJ9IMjaU5f68+DD4JMLs6cgsuXKOv1vZXDMn2VIfen/CC3aLlngoh6zuix+ZIwAoSzxKwCHtq+qkHdr39uTvuJnOmrKfZdsdwDhJZcAibxPWHkRRE8Qi3pJr7Hx1pvnxYi5XaR/Tet06MPDXdR87iIeE51d2PSr+W4x6awwq6YV95+9aF2dYez/YTC34UkM=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:BN7PR04MB4388.namprd04.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230016)(4636009)(136003)(39860400002)(366004)(376002)(396003)(346002)(316002)(8936002)(6666004)(41300700001)(6512007)(8676002)(41320700001)(478600001)(38100700002)(2906002)(36756003)(6506007)(6486002)(110136005)(966005)(53546011)(2616005)(66476007)(186003)(66946007)(786003)(5660300002)(75432002)(31686004)(66556008)(31696002)(86362001)(83380400001)(45980500001)(43740500002);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?Y0xNd3ZzVTJiNWM1UVA1djFhd3NVUTkvS1M5SVE0RXlndjJoZmdPdTFlSWJv?=
 =?utf-8?B?Skw2emxCZjhvUktOU0lWb2l3TGtMTzNPSEVhSXpsYldsL3VBZFUyL0ZYamQ5?=
 =?utf-8?B?WGlzTk5raUJSS2tyYWVCMTU0QlViQXU5anc4QjdGekFJZlZIMWdNaXRZWkFZ?=
 =?utf-8?B?RUd4SG5FZTRpamFtSlh0ejBNdGhhSGdaZzZhbmRDSnNrWGJ6OER5M1FTUlFw?=
 =?utf-8?B?d0lPU3RKK0lmLzZtVVgyKytWTzZ0Y2xvcWJlKzh5VjVLMDdkdERQQ3paYVpw?=
 =?utf-8?B?SEUyb214b05BTjJHTUhKYmF1VHNYZTl1enA1dm4wSFRpQk80S0kxck8zbUpC?=
 =?utf-8?B?eUh5cmpNQW1nM1MxRzhUdEE3N3BDd1RuT1RhelgyK1hrKzVQcTR4WmdLRlRL?=
 =?utf-8?B?NjBybE5NODdGTWJYd3lFUFVXc2YyZWE1N0JwdGNxWkRpSkMwaDg4ampkMzNa?=
 =?utf-8?B?ejNBWjFXZFBWSkFhekdWditLWXJBTjZ3UXhFU3orQnV1V1BHWVJtVGcvaWRL?=
 =?utf-8?B?VFlJMFlsRnRnVU9qTGM1NEZ4TUE1dVFNdXlZMkpUVk5Fa1Z4c09MdVpGOThH?=
 =?utf-8?B?ajFWdWVMbDNzK2NvZ0V1WlhjU1RRQXBmTFhyRG0xYjkraUpoanR6N3JFZnZK?=
 =?utf-8?B?WVFLMjBSczBLd2U5WmpFVENWbWUzQUdrajBmSGQ5bGFkc2xYVmZldTRnWWNu?=
 =?utf-8?B?aC9UdzlzY3VhVmx2QWRpVlVTbWZ5ZlZXMy9tdEY1Y2R4TE40elZ5bG84NE1T?=
 =?utf-8?B?dmRxUEJRR3FSMDBRTmFwcWRVdDEyazFuVEJDUksyQ0IwenkzNDJmU0dpdm1E?=
 =?utf-8?B?TldNNE1VMWNYSzVFNk5Fa1B5aElRbzl3Y3ZWK0ZoZFlxVzdESUhFSEJmdnJa?=
 =?utf-8?B?VDBFUDdDZElvaHlTY0Z4ME9kV3JxZWVmNk9FUE83dU9QSVRkNGNxdWkvMWl0?=
 =?utf-8?B?UnE2ZmhvRENxTFlHVndOYm1OclhpaUM2NlRQNk9uSVVpV3R4N2tTaG9WcTRW?=
 =?utf-8?B?L0ZXRUFkSjZpWXdCc2lxeC9VeWNNV2JRUitUaDRDOTVHZzJadGd3Z3E4cit6?=
 =?utf-8?B?b3dGam1iMzJ3cXM2Wi83VXBNaDNOOEZHM3pVbjgyMlkyZUhOT1Bsb1MzYmVj?=
 =?utf-8?B?b0xEcEo1Y25NSDI4TkZzSzd4UytBZFRrMUZlMTFhTU1kd0pieThsRjhzZm9B?=
 =?utf-8?B?bkpDUWxzVWRuTHkveHJZWFFhWFExc3hVR3ZJMlNSTEtMdVYremQxSXRtRXR3?=
 =?utf-8?B?MDMyWjNjZXdDTVVXL1VxVytpZDNORXdJMGVMelQ3dVhUdUFremhnS3pKVjZi?=
 =?utf-8?B?Y2ZjWDFiSjBreE5JRUJnOWZkN3MxTFRRdjAzMDJYVUNneW1iWkpJZnpYY1Rm?=
 =?utf-8?B?NjRSRzViYkVBYmJIQ1RMWCtvZGpWYm5xdnl6aE05OFB5L2lCRmpHbnEzK05S?=
 =?utf-8?B?aFJTRTB5UDkyNUlBbkluSGwvb2UzKytnNnVLMCsxR2M3bWJDQmJneG4zd3dn?=
 =?utf-8?B?UWVSZGFndmMwN2FlY0xlcHJmR2txMEtBNG9NNFNoSVNEeGhIWnVWYWZyLzZl?=
 =?utf-8?B?NnB2dEdCQUpidzd4VlJrYjdXWjluM0NGV056SUhXUWhIano1eko3UnZmY01Z?=
 =?utf-8?B?UkRIb0tVYW01cTF3Z3ZtcUI3SC9Zc0ZIQTc2UWNVZk1TVGRiQVp3UEJwMGtY?=
 =?utf-8?B?MDJTOU1pWlZ4Qmh1a05Fc3JjZjVRU09sQWYwbkhWa3VpT244di8zOXNpOElM?=
 =?utf-8?B?aVd6N1pVMytCUVB4d0lncDc0NkJYa2hWUzh2SThEZ1lmS1QzWWdCelM5aUZN?=
 =?utf-8?B?UHQ0WmQ1eHNNajR1bTluM2Z5VDUrZngzVzc0aXhYZ3hoWXBiMmFoVm81ajJm?=
 =?utf-8?B?MEwvcEMxZ25CNnF3dWx6aURNTXVpVmlPUmhnTHBYU3YxclBOb3d5S0doOTZN?=
 =?utf-8?B?VzhUTklZWlVJWnRBRENPcHdGbjRJMUR2THdVVHlieTlRYXFRd0lzMERjbkZS?=
 =?utf-8?B?Tm5xbEtXOWNTSExnaU1YQlh2dmYyZDY5N0hwcHIyUXRmakpFdVVUZkNIN001?=
 =?utf-8?B?RjdtSGxaYVkwU081cExpUE5YMnpoYWRDVWpPL1V3T1lqTnFHMjhCUTh4SnU2?=
 =?utf-8?B?d0JZbFUxOUhuWWNteG1mcEswZFR6ZC9uNUM2ZzVQcUpOeUZjbHV1S2xrRjk5?=
 =?utf-8?Q?3ReiG8GEcqVGYlHPEMOQMihdqWRcBr+ig2a0qiLRZJj8?=
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: 159b8cea-26f0-4882-d888-08da557f70d9
X-MS-Exchange-CrossTenant-AuthSource: BN7PR04MB4388.namprd04.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 24 Jun 2022 01:18:27.0753 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: XfAIt9DubyW519x3d8pLfgpdRtWb+QV16QTUniUi7nZALGJotw+H6yUY9dZ6kdp6FmvUUEFQQQ8EpPGiAf7bNw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: MWHPR04MB0927
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6/19/2022 12:02 PM, Ken Brown wrote:
> On 6/18/2022 6:00 PM, Jim Porter wrote:
>> On 6/18/2022 1:51 PM, Ken Brown wrote:
>>> On 6/18/2022 3:02 PM, Jim Porter wrote:
>>>> On 6/18/2022 10:52 AM, Ken Brown wrote:
>>>>> No, I'm seeing the same results on Emacs 28.  On both Emacs 28 and Emacs 
>>>>> 29, rev is apparently not seeing EOF unless echo outputs a newline, so rev 
>>>>> keeps waiting for input.
>>>>
>>>> Ah ha! Thanks for debugging this. The minimal fix then would be to change 
>>>> the command in em-extpipe-test-2 to either of these:
>>>>
>>>>    echo -N "bar" | rev *>temp
>>>
>>> This doesn't work.  It still hangs when run interactively...
>>
>> Just to confirm, the above command hangs, but the following works, correct?
>>
>>    echo -N "bar" | rev
> 
> Correct.
> 
>>>>    *echo "bar" | rev *>temp
>>>
>>> This works interactively...
>>
>> All this makes me think that we could be dealing with a race condition in how 
>> Eshell pipes I/O around. Maybe there's a timing issue in `eshell-close-target' 
>> where we end up not sending EOF to the "rev" (or "sh") process?
> 
> I think I've just discovered an anomaly in "rev" on Cygwin that could partially 
> explain what I'm seeing.  I'll investigate that before proceeding further.

OK, I think I've got it sorted out now. The anomaly I referred to above is 
actually an anomaly in the stdio routines, not in "rev". It's discussed in item 
2 below. There are two issues.

1. I think there's a bug in eshell-close-target, in which it's assumed that 
sending C-d indicates end-of-file. This is only true if there's no input waiting 
to be read.  [In an interactive situation, this means we're at the beginning of 
a line.]  Otherwise, it takes a second C-d to indicate EOF.  So one C-d should 
suffice in the "echo -N bar" situation, but two are needed after "echo bar".

This bug probably went unnoticed because eshell-close-target was called twice in 
the case we were discussing, so process-send-eof was called twice.

2. On Cygwin and some other platforms, including Solaris 11.4 I think, it 
actually takes a third C-d, for reasons explained in the email thread starting 
at https://cygwin.com/pipermail/cygwin/2022-June/251672.html.  We're probably 
going to change this on Cygwin, but that still leaves other platforms.

The following patch resolves both issues:

diff --git a/lisp/eshell/esh-io.el b/lisp/eshell/esh-io.el
index 3644c1a18b..1c4131cb07 100644
--- a/lisp/eshell/esh-io.el
+++ b/lisp/eshell/esh-io.el
@@ -276,8 +276,8 @@ eshell-close-target
     ;; If we're redirecting to a process (via a pipe, or process
     ;; redirection), send it EOF so that it knows we're finished.
     ((eshell-processp target)
-    (if (eq (process-status target) 'run)
-       (process-send-eof target)))
+    (while (eq (process-status target) 'run)
+      (process-send-eof target)))

     ;; A plain function redirection needs no additional arguments
     ;; passed.

I'm about to go AFK for a few days.  If the eshell people agree that something 
like this patch should be installed, please go ahead.  I think it would then be 
worth re-enabling the extpipe tests on EMBA to see if the problem is fixed there 
too.

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 19 Jun 2022 16:02:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 12:02:26 2022
Received: from localhost ([127.0.0.1]:52921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2xNX-00022k-1I
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 12:02:26 -0400
Received: from mail-sn1anam02on2097.outbound.protection.outlook.com
 ([40.107.96.97]:51006 helo=NAM02-SN1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1o2xNS-00022S-NR
 for 56025 <at> debbugs.gnu.org; Sun, 19 Jun 2022 12:02:22 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=VIifi+a5LKDn2idS4ymKXDGTgD6/D0BLXn8HAo0UWxtUv1W+GO9cKUHtHufzcGnHt24um6+lOhqW243l+gXz7A+qXru19ISzCMc+mB1xarqYb9ayGooeOJ7d58QZ0LnjX/cCcpKoTV5D/ygtTYV91XgSGZANz+QEP+diq9sCAuhRehZRXdz4YijWz7TdqTQ2eMPkul/3jJReTgTgwn+11Itrboi7Cb9u6qnvo77oCMpX6vNiAEo3I0lDHObOCWplQyDqSkwNs17LMPUcnrobDKFYT1finiK/wI0DjFqggfay5+rm/dbKZtCrGWXDB6bl1wm80PCKi3m1kZji/Suexg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=i+X6HBbVttO8wjBc4PlKasaiXt5Uysok+dzWrg5tCBg=;
 b=XhXz2IzW26QfgE9TWVUWO+PYLl/t77+JGwOHuBJiXksfERRr40URT9G7rW/yOYVm/dxGX4SXNSwCB6FMfgVkTfOTNj9xLYIoKoggc1J8C3oAsmjBQ2j5a7btPSgjPCmBJQLuvGIZf859ehtBqcEtp2BMdNSPduwXKQFpxYtOVw0bUsVDCOLfce8eV+CYIqy1OXIia53YV2b6znqsCYTVvAu+uBRDgEVWAlk/B5tRqcdSzEntQ16COHbkPgEv/Tcvicj+a8dGsNpVkQw01OhQo6jHXE3DX3mXqr+G2WdTSnqFcT+NLIh8h4EWOdmNe7TzsslydiG7GPegccxOWArdTw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=cornell.edu; dmarc=pass action=none header.from=cornell.edu;
 dkim=pass header.d=cornell.edu; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=i+X6HBbVttO8wjBc4PlKasaiXt5Uysok+dzWrg5tCBg=;
 b=TMI9kV9QhKczeYa4tqsQ7ryJxESOGjeRYjeu9wCm/vZxfmZXT+iKY9UNCWkPISOY0nNsEAgxq+LI/TE800r6kEAYrmieXdCcP1bM37Hg+ArJapImtw8tgwXsW+cytYRPVSRnpJO6R9bElt3Ou53sAal6z+J6SQyzbHdO+3/mu+4=
Authentication-Results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=cornell.edu;
Received: from BN7PR04MB4388.namprd04.prod.outlook.com (2603:10b6:406:f8::19)
 by BN8PR04MB5876.namprd04.prod.outlook.com (2603:10b6:408:71::29)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5353.16; Sun, 19 Jun
 2022 16:02:11 +0000
Received: from BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913]) by BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913%5]) with mapi id 15.20.5353.019; Sun, 19 Jun 2022
 16:02:11 +0000
Message-ID: <e14c3b37-fa3d-7793-d6f4-5f2b7f29ea70@HIDDEN>
Date: Sun, 19 Jun 2022 12:02:10 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
Content-Language: en-US
To: Jim Porter <jporterbugs@HIDDEN>,
 Sean Whitton <spwhitton@HIDDEN>, 56025 <at> debbugs.gnu.org,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
 <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
In-Reply-To: <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-ClientProxiedBy: MN2PR05CA0052.namprd05.prod.outlook.com
 (2603:10b6:208:236::21) To BN7PR04MB4388.namprd04.prod.outlook.com
 (2603:10b6:406:f8::19)
MIME-Version: 1.0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 5ba38f4d-6d85-45fa-739f-08da520d11d2
X-MS-TrafficTypeDiagnostic: BN8PR04MB5876:EE_
X-Microsoft-Antispam-PRVS: <BN8PR04MB58767D2468826F1993554233D8B19@HIDDEN>
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: g2cG59Pxc9hZYt5jQOXBpU48QtLVMf21zBiWX3hIjk9vxDR7HoCb8T0s5HNPP1CGzi1NOCdpO3FCvzNRYR02mEiC4cQLiKErrgR8sYcZBsLmIoXu2Fva007p0hK5FpAM0vGurFvtDP1qF1VbRRfhoYn3Qu1nB4oP4O2AlGkoWRo6LsTn1NsxJztaoY+tQTDG9cZGSmDSif5OlPmwp/dCxQ+t5/+IweDu+cd6HxlYKD4uq9Nuu1QdmpNJSm6LU7cOdayOJF97qRdKGA0e2OUeMd81kQtcKMQp/r10tfh2BUT75xTHCpbtiHk4lyESalHOIY4SwRIqqFSFTtv2fb+DoKBGgoD1kHqiJyPAza3qJ8bOq7LGl7EFxkBfiNpHpQ2P9BNRSv49q7ZxLkTPSadxFIIMMNDrZmg4EF/tG4lWv2AJ4WCWakNn0twor5lp412qmhn6ty+vwbUoe+InqFGdKNkDvKK/cdWm76UxCDJzJGDM41Wusn7luFrJjFIryOXZl8IGqJaGKCfXysFp52P/u0dTxCfdy4gHC/2WaaRLkukDG4Jdvtg927jpNx27cfRHXGm2Yb+oGUMAVUSIsT9P+nFLqLzdfnY0bAKQt1ZhSVjX5lbXnHn6f38wF/kb/PTwX1t1yuGaZqMXe6/roGehNOd4ZDttLv9ukPgqmsXLPFngEI/W18eXm8zg2SReKT0LwgT18dI1xZ/StVyius1x3nMX15e51j01koTzAuYp/gQ=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:BN7PR04MB4388.namprd04.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230016)(4636009)(366004)(66556008)(66476007)(8676002)(66946007)(75432002)(2616005)(31686004)(186003)(83380400001)(36756003)(6506007)(6512007)(53546011)(5660300002)(31696002)(86362001)(8936002)(2906002)(38100700002)(6486002)(110136005)(316002)(786003)(498600001)(45980500001)(43740500002);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 2
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?QjBBa1ROamErV3JYQTk3VE9BdlFJMElodEtTdnNoMksvUS9hcUdjTWpJSW9B?=
 =?utf-8?B?OERSbDJJbUJSdkYvYlZMVzRNTEZvSERGTmE4L1Y2d0VIc0xVV1dsRXArSFdF?=
 =?utf-8?B?NHBRc2txUkZyMEg0dHc0L2FTdW1aTEh4TWx0VTBtWlFoaTdyd0JNV3JTaVdF?=
 =?utf-8?B?QVdaRmlrTFVndVFhRjBOU3h5SlN4R1pQQUtQd1JoUmp6NkdCeVBLMWRsb3Va?=
 =?utf-8?B?dkprMkRoMGpYUVpHV0dwcW56V1gwM3Y3OEpzYmpOV1N3dWV3VU1PM3p5dFBk?=
 =?utf-8?B?UlR3Y2ZyZnBZdEFsbTloRmVoa2pZbUZ4YUUvNnducjNyV0RmV0FVTUNpVEJs?=
 =?utf-8?B?YU1SY0RsRTlvNFdkMFYwZmRsc3NYdlNHSC9IbG5PWXRpWGNaWjQwVVh0N0s1?=
 =?utf-8?B?TWpUMG5wbTJ2VEljVXUydmwybGdMMHk4WEtIMVFaanRueXpmMzMwY1RMSm1N?=
 =?utf-8?B?WGQ2WWFEOVJySnZFMURydVAxVzlhSEZQUkhtVWhmQUpiWkZaTTU5eVJhdHZF?=
 =?utf-8?B?YUhmUzg3ZEVLK1ZOcURMaWZOcHVXZXBtUTVMVnJwYkZ2WXN2a2xtVWduOFc4?=
 =?utf-8?B?M1N6Y2xPV0RybURyejJkMU1VeTE4eC9pZFVNWTZ4dVp4ZDdyZ0ZSbVVnSnln?=
 =?utf-8?B?NmZoeGZ2L0kwVXlEbFlHc3VuUlllRXd1M25GQmNMVDVobHBXdTZLYWtSUWdP?=
 =?utf-8?B?ay9YN0t2aUZlUTdCRzdiekJtTHRxV0hDMGpGcEZBNDZrNjdCeEVYU25ZVk9T?=
 =?utf-8?B?ZFRMNzd4MFRvYWVrMnhoemdXWmpMbTQ0b0N4MHNHZDVVR2lVMEx3ZldMYVpr?=
 =?utf-8?B?eEFMU1ZWTDk3bVh1SWp3YlB4WS9OUGo3VTM0VmJJWHJPNTVGUk94Mjl1QkQ4?=
 =?utf-8?B?U2lsaDIyTlptZDBjQ1BYdWxkd0s1d3hZS3RUUC94bUl2aW12cVpTMkFNN2t6?=
 =?utf-8?B?VjVYbTF3UThaQitPaW16NTdPTk1DNjNqNTZPYlZJd3N1QWhvemZiNGVEb2g2?=
 =?utf-8?B?b0NtNGdqd2QvQUtBeU1ZZnp0dDMzSTBzb3YvNEl2UWxKZmVZVXBNSm01clhu?=
 =?utf-8?B?OXA0dG5Yb0JaUEd3Wno1dU1hKzdQc0NPWUJCQTBPTWV0YXFoSFpXMEdPZ2ZK?=
 =?utf-8?B?YjFZR0JmZk5yRXJZZXlGUjk4K3lhQzdvMjdVYkxCR1JYOExITjl3UmlqVWxq?=
 =?utf-8?B?eG5TMk5vSkoyd29LdmtmNFNTWXUySVlnYWdYb3laa1RXc1BRRko3WHJoYStt?=
 =?utf-8?B?TnI2TWdxeUx1cmdVc0JNejNHNXB3WVk2RHpjcjZ6dUcyUzlSVWV6WnZuWThM?=
 =?utf-8?B?c1hCRTRCOUUvSGZCZ3k0cWF4T1Fnbmp4NTFxcy9qUFlLa2h4VU5pRklRc2V5?=
 =?utf-8?B?V0pEdDlUMnBEOThLT042dVM4MlNIUmxGRmdxSmJjaU8vNnh0Q0V5VjVrRWtq?=
 =?utf-8?B?c3dNNUNrMG5VWmNiSTVxbUlCSXBIbXl4b3ZLTDNPa1hMdkFOVktqYzl0UlFa?=
 =?utf-8?B?eWM4bEhNdWRBMk4xLys2dDQrYXhSQi9RQXVzYUtvVnZLTDkxK1p5M3AxYmFv?=
 =?utf-8?B?eWllM3l5RFFxZFpBWEpFZGtmVHdabzBwVXdNZjJBbEFPd2hEZ0Z6enhBNkIv?=
 =?utf-8?B?dmR0TGZ1WHBVcWZqNW5RS2dDMnNBZEMxSDY4N2JnOGtWcHRockx6bHpnc2JS?=
 =?utf-8?B?RThNc0dpbmJISnFTM3o3VjNpS2dzRENDSnQ1YUkxL0xYR0w1dVoyVXl1bXNw?=
 =?utf-8?B?OEI0VkJoQkxQNS9VUlZ2Sk5OOVJad3hvZUdSVkxrN2o3b0U1RGN3NUtpdFIv?=
 =?utf-8?B?dzJ2cUpyUU1NTi9sNzk3MzBNaTNKdnhpci8zaXRPQVQ5QzB5bzlCT1lOYy9o?=
 =?utf-8?B?YzZ6MlE3WFpoQ1NST2pER2lnSnIvUWJCRndsYlVlaUd5d1BxcUd0ZFBtNHdP?=
 =?utf-8?B?eWI3Vllnc1RWZXZvUGUvVlNIUHJpc2pLK1RMNjFiSXZOZU9scFQ4NXNnRkhL?=
 =?utf-8?B?Q3pVV0FYQmd3c2Y4WkdiK0JGWFFvWUtWY2ZhVUZCS3hiamZBaHlSL0luZTJ6?=
 =?utf-8?B?RWlyZ29wRVBwdko3OERrNzJIMTYxcXRVa2NWRzdKM0doWVlvakpmWUZOdUk0?=
 =?utf-8?B?TjZTcWZ3Nm1qV1FBekVrZjlRblFUZ0d4Ni9FSG5hcmdLUDNnemhKTHBSOUo2?=
 =?utf-8?B?b2JkSDVjK1VxZ3RRRGVsaE1qbVNicHF0NU1ESk9FcEgrTEExd0tHVnhwUzlD?=
 =?utf-8?B?SGxveGxiMmVLdCtCaGZabzhPbDNIMXRpTTlHYVUwRnYzVG5wbHpkRnpab3U4?=
 =?utf-8?B?TFIwSk01OTcydVhGUjIrUkY0d0hiUXFDdGRlVzVLYkJENWxBKy9kNmJRTHV5?=
 =?utf-8?Q?0XVk3BEr/+KhMKYAnOcpCoGz1BojhXcPlYIOuBWXqF4NS?=
X-MS-Exchange-AntiSpam-MessageData-1: aApPrM7J6cW1jg==
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: 5ba38f4d-6d85-45fa-739f-08da520d11d2
X-MS-Exchange-CrossTenant-AuthSource: BN7PR04MB4388.namprd04.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 19 Jun 2022 16:02:11.5434 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: OWXA4WGTHPU0F6kcXZGrDTQoE5rbEAAO9g3DCIKbZrmvZI8eU92m3RYJWsmw2SNvm/CsndDM1pMCT0kPSVa3ZA==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN8PR04MB5876
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On 6/18/2022 6:00 PM, Jim Porter wrote:
> On 6/18/2022 1:51 PM, Ken Brown wrote:
>> On 6/18/2022 3:02 PM, Jim Porter wrote:
>>> On 6/18/2022 10:52 AM, Ken Brown wrote:
>>>> No, I'm seeing the same results on Emacs 28.  On both Emacs 28 and Emacs 29, 
>>>> rev is apparently not seeing EOF unless echo outputs a newline, so rev keeps 
>>>> waiting for input.
>>>
>>> Ah ha! Thanks for debugging this. The minimal fix then would be to change the 
>>> command in em-extpipe-test-2 to either of these:
>>>
>>>    echo -N "bar" | rev *>temp
>>
>> This doesn't work.  It still hangs when run interactively...
> 
> Just to confirm, the above command hangs, but the following works, correct?
> 
>    echo -N "bar" | rev

Correct.

>>>    *echo "bar" | rev *>temp
>>
>> This works interactively...
> 
> All this makes me think that we could be dealing with a race condition in how 
> Eshell pipes I/O around. Maybe there's a timing issue in `eshell-close-target' 
> where we end up not sending EOF to the "rev" (or "sh") process?

I think I've just discovered an anomaly in "rev" on Cygwin that could partially 
explain what I'm seeing.  I'll investigate that before proceeding further.

> I'd be interested to see the results if you ran `M-x trace-function' for 
> `eshell-close-target' and `process-status' before trying these commands. 
> `process-status' should return `run' when called from inside 
> `eshell-close-target'. If it doesn't, then we'd neglect to send EOF to "rev" (or 
> "sh"), which would cause a hang like what you're seeing.
> 
> If that's not the issue, then I'm not sure what the issue would be exactly, but 
> poking around in `eshell-close-target', `eshell-insertion-filter', and 
> `eshell-sentinel' might yield some useful info.
> 
>> My guess is that it's the latter, but I don't know if it's worth pursuing this 
>> if Cygwin and EMBA are the only platforms on which there's a problem.  Of 
>> course, there might be other platforms and no one has reported it.
> 
> I think if we could figure out the real issue, it would be great to fix it. 
> Though if we can't, it would probably be ok to just fix the test by avoiding the 
> issue.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 18 Jun 2022 23:46:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 19:46:39 2022
Received: from localhost ([127.0.0.1]:50358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2i9G-0007aY-SJ
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 19:46:39 -0400
Received: from mail-pj1-f51.google.com ([209.85.216.51]:36531)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1o2i9E-0007aK-UV
 for 56025 <at> debbugs.gnu.org; Sat, 18 Jun 2022 19:46:37 -0400
Received: by mail-pj1-f51.google.com with SMTP id
 k12-20020a17090a404c00b001eaabc1fe5dso7605051pjg.1
 for <56025 <at> debbugs.gnu.org>; Sat, 18 Jun 2022 16:46:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=email-arizona-edu.20210112.gappssmtp.com; s=20210112;
 h=from:to:subject:in-reply-to:references:user-agent:date:message-id
 :mime-version; bh=0U7YO7aQgsY3xMop7qhCbXwdALmo07AVhcNuObt6u0U=;
 b=y251gtDjJ5DwNzaeTP+fYXhsrDfZuJHYXfFiSfBRD0fIqDhuCehhteNaIdGfpT+4Wm
 OinWi2o5Jr/Va60HxYnt2tct1Qg+7hjiJFNcl3azM6Ygi0Bpbh2hB0DueB4IOlFAwk8a
 EUj+0miQrDXIchien21aTqx4ABqHnh1v9TcwDUxfcpvZGzP4nZbB5Ba8iKAn3v38L8EP
 8eS9BNiHChb52C/gDXAdeFPivfI9Y1DLzGN1CYluJYhqUIeVJtlAoaN6x4gJauUnINGu
 Q21PCMzixY7AYCR1JZH5PissQY92IkKF3S+O3jaN/eSMikRvJ3+IsARu7tXeUxv4Y4nr
 HJ6w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=0U7YO7aQgsY3xMop7qhCbXwdALmo07AVhcNuObt6u0U=;
 b=g6WjZwyH9k1ht0EYQgtLwsDXvz7vgRCSi15smBpEwxcNLQwGFjdhut/J3igAQZ5Mug
 HhF8Hwm5ic8lA7iRmBsB2+o59kH+rL2Dn77730CMlk31ZG4nnQ7cbRVfpbS2uVNGuJQu
 V9NSM7l5KxsrPji61ajZYkoGmdU9QmBXddDcgadMmqgah+IY+v0QyxCoWWoCYK0viFAU
 a5vTbTUDCm2Kh2jmertGqIoZ2uOxVuRJmDJ4ydC4YguacJHCAmR4sJJd1hagJgal70FK
 KgUZ1FwcbnQmbDGfnKE7iq5RiwnLFWVU4IhkO3iMOSkz6ebhgizzP9HdgpUftMW4wXbB
 XspA==
X-Gm-Message-State: AJIora+qg13i2ksEe3uyT0aO+qU9qoI8zf0h082KN3br4+hTZdXKDL5w
 k8X341fgzfIHxXFIUX/GQX7gn3c32yEio5m8f3Mk6bD88/wTkIR1r3/WfDnGqj3Ir3x5U1E7pI6
 lF1I4Fw==
X-Google-Smtp-Source: AGRyM1u28KUacaB+MlvI6LAgSm57TslrdohjvpvJ4XBnnr72rrD4oozYlcHsjO2rJMvMeoPnrNFuAA==
X-Received: by 2002:a17:90a:4e05:b0:1ec:8de4:1dd5 with SMTP id
 n5-20020a17090a4e0500b001ec8de41dd5mr4336439pjh.242.1655595990919; 
 Sat, 18 Jun 2022 16:46:30 -0700 (PDT)
Received: from melete.silentflame.com (42-165-135-150.dynamic.arizona.edu.
 [150.135.165.42]) by smtp.gmail.com with ESMTPSA id
 nr6-20020a17090b240600b001df82551cf2sm5452769pjb.44.2022.06.18.16.46.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 18 Jun 2022 16:46:30 -0700 (PDT)
Received: by melete.silentflame.com (Postfix, from userid 1000)
 id E4C467E07FC; Sat, 18 Jun 2022 16:46:28 -0700 (MST)
From: Sean Whitton <spwhitton@HIDDEN>
To: Jim Porter <jporterbugs@HIDDEN>, Ken Brown <kbrown@HIDDEN>,
 56025 <at> debbugs.gnu.org, Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
In-Reply-To: <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
 <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
User-Agent: Notmuch/0.36 Emacs/29.0.50 (x86_64-pc-linux-gnu)
Date: Sat, 18 Jun 2022 16:46:28 -0700
Message-ID: <87edzl357v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ua-ms: gsuite
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

On Sat 18 Jun 2022 at 03:00PM -07, Jim Porter wrote:

> I think if we could figure out the real issue, it would be great to fix
> it. Though if we can't, it would probably be ok to just fix the test by
> avoiding the issue.

We might first want to add another general Eshell test which shows up
the problem, though?

-- 
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 18 Jun 2022 22:00:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 18:00:37 2022
Received: from localhost ([127.0.0.1]:50327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2gUe-00057T-Oi
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 18:00:37 -0400
Received: from mail-pj1-f44.google.com ([209.85.216.44]:41518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1o2gUb-00057B-DV
 for 56025 <at> debbugs.gnu.org; Sat, 18 Jun 2022 18:00:35 -0400
Received: by mail-pj1-f44.google.com with SMTP id
 g10-20020a17090a708a00b001ea8aadd42bso7054610pjk.0
 for <56025 <at> debbugs.gnu.org>; Sat, 18 Jun 2022 15:00:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:references:from:message-id:date:mime-version:in-reply-to
 :content-language:content-transfer-encoding;
 bh=HYj79FoQXgmK6ULZks1dKK36GdIZILxfz7JigfaqzFc=;
 b=GSmq9z7j1I5mSSBq60AbnqENNl/0AZMcB+uoJBe39+lDqZn59CFfjSgWZ4wdGiHPdO
 DQQQ10X7bzTpqOfLf5LG57qicmr0+18LWGpEuvNWh810B6BDdIaVB4HYPgUqZDq1xEaS
 LEKgRwMGtM0BXEoE3n8PEcDG323X0UJwdpOM74PfJAd7CeY3FRcDX0MNkKAXGNIdX+cC
 GYDke8n0VAJzWObPgNY6BmWcO7U3QTvTjoAXheeCpWmYOwW1bcGGcxc3pm9efxv9Eau3
 xaYJ+DkLzeJgRikH7j0UCS1fygzf/wI7vJLOQ0Xb1QpEXbfmh66y1dYmHO+OrxkwoMGA
 +V+Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=HYj79FoQXgmK6ULZks1dKK36GdIZILxfz7JigfaqzFc=;
 b=dlBeMQ58G/sMJwTWp4mfUJrJYBD9DHRiCIWkMtY0Bqaa1f0EfMdIxQRsMXnmVEEoCF
 UBpHOkSpkDUcBXtVhwT8OEN7OLszdhlJAIhiTz5AkMMZ/A8A91eWrrLEahud2T2WgzEO
 HzVvkqHoYtg1Dal2Mb+nkmABriiPsPNab746da8x8PsHsVMmU8yFhaOH8XWSkeCzh8dr
 lvlLKPeLf9TO2qLbqOzImFbor6CJ0iAF7VTzMc/+0cf7s6QYiiSJLwRRm1cU208COBuI
 SQk19ixpL9W1CCm+PcfFL8XNNeAoy+N3NsAd4hgjxZorqXcMh9DaLfC6BgCO7GBCEk8G
 ltTw==
X-Gm-Message-State: AJIora8syrr69emDNm7U8QKutWnCzPnlhKT6t7UjAKchB0MxnhPQk1FP
 ZKue94FiuychdY4YoDRQhSI=
X-Google-Smtp-Source: AGRyM1ucT3LWExo6NMjRZzTrstGAm37Ow8Gk0UuFfNJ9l5q2dx+jsKPZwq8xLK1yMFCbhIK8+t3xEw==
X-Received: by 2002:a17:902:d4c2:b0:16a:46e:8c7b with SMTP id
 o2-20020a170902d4c200b0016a046e8c7bmr10001589plg.142.1655589627416; 
 Sat, 18 Jun 2022 15:00:27 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 f23-20020a17090a9b1700b001eaec8cea55sm5258893pjp.57.2022.06.18.15.00.26
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 18 Jun 2022 15:00:27 -0700 (PDT)
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
To: Ken Brown <kbrown@HIDDEN>, Sean Whitton
 <spwhitton@HIDDEN>, 56025 <at> debbugs.gnu.org,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
 <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <17d41105-b006-f9ad-af0b-ece84a7f5248@HIDDEN>
Date: Sat, 18 Jun 2022 15:00:26 -0700
MIME-Version: 1.0
In-Reply-To: <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6/18/2022 1:51 PM, Ken Brown wrote:
> On 6/18/2022 3:02 PM, Jim Porter wrote:
>> On 6/18/2022 10:52 AM, Ken Brown wrote:
>>> No, I'm seeing the same results on Emacs 28.  On both Emacs 28 and 
>>> Emacs 29, rev is apparently not seeing EOF unless echo outputs a 
>>> newline, so rev keeps waiting for input.
>>
>> Ah ha! Thanks for debugging this. The minimal fix then would be to 
>> change the command in em-extpipe-test-2 to either of these:
>>
>>    echo -N "bar" | rev *>temp
> 
> This doesn't work.  It still hangs when run interactively...

Just to confirm, the above command hangs, but the following works, correct?

   echo -N "bar" | rev

>>    *echo "bar" | rev *>temp
> 
> This works interactively...

All this makes me think that we could be dealing with a race condition 
in how Eshell pipes I/O around. Maybe there's a timing issue in 
`eshell-close-target' where we end up not sending EOF to the "rev" (or 
"sh") process?

I'd be interested to see the results if you ran `M-x trace-function' for 
`eshell-close-target' and `process-status' before trying these commands. 
`process-status' should return `run' when called from inside 
`eshell-close-target'. If it doesn't, then we'd neglect to send EOF to 
"rev" (or "sh"), which would cause a hang like what you're seeing.

If that's not the issue, then I'm not sure what the issue would be 
exactly, but poking around in `eshell-close-target', 
`eshell-insertion-filter', and `eshell-sentinel' might yield some useful 
info.

> My guess is that it's the latter, but I don't know if it's worth 
> pursuing this if Cygwin and EMBA are the only platforms on which there's 
> a problem.  Of course, there might be other platforms and no one has 
> reported it.

I think if we could figure out the real issue, it would be great to fix 
it. Though if we can't, it would probably be ok to just fix the test by 
avoiding the issue.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 18 Jun 2022 20:51:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 16:51:50 2022
Received: from localhost ([127.0.0.1]:50262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2fQ5-0003R5-Po
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 16:51:50 -0400
Received: from mail-bn8nam04on2132.outbound.protection.outlook.com
 ([40.107.100.132]:18272 helo=NAM04-BN8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1o2fQ3-0003Qs-CD
 for 56025 <at> debbugs.gnu.org; Sat, 18 Jun 2022 16:51:48 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=JKhCDGr8PLBtuaKouBLzHC/QbYcF9djNbfkg9HR+0T3A5IRNs4CS66W2m+QOC4QpWi0g1EQlLdkhAfMPE7VRtcXza1/mZJCIVUlm4/mXxGQGDvQmglxO3LR7GCNEAcZcO/MCMwlBMBafQ507leCP9zl3/He/iCbB64s1WeNVyOqy+fnhQLuimmUdSv/bWqJJwDEnHFsc9T8RjyY0Wl8B2gSLMKAaPvMUgtatmB4xEY0fcssJLFA2wv8BQMz1PH9gzY4U9W+j/HODWFl4uUkhoR3BdJsWlQ1GQDNXUmJMaJ/VWbfxAJiuu2B7ZL8cC12MSmRM93eu4VAyVWDWjLEOkQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=M53payy38ZxqYwPSosETddLzl1kVG/zlczWURNIGaTo=;
 b=ajmIOxFdfdQI8TChRwKbXyIViLJskzyCAZRCEWkMKeCY+G9qmcMk/+1QXsFY0ouixwiAFFM8g5SlgJYbcFfZMZV2qpplcgAlij1rEQ5j7TToK/OeAtn2S3RlRF310C9332g5c6BKgkcpvzPFPO7XZjQiV562ApEEpEcuwnFUZP5IE2r8JO0zdYR1FcCn7vSyKILHVZEmX6AD24AJbmKJOmPXJybUhn+Xm/AZP6wm/wmNJexKXl1OnjFZn/KH4cr3UIsu2ZzyyD5j80ykrT0wqNBKT3uXi70HYxCXt34dA4J6FIWk3pch7+XQI/7XQVWRpVuEgB/74hK6Iyj2Ir8l/g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=cornell.edu; dmarc=pass action=none header.from=cornell.edu;
 dkim=pass header.d=cornell.edu; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=M53payy38ZxqYwPSosETddLzl1kVG/zlczWURNIGaTo=;
 b=Y5fdtStcDM93HY4y8HsJNBt5GA24xDM/myItDCSy9xNk4HuHhoLo+hcI6kR9CHk9NLqN4CBJfmglgpHpQfZKBRYokrcvZw7kJtXpbV5rOnA/5CZRKM1bbMREYY2n9RB6a3roI716CTVnUrMf2VhpZ1d0UliQPm6LEI4gq0S2FgU=
Authentication-Results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=cornell.edu;
Received: from BN7PR04MB4388.namprd04.prod.outlook.com (2603:10b6:406:f8::19)
 by MN2PR04MB6877.namprd04.prod.outlook.com (2603:10b6:208:1ea::23)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5353.16; Sat, 18 Jun
 2022 20:51:40 +0000
Received: from BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913]) by BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913%5]) with mapi id 15.20.5353.019; Sat, 18 Jun 2022
 20:51:40 +0000
Message-ID: <8974408d-91cd-aebd-7a5b-596a57bd640e@HIDDEN>
Date: Sat, 18 Jun 2022 16:51:38 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
Content-Language: en-US
To: Jim Porter <jporterbugs@HIDDEN>,
 Sean Whitton <spwhitton@HIDDEN>, 56025 <at> debbugs.gnu.org,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
 <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
In-Reply-To: <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-ClientProxiedBy: BL0PR0102CA0003.prod.exchangelabs.com
 (2603:10b6:207:18::16) To BN7PR04MB4388.namprd04.prod.outlook.com
 (2603:10b6:406:f8::19)
MIME-Version: 1.0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: a02076d8-a5ca-449b-eb33-08da516c57b2
X-MS-TrafficTypeDiagnostic: MN2PR04MB6877:EE_
X-Microsoft-Antispam-PRVS: <MN2PR04MB6877A989B69292C58682B1D6D8AE9@HIDDEN>
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 3UUM033VI3Elv+F+5N5yJn80Gk2DV8LpSmRFifCUAMIHs73EmfpfhtPB60EKJd4pmEJh+dlMBqch3vK5cxhQ9ANWOaaqhhPxpo2wD5ICP5bEFf22++MsT92zcKNsD7Y3jm3raZRozVYHXoNeQ5Ra3PCtoBAWT+tzfNGNj6ZfHTn1A6oefGWt9qaUzgY9y+8SG4ANpBpLUa4BVDbfmjZOAnVATxaEruh1cxLp98OGNpOriHh+oQ0M5hcoFCrK74vyUKOW/uJFXOWHvKW9naHkZwKBrWP8ys7KCfZN1986q7pnUNfsvjEHvCuxms7DSS93eEYUUiKY6wzaCP54IB7NQ/8A7vrnSD4Wt4UPGHXeQB8VrACprtnxXC69cjqU5gMNliFFeeN07/Y4ipYMF9FWMsFBOjKx4pHhFpHin/V+iAVdgs6hNxThfegtonkb5I6KUjymEYn1wwuDTZ+WvcoKdtEMExPtkh9nTf7KST5D2nP3RTTJmR581EpoaLOdnXodALR2kw3c+188rKfMKX+ooU+1n32a/wUjGApevIQPm83ppxmnnJ1R4soIb7yUSc/TW1lO6ApsSw+4dPeWsOc7HvEfzPjU8CBGuOaaBarR6dT6XShGVQ68qlLbPQvqWFd93s8acLFbwayOOSwr3T448vKSnTkpzHjz5pQrnz+4+kIXlyq5HRLQc77GOl2fPNGNsCznByA33pXHn0bK/fRQWZPjsgTg7uxSpwuZCZ5ZTXs=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:BN7PR04MB4388.namprd04.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230016)(4636009)(366004)(5660300002)(498600001)(8936002)(6486002)(75432002)(83380400001)(186003)(2616005)(2906002)(53546011)(6512007)(86362001)(31696002)(6506007)(786003)(316002)(31686004)(66946007)(66556008)(66476007)(8676002)(36756003)(110136005)(38100700002)(43740500002)(45980500001);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 2
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?RENFMTBMWEZPODFiZFBIMlJYakF5UGVkbE1kYmRIbkU1c3BWeExQSm5talhX?=
 =?utf-8?B?NWJmNFVRSWozOUUvOXVCb1ZSbnVIOElWYVNqMEJMNWNGMkh5NVRSQ2w0cEk4?=
 =?utf-8?B?Wml5ZlREeU9VNEQ1djZNUVJoSUVZTHB3K2V4M1FDc2xvSGtmc0Q5Z0VUUHlC?=
 =?utf-8?B?bEhHejZaSjFNQnRzbXFzMHoxQUh1SE5iY1BULzZ1bmY5MTdrWGJoZkt1aDNr?=
 =?utf-8?B?SGlDZ0J1WDVjMlQraEhxTGI3M0xCL05mRTlPSFp2Y1k0Y2szZG10SlU1YzZJ?=
 =?utf-8?B?NHV5ZWRubU5ERVNHQTZnbm9iaEtuR0xLUTAwSnA3N2RtRldCcnFRRU9iUnM5?=
 =?utf-8?B?ZW9ieHNONWlPMGs4bnVEYTFoeEZ4R3VaM1gyQTNPUTUyemJGWWlHRmdEdldK?=
 =?utf-8?B?b0srTXc2YmlvVE1qLzNoS240TlpidTU3MzNod09CZmdVdlhZbk5WNE8ySW1P?=
 =?utf-8?B?MjF6MnllcGJtL1FTdml3L2VkYndDc2tiZThEUXhwN3VTWVAxNDBmanVWTTVs?=
 =?utf-8?B?OERQUTRiRUZPNllkc1FKRE5GYzFmWlF1K0xuSTZxWGFJYndOYUpqVUxMQUJk?=
 =?utf-8?B?N05mTHE3K1BhdDEvMkMxNXB4amErY3A3TVJKd3Rpdyt0WW9pa0REaFVkQXZK?=
 =?utf-8?B?MEhPM3l2YnNVTkFGemE5NTdzRndFQjJjQWF3bDRnU1JvRUR5OGxhcWRwblc3?=
 =?utf-8?B?eTJScWVYNUVCbHhQUGZDVXhXeXJEUEJiR2p0NVdWcGhZTkllR25rc0t6a0I2?=
 =?utf-8?B?enlxMXBXclhHbUNKWlRKdXdmVWMyQVlJL0RrWGhkR1VZUUVvcFRybnNoMkE4?=
 =?utf-8?B?K3hiVi9ZcGw0NGxaL1VOU2Y4bnhOamEydmFaN2RNWStlVVBRVjZSc0tPMnJR?=
 =?utf-8?B?RTZRVWx1MXU0a0l3L2R0emdiNXhoNU9ocGlGcVdEdHhkYkxyZjZOcjB5eHRK?=
 =?utf-8?B?Q2JlbVgrd1ZseXBtTC9PWUdlUUp0Ty9iQlQzeU1tYi9qRkE5VkRrMGhKVmQ0?=
 =?utf-8?B?M3BIMlc5TFE0Ri9JZ1kvd0FnRC80Z0duK00yekVyZHlOc3lhMDFFSk12MGx4?=
 =?utf-8?B?ZVBMc2NzU1lXeU5BMGdvZFEvSnZNbWRobmExb1VuV254NUVvejZjYlZnTktw?=
 =?utf-8?B?eEY2djN0cCtNNFdwYXZIbG9maUdYd3YyMkYyZjZHYVQ1UFZsSkxCWWhCVllF?=
 =?utf-8?B?amk0bkxhQXdhd3FRNFFUQWFEUnQwNUhKSDY4bXBVRmR6eExGZFdhVWl1NEdw?=
 =?utf-8?B?WHN0a2JLMXpOMzVpTFk1OUJMVXMxUFBTdDdWaGRVVjlXc1lOZS9kMWhYRjVr?=
 =?utf-8?B?dmE2bUZ1cGx3RkRaWDhBeXhpSTFKT1RHQm5DeEx6dXlGQldneU5KdGRHa3p2?=
 =?utf-8?B?NWwyb1B6aWp5Z2w5TUhBc005MUtwTk56MytiMDNRRzdtTjdJZVlaVXpDZ2VF?=
 =?utf-8?B?OU1wRXA2c2VOZ2JEQml4bC9iM1ZDQnZsaTNIUVpHeHhrbENEMmoxNEhHQ0Rp?=
 =?utf-8?B?Q05VVWRkTFhqUkRDRFNCeG5lTnpaU0JQYTJ6ei9pMzdPdGNsUFo1eno3Q3Iv?=
 =?utf-8?B?ZUpjTjgrUE9EZnkwelRBdENvcHVsN0dpRzNRQUdQdGc3NkE3azcxN3BvSjFt?=
 =?utf-8?B?WEtXb3dNY0tVMW5WTzZnVk95eVNvMWJXcjMzQXNNUVRYdUR0d2x2S1NhbGdh?=
 =?utf-8?B?cGQrZmNBbjRaNXdPZnRXajJOTzJQc1NtaTlWQVFNdXVsbncrQTFWZlZqREdG?=
 =?utf-8?B?Mkt5dDk0dGVWOE1RVGo1Qk1PV0YrVTQwMU93a01UWm1YTlBWdVU4b1MvV3FO?=
 =?utf-8?B?NkZUc3pKNjNlZkJhYlhTandQdFh3NkxMQnFLeVlVNkNsTWxvWmdPaks2ckty?=
 =?utf-8?B?VXp2VVRLcEMzVXU0ZTBodVNyL3A0UXpmYitlTGg3dFl5V0diVGhBVmpxRWdW?=
 =?utf-8?B?REE4RUVkeFA4b1VFWFdhZUZ1bCtLZGsvaENkK2lSVSsvMU9JdGRJNUxMSjND?=
 =?utf-8?B?N0c3ZjQ3bkE2dnFZNXFzVVBkamNCaGNyM3U1dHB2WWl3OTYxengwcnM5NnlF?=
 =?utf-8?B?M29HZjAvS2hRQTIyc1hqVWgzR2wzZjJaN3g3VlBzOURURkpiYlluZ1BTNzUv?=
 =?utf-8?B?S3dRbHRVWUw0YlZxRXQzM0JyQU51TDYvTGZUYWxyaisyeEI5UTZJS1pkZUNK?=
 =?utf-8?B?Q0dWTHVWNkV4VWRlaCsrRTVVUXk5Sk53ZDBqUjNtaTFWRUpoazAwK2hvclNX?=
 =?utf-8?B?bmh1MUtBbjZkWmkrMHJNckYxajhCYTZLSTFNMC92SHdQY1BzelZRZDdXUCtM?=
 =?utf-8?B?RGpJaldLSjZtUUZvVUxRQXFLWmQ4OFNlOE5uVjJrRmQ4b3FJanpsaFlKYzc5?=
 =?utf-8?Q?RUGgt1VgRnhTCa6zT/LcLe1/3NO4dF14jKlWNeOIbf3KS?=
X-MS-Exchange-AntiSpam-MessageData-1: yHHstR/G+kncXQ==
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: a02076d8-a5ca-449b-eb33-08da516c57b2
X-MS-Exchange-CrossTenant-AuthSource: BN7PR04MB4388.namprd04.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 18 Jun 2022 20:51:39.7726 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: upYJEztB4r91C02aIq8RUBOzcZhiynDW3EdCMuorfpsDx3yeffbLayR+LvfWofoi7Y/LKyGEjF7+fM9ifVzGYQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: MN2PR04MB6877
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6/18/2022 3:02 PM, Jim Porter wrote:
> On 6/18/2022 10:52 AM, Ken Brown wrote:
>> No, I'm seeing the same results on Emacs 28.  On both Emacs 28 and Emacs 29, 
>> rev is apparently not seeing EOF unless echo outputs a newline, so rev keeps 
>> waiting for input.
> 
> Ah ha! Thanks for debugging this. The minimal fix then would be to change the 
> command in em-extpipe-test-2 to either of these:
> 
>    echo -N "bar" | rev *>temp

This doesn't work.  It still hangs when run interactively, as does the equivalent

      echo -N bar | sh -c "rev >temp"

>    *echo "bar" | rev *>temp

This works interactively, but I don't know the appropriate syntax for modifying 
the test.  Naively replacing each 'echo' by '*echo' caused the 'should-parse' to 
fail.
> One last[1] question: if you ran "echo -n bar | rev" in Cygwin Bash, does it 
> hang there too?

No.

> Maybe this is just a Cygwin limitation, or maybe Eshell is doing 
> something wrong with its built-in pipelines in this situation.

My guess is that it's the latter, but I don't know if it's worth pursuing this 
if Cygwin and EMBA are the only platforms on which there's a problem.  Of 
course, there might be other platforms and no one has reported it.

Once the test is fixed to succeed on Cygwin, we should probably revert the 
change that caused the extpipe tests to be skipped on EMBA, just to make sure 
that the same fix works there.

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 18 Jun 2022 19:02:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 15:02:25 2022
Received: from localhost ([127.0.0.1]:50025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2diD-0000aV-9k
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 15:02:25 -0400
Received: from mail-pl1-f175.google.com ([209.85.214.175]:34439)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1o2diB-0000aG-F9
 for 56025 <at> debbugs.gnu.org; Sat, 18 Jun 2022 15:02:24 -0400
Received: by mail-pl1-f175.google.com with SMTP id i15so6463696plr.1
 for <56025 <at> debbugs.gnu.org>; Sat, 18 Jun 2022 12:02:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:references:from:message-id:date:mime-version:in-reply-to
 :content-language:content-transfer-encoding;
 bh=daQw/G4KmVx/xlCjingvKLfGY96eOpcbgL59h8oAaXY=;
 b=TQX1rQ6X6xfoXKB4eIdkWNLJmQPQ+bWU2GN608svTTNljH9B+taCtC/cIG5H4jHF2O
 o04hvIy5Hvxb1+oE0KluoHbMmCVPy5r1420YMDwbDjbaOaRhiS5jAZTNOskmOiw9rh50
 XVv5yGraYmu4Ph4UmWsaTe2jgke/XuGKZHmAzHBAl63qTHOFQNF/8zEZK0x7sV8EpbN8
 cP8Vwxy7YARQXIdOqkbFZTjv549EV8zXvM//u/6fn9rd8EVxw+5lkOFkGnnbR0ozx6Cy
 BoE6FZUJ2vIz6j9i7XkRuCxatG0B4HwyTLrD3NECU0mnA5lVwIsH3rhiBNTClVxU49e7
 3Lgg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=daQw/G4KmVx/xlCjingvKLfGY96eOpcbgL59h8oAaXY=;
 b=nF41OOu4Lz8UqUe2fE7zW351wk1RDqCBpssf767vm/aH8ARvMYCarHQX9XJIhnQzlP
 IJz4a7QCuMqzd8cJXPa+UE0ZOK27xwT2duedACdo6mVNDgbeS051W/IhncTg1NC9khYP
 /cET/2EopmeOHLV08tS0+bTI2GB3HD8kn51aYh5+zf4O0/8WGJIAIK+vNiVp6DlX8cit
 lWj6ii7af417llcY0RU8SNR9rUJqP5l18zOT0fXfFKsBQ5WL8lRUx92vQ2/v0OXdyomf
 DidiVM+dIHzfE8Yy6fyQV116SMsHCe9+vfnK4XUisTJIjA23lSIWVjd2+sLwhIIiwQFb
 ncCg==
X-Gm-Message-State: AJIora+GjW/KeLE62tiXhK6JVoDeUOBsTXwgVx2BskMpsm5SoKyYSZu6
 6s5RkJPKqEMLbLZ99Ycbpxg=
X-Google-Smtp-Source: AGRyM1ssLDWCCVRJJq/Khx5ds7EpeNSUxn9nTLfcPurFRXD/PzdTL7YUwqdeoYQbtUxinDlRyosviw==
X-Received: by 2002:a17:902:efcc:b0:163:f35b:2a99 with SMTP id
 ja12-20020a170902efcc00b00163f35b2a99mr15428202plb.42.1655578937486; 
 Sat, 18 Jun 2022 12:02:17 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 g23-20020a17090a579700b001eaec814132sm5845637pji.3.2022.06.18.12.02.16
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 18 Jun 2022 12:02:16 -0700 (PDT)
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
To: Ken Brown <kbrown@HIDDEN>, Sean Whitton
 <spwhitton@HIDDEN>, 56025 <at> debbugs.gnu.org,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
 <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <f52e895c-d555-da60-2aac-c6603f73d418@HIDDEN>
Date: Sat, 18 Jun 2022 12:02:15 -0700
MIME-Version: 1.0
In-Reply-To: <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6/18/2022 10:52 AM, Ken Brown wrote:
> No, I'm seeing the same results on Emacs 28.  On both Emacs 28 and Emacs 
> 29, rev is apparently not seeing EOF unless echo outputs a newline, so 
> rev keeps waiting for input.

Ah ha! Thanks for debugging this. The minimal fix then would be to 
change the command in em-extpipe-test-2 to either of these:

   echo -N "bar" | rev *>temp
   *echo "bar" | rev *>temp

One last[1] question: if you ran "echo -n bar | rev" in Cygwin Bash, 
does it hang there too? Maybe this is just a Cygwin limitation, or maybe 
Eshell is doing something wrong with its built-in pipelines in this 
situation.

> [Side note: It took me a while to sort this out because (a) Eshell's 
> echo does not output a newline by default, in contrast to Bash's builtin 
> echo; (b) in Eshell in Emacs 28, you use '-n' to add a newline, while in 
> Bash '-n' suppresses the newline; and (c) in Eshell in Emacs 29, you use 
> '-N' to add a newline.]

This is one of the parts of Eshell that's always bothered me a bit. 
Eshell's echo is different enough from other echo implementations that 
it's easy to get tripped up. There's some further discussion of this in 
bug#12689 as well. I'm hesitant to change Eshell's echo too much, since 
it could break user scripts, but it would be nice if we could find a 
reasonably-compatible way of making it work more like /bin/echo.

[1] Well, probably last.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 18 Jun 2022 17:52:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 13:52:55 2022
Received: from localhost ([127.0.0.1]:49992 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2ccw-0007Lf-SH
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 13:52:55 -0400
Received: from mail-mw2nam12on2121.outbound.protection.outlook.com
 ([40.107.244.121]:36980 helo=NAM12-MW2-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1o2ccs-0007LP-L5
 for 56025 <at> debbugs.gnu.org; Sat, 18 Jun 2022 13:52:53 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=JalJCJVpno+K+3ma3xD6Sinth2+F/ePXrIAzGV6/goa4eR4pHC1ZpiwtW44oYXZWezDsF/GueC9O27/CELnoGTGc0k6DmcoVO7leejgh+SWwrdN5up/GWXCZJcPOaNLghUInrs8UreQ7NZSmIFbdCD1F36Ak5yLkfinyl6VSD14qqWXWkmxR0WZh4F3asugNtSxaxz1ixxaLKmr0dhdwykH8WTv/UA7COdm/IVBcg52N6lWtWXmoU6KE+Mc/s+m5/difFggh96UC5bT1xyGQgLXS0mHqloiONU6t6cyZKEGQi//M/U4IgpNMDRr+4s9Jqn/pqwfk5JjlI0LBhWr0FA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=zz7vbCyRv+ed7avd96cF12KAFS7/fPLPDs2IHWwesus=;
 b=Eji9QPm1Ug8F2qhRYTSeB+XnSyrya65SA/+Ap9fmeGGyzw0UIPnPCUlHAF4BYIboCw+Fa4cg8Bj5NnhmfA8LmvTVDc40PTdLXGllz75qWVcQuL8AkulBhHFP3o/2udJL+fUKT8CJKkudsbk7Sx7dXsa5vXDcBp9FR8DHnAwcSbbVz4aoagg5okL30SNE9CBKNqzAzEA7dcrghx5xsWWZs+pxfl3hXtsNMPa2A123JvizcLACMO8jTIlrhCkNfdn3ih3DEFNOH1qQGYrP+7ZlrEFSK17ZJKc3YRH8YrNEW3IYVOYhKp9NW2iCbBHgwgV8U0GT06bXXEDZeiaiAZxOcQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=cornell.edu; dmarc=pass action=none header.from=cornell.edu;
 dkim=pass header.d=cornell.edu; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=zz7vbCyRv+ed7avd96cF12KAFS7/fPLPDs2IHWwesus=;
 b=G3O/s937kPTnZ2zkCbTnOxgIjHM2mdlTpLqQCiTb1uApVbCtAA5Zv1M4TUZihntWOBx2yEazEHz/B3IGsrrlIFnuBqLAFumEPxZLXlrWlZAxJfkqzx3xxEQYgytUxiB0FshxK6vZ2QtQpTKsgh9aNTtInwUYbHFbXdaR8Fk5c34=
Authentication-Results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=cornell.edu;
Received: from BN7PR04MB4388.namprd04.prod.outlook.com (2603:10b6:406:f8::19)
 by BL3PR04MB8025.namprd04.prod.outlook.com (2603:10b6:208:344::19)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5353.14; Sat, 18 Jun
 2022 17:52:43 +0000
Received: from BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913]) by BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913%5]) with mapi id 15.20.5353.019; Sat, 18 Jun 2022
 17:52:43 +0000
Message-ID: <adda4056-e231-2d98-6622-fdb45e45b942@HIDDEN>
Date: Sat, 18 Jun 2022 13:52:41 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
Content-Language: en-US
To: Jim Porter <jporterbugs@HIDDEN>,
 Sean Whitton <spwhitton@HIDDEN>, 56025 <at> debbugs.gnu.org,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
 <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
In-Reply-To: <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-ClientProxiedBy: BL0PR02CA0101.namprd02.prod.outlook.com
 (2603:10b6:208:51::42) To BN7PR04MB4388.namprd04.prod.outlook.com
 (2603:10b6:406:f8::19)
MIME-Version: 1.0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 6743be14-74d0-46d3-8339-08da515357fc
X-MS-TrafficTypeDiagnostic: BL3PR04MB8025:EE_
X-Microsoft-Antispam-PRVS: <BL3PR04MB8025FE8636725171B3EEF34BD8AE9@HIDDEN>
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: mgqiTH7OkhnXBv1UDCEs+SFbdMhVt/U/JUNCZhM1X0M2RniGe4tE3IwUAXb2oCXRvZOaa18Brwiz5z5W5lDVHaCGVniQrn+oDt1w9FYuhM1cGfHg/92c79vLjjPLikhcW3jZTc5e0NCdDpRwqvAP/IRRAgGbrGQ07vnDDsRloyITCeS4RKd14hsy5fwyH3SXTHhofrDSWGKd+spqt5jGuXLkVIxrWB4pI8JLrGMnwvyeN9M8Y++hgaHNHUsCk3NUSARwLnRJJJDUXwZlXfej+o+3hPbi9tn6EVlr6f27welqHdMTPN9xBeNT6efFu67ixoi7OS+egz1Yj/dWWbdd7pZ8Q7WQB34oFbjRSFuFsr8BbjMtzlawHY0YzTqXd7hSdJQWsLi2ojxP1rgTN7Am+474L9H0XilIgDwnYfdjnZLHcCiQeBGZFT1eFEtCE4bzDYpQd1/HrjPin9n0cY6Rk3Zpi49DvJiBAGxe6axZLDrISmp7JwmwGDLWqG20BN/TaR6XSdQ8qYcyVRC1IBSiDI3Oka93FnteB+thkPfm0TWHxhTd3dVJvPJcOhqJcL3lZUYEg0rHGrG/RoZsb2Z2QQMiGSXgbWRCgCjqt29u41pFOFXNmocPZObGlEjzOaTdIbXvqkbEdwr6aIOw1HBi0Fu3wwUrelv673lfyaKTADN7GPnyN/X9FRcztjpWj3RA/EDXfOTjiqEibFFnXhLs5zHihl4aWYPDkS6AoitOoaA=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:BN7PR04MB4388.namprd04.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230016)(4636009)(366004)(38100700002)(498600001)(2906002)(8936002)(6506007)(83380400001)(5660300002)(31686004)(36756003)(186003)(31696002)(66556008)(66946007)(66476007)(86362001)(316002)(75432002)(110136005)(2616005)(6486002)(786003)(53546011)(6512007)(8676002)(43740500002)(45980500001);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 2
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?K2kvdlJVUEkvZEM4dzVubFRyQlp4ZXpBam8zV2FDcUFhaE1zY2FrUjgvUjB5?=
 =?utf-8?B?Vk1DKytBMko1Q0pMcUMxWGpHL3F6NlhYdGFxaFBNUDlVQ2VIV3puTlhmemRw?=
 =?utf-8?B?cVU4SlpjblNEY2hOanR5c2NWY09zUzhzZnkwOGl0YWhhQUZFazg1c1FwOG1i?=
 =?utf-8?B?bitGTGZCVEQ1MkRvYklJd25OMHU2RFhPR3ZMeHpYWDM5NlpqeHM1cmUxcW9i?=
 =?utf-8?B?U00vMm5FU0NIQW9PbTNCT0NWQW5ySElEQXVHeGxSdWlac2tjVHZnTDBtRk9O?=
 =?utf-8?B?OGNpMGFwQlZlZEc4ZTlkcE4xSU9sam5JZElZVW9hOUVobVQ4cDYwWExnUEF4?=
 =?utf-8?B?WTZXLzhFT2RzcFNEZU1CUk53dk9jQnlhd25Lc1UwcnBQZjFVNjB5aEFxQVlq?=
 =?utf-8?B?UGVwaXV6YmxBSzM2bkVoUE5sZ0pMR1VXa1ZielFVQ3MyampFNjcyR3ZKMTg5?=
 =?utf-8?B?L0JaVzFOUXoyZ3V6NjQ3S0s4eWxHTW05NXlzeDk5QVJBaE1NUUJCSU9UTGpG?=
 =?utf-8?B?MWtWQWt5ak05blFWeTRDdUd4OG0wQ1I3UmxPSTBtZWRnV1k4KzVCNW04U3ZU?=
 =?utf-8?B?T3RiSHRyam1qREtuRExmN3dCZnpCbGNqdWtsS2k2L2QraGtQZTgyS1ZRYlJZ?=
 =?utf-8?B?OE1uakFzeXBtVFMxRzFEWE4vRmNzUC9UaUpMd0NjZVB0RktJdU10V1RpbmdZ?=
 =?utf-8?B?OG5jMXlQNTRETUgrUkYrRC9LekdtZU1waVFOL051cWV6Szk3NnZuaTVYN3N1?=
 =?utf-8?B?V01GZGhtSGNidWxBS2t4NlNmWmtVV2dubWowU2plTkV2eHo0MXNUVCtWTkhh?=
 =?utf-8?B?RTczcTBtZUJPQ0lUSy9rTFhRbEZ5WXRURmpTUFQrZ0FvNWFTUXBqSW5RUlVY?=
 =?utf-8?B?NzFUUFJkTjg0dTE4ZlVJQXYxMlBEMHRJckdCMDNvT3NWamJqbnl6TUtPVS9m?=
 =?utf-8?B?cDlna2RTQ1hNaFpXNElxK2wxU0ZRemFnck9FaE04dnQ2VmxhTW5NN1g3SWVD?=
 =?utf-8?B?Qm9EZ0tVTnJDVkJRanhyVG1WTGE3U1FycFFnNDIxSnptZkxSWU1vVnpIcGtI?=
 =?utf-8?B?eERlb1BHclE2VFNScEdodFVQdEt3a3BpbDdXcGFUc01GYW1hUFIzOG1lbW5j?=
 =?utf-8?B?V1pGOGZNWUFTdFBoWTMvV0NTTlNydXRrM1pYUFFCOXZncDIyYmxXTjNQcG8x?=
 =?utf-8?B?NmVBTXk5MmVyL01aMTBJNjlRZmllcnRVZ3N6bnlhaWlsM0lWZnB4WWNuTjEr?=
 =?utf-8?B?bEVFOVpJb3Y4aUVySGVMT3lFaGpGK3FHbGZVQzdFRUJycFd4SGpkMHR2NWR4?=
 =?utf-8?B?Z0JMUEd5NTBiQTM2aTdvSGQyVUFVeXRENHVIM1JtQWk0eDZNTFV2NWNGM1NS?=
 =?utf-8?B?ZTJlZHZVeWdDMXY5M2pyWUVwMnMvQk0yZnpHQUlnTEJPbHVESE53VWdqWnEv?=
 =?utf-8?B?TmsrWUt5cDVGVm9wQ1RXeU10WDZTaEdNWTBDTWhDM0dIRkk5eHFBek1EMTYz?=
 =?utf-8?B?dEllL3ZjakdZUERHUENNYnFhZFlOWU9HbVB0ejBpOThOMVJHM0tGVTRUU04z?=
 =?utf-8?B?V1QwSjVuSlFKd3hLdGdRUVBwRjkza240NUMrdEkyVlZJVVdiQTN1K2pGOEZ1?=
 =?utf-8?B?dXRrbjdHb1hQZDdKWHlqdlp0WXpsalFjcGFGOGV4WitDK0piQ1d0cUgvRCtz?=
 =?utf-8?B?Vk1ZQ2pKNjFWMVpNeTkxS21UNVh0MVIxNzJpSmIvcnpEVVAvd0taT3NlTjlY?=
 =?utf-8?B?VXM5bzVrK2EyQmlDRjRzSFFKSG5UZHFnTGhkVnRMcG1oR0Vrb0RtbnJxN2xw?=
 =?utf-8?B?RUJNNlBVcG12cGhXSXgxYnlpM1ZQei9obkprSkNabDRWang2bzFFbGtlOVhX?=
 =?utf-8?B?ZFdxUVpqQWlOSmE5WlZHbjRNOWIrRkU0L1JuVTZvbURWTjIreit4QXBWenBY?=
 =?utf-8?B?ZWxaWUtEcy9BZGtVZ0swaDR2dTNrQXpiZFgyZW4zbWU2QTYvVEl2K2dFVFBX?=
 =?utf-8?B?UThBTVhOakkrSXdmNWZ0MXFac1JIYTdITlNoRm9jMDgwRG01MFcvZDlHZXRD?=
 =?utf-8?B?bGxiQXdmemdOalRWTExlL1FCMHZQeG0vMzJ3M3ltZjIxZXZTZFFQZ1dhQlRH?=
 =?utf-8?B?ZEVBWW4xSkZHM1FGT3M5d0dIUlNscm5zQ0Z2ODJyenJZS09FOFJiM3VORCt3?=
 =?utf-8?B?OFpJblZRWHBkR1Z5QlJmaVVDTXVCM1NLODgvTnY1TkdOSGVBcCtDdkRzUThR?=
 =?utf-8?B?VzkvaGtGdkc5dEd2eWc1cGdTaGpzUFlaTG9pM1o1WkVBVmswRStiSGlnSEZy?=
 =?utf-8?B?eC91d0FDUXAxelFRR3Vyb2JGS3hoZGRISXB5a0tWY2k4V0tlS1ZCMFJ0L1dG?=
 =?utf-8?Q?L+rxhhgX6XjGYV8Vf8/exCvFNeugUliwY5PfHsILCrFQ6?=
X-MS-Exchange-AntiSpam-MessageData-1: Y8IMsTeKQWxT3Q==
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: 6743be14-74d0-46d3-8339-08da515357fc
X-MS-Exchange-CrossTenant-AuthSource: BN7PR04MB4388.namprd04.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 18 Jun 2022 17:52:42.8054 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: xTcIMHp+9s0bm4xupz2o9WqIQyCwAJ3YVgfuR722S1/HvK6HGZUErNGc2iaX7RlCcxtxV7zHWOBMiCJUjIsCYw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BL3PR04MB8025
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6/17/2022 11:50 PM, Jim Porter wrote:
> On 6/17/2022 7:07 PM, Ken Brown wrote:
>> On 6/17/2022 8:57 PM, Sean Whitton wrote:
>>> Could you see if the same thing happens if you type
>>>
>>>      echo "bar" | sh -c "rev >temp"
>>>
>>> into an interactive session, please?
>>>
>>> If it's the same then extpipe has uncovered a general Eshell bug.
>>
>> Yes, it's the same.  And it's even the same if I remove the quotation marks 
>> around "rev >temp".
> 
> Does the above command also fail on Emacs 28? I changed some aspects of process 
> management for Eshell in Emacs 29, so it's possible this is a regression. If it 
> works correctly under Emacs 28, I'd be very interested to see the results of 
> bisecting to find the breaking commit.

No, I'm seeing the same results on Emacs 28.  On both Emacs 28 and Emacs 29, rev 
is apparently not seeing EOF unless echo outputs a newline, so rev keeps waiting 
for input.

[Side note: It took me a while to sort this out because (a) Eshell's echo does 
not output a newline by default, in contrast to Bash's builtin echo; (b) in 
Eshell in Emacs 28, you use '-n' to add a newline, while in Bash '-n' suppresses 
the newline; and (c) in Eshell in Emacs 29, you use '-N' to add a newline.]

Here's my simplest reproduction recipe for the bug: Type 'echo bar | rev' into 
Eshell.  In both Emacs 28 and Emacs 29, 'rab' is output but rev keeps running.

But if I make echo output a newline (by '-n' in Emacs 28 and '-N' in Emacs 29), 
then rev exits after outputting 'rab' (followed by newline).

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 18 Jun 2022 03:50:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 23:50:50 2022
Received: from localhost ([127.0.0.1]:47337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2PU2-0004WZ-9P
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 23:50:50 -0400
Received: from mail-pj1-f48.google.com ([209.85.216.48]:34078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jporterbugs@HIDDEN>) id 1o2PTz-0004WL-4y
 for 56025 <at> debbugs.gnu.org; Fri, 17 Jun 2022 23:50:49 -0400
Received: by mail-pj1-f48.google.com with SMTP id
 mh16-20020a17090b4ad000b001e8313301f1so8280031pjb.1
 for <56025 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 20:50:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:references:from:message-id:date:mime-version:in-reply-to
 :content-language:content-transfer-encoding;
 bh=JgtQ0hwQi34G4oTOucX0wJyOkslDHiIN1CzbWmCFTy8=;
 b=gdt0ottVITxRn+PdD5tS6RBljKT41vIKhwSg+9Cgv+ewW0HSdV+OsWTcniwuj3j9Wg
 NX5LOJlPR1B+4eUPEN8N9/dqRqBDPlfFgV8o/Y6mUt2TLnXz3VY35s+6g3SmbZF6sd/D
 gtJL9EhKyR4TmDwaUx9kGthSUuwJc6T3SVdniJpOgLFG6Otjt01CmffU03m742Ptq5if
 LGNF0mxdkfOX/DhQxBqDSzu5gIrFhMbIeJjVkz6GSK/NigskCDWq81QyHPT1hWxwHNfH
 CWZhJ7Ccx3Ni4TO33oQ32CnQ+HjPnJbUyIbav6ElWLTn4Ff+yr4a7AQIWBR3NOuNaqU7
 oI5Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=JgtQ0hwQi34G4oTOucX0wJyOkslDHiIN1CzbWmCFTy8=;
 b=etUVTqy6h2QjfGq8Lbk2EUeNVE9Zd65jLB1CeghPv77cuzwzZnK5TGXCmcii/ucpAP
 MOZHasqdp1ueTRgjb14D6Xz+DmLEeqZGp6YFYIBJ0CPJoibwR6ummU4RnkRiurH36Nmn
 5/aj2jMP0nMvBc8zPScoiElg4tfyWmG11j/DlBXn6T+fQ5aBWx3Y9GvpAcyjlW32HZA9
 UAio1ZLirJ8HcU5KxqbIvq5YlgQcrGqHe7k32L2PR5IVzisdTe7kdjPFaAVfqbTalwut
 W5Er8lU6Ue8eC3VVmyvUKCAZy7gt8GN9u3U43tWnT9ZpXkuVFxa1XA+dOQhkCi2u1lrz
 in+g==
X-Gm-Message-State: AJIora9r9dh0/VIqZ0ltMVW+tN7XYC+xDz4qO2UZosCpzONUOE9fq9I5
 o1jnlkatS/qOxleg2FLF3Zg=
X-Google-Smtp-Source: AGRyM1sfiqMlAmmbrshGep+yXZbkRM+yfvj5pdFpx33LFtjy9BjlEyGwsm2HEWskyzjmFYNAh8fNhg==
X-Received: by 2002:a17:90b:4d90:b0:1e3:3025:66fe with SMTP id
 oj16-20020a17090b4d9000b001e3302566femr24917172pjb.145.1655524241048; 
 Fri, 17 Jun 2022 20:50:41 -0700 (PDT)
Received: from [192.168.1.2] (cpe-76-168-148-233.socal.res.rr.com.
 [76.168.148.233]) by smtp.googlemail.com with ESMTPSA id
 9-20020a17090a0cc900b001e3937f21absm3175181pjt.19.2022.06.17.20.50.40
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 17 Jun 2022 20:50:40 -0700 (PDT)
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
To: Ken Brown <kbrown@HIDDEN>, Sean Whitton
 <spwhitton@HIDDEN>, 56025 <at> debbugs.gnu.org,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
From: Jim Porter <jporterbugs@HIDDEN>
Message-ID: <7e7daa2f-dbbc-cd0a-4958-2a2932b17837@HIDDEN>
Date: Fri, 17 Jun 2022 20:50:40 -0700
MIME-Version: 1.0
In-Reply-To: <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6/17/2022 7:07 PM, Ken Brown wrote:
> On 6/17/2022 8:57 PM, Sean Whitton wrote:
>> Could you see if the same thing happens if you type
>>
>>      echo "bar" | sh -c "rev >temp"
>>
>> into an interactive session, please?
>>
>> If it's the same then extpipe has uncovered a general Eshell bug.
> 
> Yes, it's the same.  And it's even the same if I remove the quotation 
> marks around "rev >temp".

Does the above command also fail on Emacs 28? I changed some aspects of 
process management for Eshell in Emacs 29, so it's possible this is a 
regression. If it works correctly under Emacs 28, I'd be very interested 
to see the results of bisecting to find the breaking commit.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 18 Jun 2022 02:35:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 22:35:57 2022
Received: from localhost ([127.0.0.1]:47319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2OJY-0002io-W4
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 22:35:57 -0400
Received: from mail-dm6nam10on2112.outbound.protection.outlook.com
 ([40.107.93.112]:28640 helo=NAM10-DM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1o2OJW-0002ia-9w
 for 56025 <at> debbugs.gnu.org; Fri, 17 Jun 2022 22:35:55 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=KDCBnzcqK4ZsGXzpwsLX6PjzSXr1L2Zh1+YSOiuP6Qt6O64dDmj/gZZiOM7yP/mCqq9Er+EptznRrM7RhQ8DHGJx6K8F0PuVQVuEcThXrMLWFwZUw8cp2tFkQnj6XKzbC2WipwjbgN63K1HDYJ23qLG9zIbcYiXqXJJ4N1vyYaGW2THWt8lBffov8zXNkfsXFKcBWuMofpJZXhZJQDaY/ZjKeMjRbDgj6eJU/QqKVu8fthcaFwTpGFXqD9Sia9xWhax/v7XdmWNblMSQ/gS1feNXZr11CfzCGXZq0nDjJ31uRd/vQe/x7GTFBefxUkyt3dI4tRxiTD/KqsFGN+U7Fw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=/dhA8DKhbo3g+K65cyfWXLACT92GJrv9h+xz2mWdw6k=;
 b=ZFxNpDGr+mN8EcqANsCVU//QqBtx6XwjXLa0Y3t9xj5IWh15qUm5YSmbQRC2uYbT8J9bOBAEvjhXuLetB17iBEj+eSSHT6fHeBh+1y0aD7s9q+6tuJ/Elum1cGBGH4LawIXQyDUoK4k3X6BwbBpMzikM4btEdQJmfE5mhGmeUMtyIhxGG98YwOsBiq1MqaT4esJ/gA+211TjvsHSQ+RF++j4EY9CxtA3vliV8mSrWnh5svPLqL4RhRj2EbdmlF1r7Gr1LA2awFLWivSdDlTEyWOMkVVtZNontrTIUWEX7Gxn68aOeWHABGZn7v5CO4cwwxNHtOOVVOX4QOMh2GElDQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=cornell.edu; dmarc=pass action=none header.from=cornell.edu;
 dkim=pass header.d=cornell.edu; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=/dhA8DKhbo3g+K65cyfWXLACT92GJrv9h+xz2mWdw6k=;
 b=AyJikjGj8F4tZ2CttofpeGhM+A7A1H4/0MDNe/di2ptkAOQI+K90in17mNgGhAyar1toOCZBu3fxw5iVUnj2e2F3ilWnaxes3QQbXyD218qhVkZztWVA5y668mZoC3doFTBiVogh5WglCvBMS7X+2NWaa7tz74cb9EDx5nZT3QE=
Authentication-Results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=cornell.edu;
Received: from BN7PR04MB4388.namprd04.prod.outlook.com (2603:10b6:406:f8::19)
 by BN6PR04MB0292.namprd04.prod.outlook.com (2603:10b6:404:18::9) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5353.14; Sat, 18 Jun
 2022 02:35:47 +0000
Received: from BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913]) by BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913%5]) with mapi id 15.20.5353.015; Sat, 18 Jun 2022
 02:35:47 +0000
Message-ID: <789a671d-fc2d-cceb-9238-dec8fd402edb@HIDDEN>
Date: Fri, 17 Jun 2022 22:35:45 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
Content-Language: en-US
From: Ken Brown <kbrown@HIDDEN>
To: Sean Whitton <spwhitton@HIDDEN>, 56025 <at> debbugs.gnu.org,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
 <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
In-Reply-To: <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-ClientProxiedBy: BLAP220CA0002.NAMP220.PROD.OUTLOOK.COM
 (2603:10b6:208:32c::7) To BN7PR04MB4388.namprd04.prod.outlook.com
 (2603:10b6:406:f8::19)
MIME-Version: 1.0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: fbd56b4e-c73d-4894-f3b2-08da50d34018
X-MS-TrafficTypeDiagnostic: BN6PR04MB0292:EE_
X-Microsoft-Antispam-PRVS: <BN6PR04MB0292F99CD9A6D0B805705812D8AE9@HIDDEN>
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 25zE9bD0O2lXkCIVy+gxcuFxU220QPvEnftowqprDXrqG8tB7AgAyfrVEeaSTFIOtk5lPt9hR8uGavIDybuKa6sHZcR42fva2L8vQ3PmPfvtelIljE+ZVDBHrzMSKmbpBAjEGo/wnjaw+LsybbaPbVvYcjUjO17+EMszTZBew0jveqhD/aaOtEzmAfLwZ3kaZ/0W/2KA+XY0nZrLKofkzdVq0YIkns7kG3SsTg/u3jWp0TkEWHuqPrLu8Se03/QaB+Qgb0ZIF5v9pTp76xBerbH9W8r9KrxeV3OMNGAZpAxTrt03z7odB3/tDNw6W3PcP28w1hnZONZOMp+NYqOIg/SwXYyz+rV/UBzntwsZ0EE3ZF357kfJyf9yomE/Ud27/rrz1V59KxvQxya5CdPUUokK5eaIzpvKv63qjrCVUGklz+r5pO1ehfvx72IdfcEgG5EeE4yBAOrEiPTboMntki+7PauB2GkJKl4dBgF6dg1c4ZQd74kzf3vGSLa//sOqKiLBTwbg78AfHQB2zcGyupIiE67Iw73MrLybpalB1BnmB7RIjflqcuzgT0L45SFNQW8MuzA0FbkktvGh/UiYZFknMRRpxRYry6cN//zt2DPM5Rr/l1tcGkGBr1haItWMC3c4mGtMIePGQN1jgglCAzcLGOVeMv5HXvZKViKAW/qB45PeZjHgf1sUrx9WUDIRz7IP4Z18gy8tPMbrgUaRfa9fUkwkm3+OKv7JXNKyvyQNpsGlrM4oMDOVmsz3KaXW
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:BN7PR04MB4388.namprd04.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230016)(4636009)(366004)(86362001)(6506007)(186003)(2616005)(66946007)(53546011)(75432002)(66476007)(6512007)(31696002)(38100700002)(83380400001)(498600001)(5660300002)(6486002)(8676002)(8936002)(36756003)(2906002)(110136005)(786003)(316002)(31686004)(66556008)(43740500002)(45980500001);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 2
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?MzdadERjN1dQa1hnUjU4L3NQUEtudEMzditNdk5wRjU1cE41ZmVacTU4cGJx?=
 =?utf-8?B?VTU2Z21adTBDcCtYNlh4U3JTR1pnN3g0Ym1VVC9pWnFxSGJoK3dVcmx2YjBj?=
 =?utf-8?B?dDgwUmJvOU8wQlFYbVBoRVVVaUkrT2NEL2JkelVGMExMOEt3TjZhYkxlOHJM?=
 =?utf-8?B?SXFDbFpRZFZJY2FUZmtjUHV0RTdaZWRtTVFhWFJjYVZsUUtiOXZiVU1ud0h1?=
 =?utf-8?B?SEdzaE4xMkN2VnNLbEdhdGFubnJrWHpFUHAweGR6NzhGbFFadnEyKzl1OWtD?=
 =?utf-8?B?a2h1ejExUG1OUmlyZ25aeTIxQ3ExZ3UxVk8rdjdBOFpkeHR1Z3Vvd0g4VWg5?=
 =?utf-8?B?WUR4dDNPbUQwTWZFVmZLdVlSUjZDZVg2U2hRaU1YQ2NtWkxlVktPaEFOY2py?=
 =?utf-8?B?WitCdjJmcXRBQ0RpS0pybjJuRnprMFZOYWN0SDFwY1BCY0hyTEJEYkdpWXBM?=
 =?utf-8?B?WC9lcWxidmd4WTVmZHcxVGkxTjg3eHZMOG9lcUhDUEw0eFNHa1VyK1o1YW1R?=
 =?utf-8?B?cFFwem1wbEUxcGM2aGtRV01BckNsM2dHY0plSGRxSjZpMmZmakVNdWttb2Vo?=
 =?utf-8?B?TzlPWkp6V1NidDdZeS9UUG51VFU3MzlybjJob0lWUzlrekRSZjhVd1pjNGc1?=
 =?utf-8?B?OVJ5anVnRjZSUDROakFNaU9tVWtTeXQwOVFZOE00Zk9IeFpXcHNaV3lBcWlC?=
 =?utf-8?B?MHZSU2NtaHdwUFRzeFE4K2xGTldZQjAycXNna3ZHeWd3Qkp3RmpIS1JFdExK?=
 =?utf-8?B?c0o5TVJyWlFKWklXbHVCSnlxdUxZekJ2QVUzbGEwTlliOVJRR29FZjRpNUxZ?=
 =?utf-8?B?eVRWOUxBSHhLWnFhZmF0MDlVNkVJenpOT3QwRFpicGUrNHVFNU15OGJ3L0Ir?=
 =?utf-8?B?R0ZyQzJLL3JhSUdsdWJKSlBvOFdvbXhDOTYwL3M5Zm5keC9OSjIvMlVMVkFJ?=
 =?utf-8?B?U1BUWjVJeUhGdDZaWDYxaHNUNHd5WmdyWm9wQjBlQlMvT3dUVzVoZzhQdnRK?=
 =?utf-8?B?U1ZYQ2lKQkNBS0RsWEh2SDY4bUJDRWhBaWVudFV5aTBBcjZjQTJ1K0ZwUS8v?=
 =?utf-8?B?TEtTS1V6UmZUVFZ1YXVNZDdRYU1xOW5Gc05JOEZ6OEVSNFkyd29PZlhBcGVN?=
 =?utf-8?B?SkdmV0JTbFpPTE40ak5ocHk1V3VvdEQ5TWZYY3JucjdhaXlKRjUrMWtvOHY2?=
 =?utf-8?B?WXEzVldrY09YcFNYQlAvblZQSEZtZ09iUTlEQUtuQld6ald3Wi9KRkh0Z2dm?=
 =?utf-8?B?clVTam5PWndyd0VqTHJ1cllFdkVOQlIvOVVRcjd6SjVWeVY5SnJIL1huOHo3?=
 =?utf-8?B?ODdrMHptMSt6eGUyMnJNT0FiZDhJeWh1MEFURVEvTHlHYW14Y0VHVWRjcDk3?=
 =?utf-8?B?MjFyMmE0ajNLUjRseVpJMXRDQVVwTzd3dTFkTTF6MFhrUEJCbnNDSFVZQUxz?=
 =?utf-8?B?bUk0d0VKQ1NXSmRRUERpRG8wZ2RPSnZmclVZVUxEeFJxN0hkckJ1YlIzRWtQ?=
 =?utf-8?B?R0NQVXVSak91V1JabzZIK0s5USt4VDJzTHMvYXZqNmtlcktrN0laNU9TakZL?=
 =?utf-8?B?MmxBL1Z4N29Qa1VkaTRoZkM0TlFaZjJxVTdHZ0p0NzRaNFpnd01NN3NGQWFR?=
 =?utf-8?B?OW5nV2xQMGh4WU9LMlpvd3pIN2F0Z213TWtpcy9sYVB5eEF1Uk1NeWhiRVQ3?=
 =?utf-8?B?MUl5TFppZm5xZ1ZUUk83eXhQenhlQkhkTEtvNUFGMUZwR1NtRjdyUFBKUURn?=
 =?utf-8?B?aFJEdWptazhkbHRPRGdadWI1bWh3anlsTW9YNVJFNmNnMzBKb2JTMGJjMFF3?=
 =?utf-8?B?aDBITlJtU29FUmVPMElieGp1MnpBL0NPRHJTWGVFa1I4ajdyMkFvRlhUYzZF?=
 =?utf-8?B?bUN4T3hZMm5PanphWXRIWnRMQzUvVlZaZGlsa0h4MnJRWU1XL1JSUWFubDlR?=
 =?utf-8?B?M05kb085Q2I3d0pNT2xzVGpMNmJZeDE4Q2VGT00zZDNIaVVwenVTU2lGZUFh?=
 =?utf-8?B?WXZObnNQZFRoVjBxc2VLQmoyMktNc1Y3YTFObEhjN0Z2QkVoTFBHeHlLUFBN?=
 =?utf-8?B?T0tLWjNvUWFQZTVmQjFPb0lnQ2J1clREUkFtSytzWkZSS0cxWDVpYU5zcjF1?=
 =?utf-8?B?alhOYTY4eE9mVVlSOWEzWWpMQ3krNVlTNjQrU0ZzaFltL2NGQzZOdkk3Nnls?=
 =?utf-8?B?aTJFMU9vWWljbmZWVXNBUUtUMWRmemRxTEszMWNQekhUa0kwUEI0bEhRSHdE?=
 =?utf-8?B?K0RJL2QwV3YwaGZwSHAxVXZBdTJvdkVrelFvK09qRGFZSlNxMVdjTWxQQkRL?=
 =?utf-8?B?Nlo0S2NqSEJEN0cxc2hTR0hGamlxZUYxYTNyVGtFTGI2YXFuOWV6RzJrc0xu?=
 =?utf-8?Q?myCRWz4t7PqqVnU+PP1hKUGpfAKsA16iXibbzqCTiJPF6?=
X-MS-Exchange-AntiSpam-MessageData-1: nKPXxzpRsfoL4w==
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: fbd56b4e-c73d-4894-f3b2-08da50d34018
X-MS-Exchange-CrossTenant-AuthSource: BN7PR04MB4388.namprd04.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 18 Jun 2022 02:35:47.1138 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: qZBNcWEXw35toV043ELajnXagPZAVsBqIb9dSvvy0EBxJ1hO9RxMANOB7c4qFQQzr2KzT6B3Egl3kCXwr6oHjQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN6PR04MB0292
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6/17/2022 10:07 PM, Ken Brown wrote:
> On 6/17/2022 8:57 PM, Sean Whitton wrote:
>> On Fri 17 Jun 2022 at 09:39am -04, Ken Brown wrote:
>>> I just tried a different experiment: In an interactive emacs-29 session, I
>>> started eshell and typed
>>>
>>>     echo \"bar\" | rev *>temp
>>>
>>> Nothing visible happens until I type 'C-c C-c'.  Then a prompt appears again,
>>> and 'ls -l' shows that temp exists and is empty.
>>>
>>> Prior to typing 'C-c C-c', 'M-x list-processes' (or 'C-c C-s') shows a bash
>>> process running but it doesn't show 'rev'.  But running 'ps' outside of emacs
>>> shows both 'rev' and its parent 'bash' process.
>>>
>>> It does seem that there's an actual bug here, not just a test that should be
>>> skipped because it times out.  It could be a Cygwin bug, of course, but that
>>> doesn't explain the EMBA failure.
>>
>> Could you see if the same thing happens if you type
>>
>>      echo "bar" | sh -c "rev >temp"
>>
>> into an interactive session, please?
>>
>> If it's the same then extpipe has uncovered a general Eshell bug.
> 
> Yes, it's the same.  And it's even the same if I remove the quotation marks 
> around "rev >temp".

And it's also the same if remove the output redirection, i.e., if I type 'echo 
bar | sh -c rev'.  On the other hand, if I type 'echo bar | rev', then I see the 
output 'rab'; but rev doesn't exit, and I don't get the eshell prompt, until I 
type 'C-c C-c'.  On the third hand, 'echo bar | cat' almost works; I see the 
output 'bar' followed immediately by the eshell prompt (with no newline after 
'bar').  Is eshell stripping newlines in some circumstances?  If so, I wonder if 
this accounts for the failure of rev to exit in some of the earlier examples, 
since it operates on lines?

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 18 Jun 2022 02:07:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 22:07:46 2022
Received: from localhost ([127.0.0.1]:47305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2NsI-00023K-9H
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 22:07:46 -0400
Received: from mail-sn1anam02on2138.outbound.protection.outlook.com
 ([40.107.96.138]:11476 helo=NAM02-SN1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1o2NsG-000237-1i
 for 56025 <at> debbugs.gnu.org; Fri, 17 Jun 2022 22:07:45 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=SsbjhHLd+kuJH+nVFQrzP30IxmhWUxSlO68QDb6aqVuQPo1yV1g+ZwweOjpnFtdKjMCrezcsUu0PdHgDv41b7RQn82nIYhKNm2DQr2jjpHirOwts3a0e8cOxgK6my2NgYr0z9u2IA8t0QB/QeFDxcPICBizPG3sAtbd8sKST5P2jRn4WQUb3XlzJvNZaACvUOm9+xd10j02GcEimY6lj7Liq19YBzXWGgDo6ssPg58kySG1+PuhXYJYr4J/LK2eDotGm8yOGW2venrUOQWa7+32x2eSapmNl0tXTFBK6WMnAHfLjn65At4HZB8UFEj7Oipc1WciV23JNx/e3ndwnFw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=CbQwUU6KFsJ67jbsdLDo12gA62Lu0WgxXEUN98xI2xc=;
 b=gpNDQkcJ0Wug7O5Ku0SrKciTT2k9RGfznPEzaDLDtoxguWt4v4SydX13R3mqbMSp3q06GoCHnjhEkXDNCX4fbBfl3S66+YzTLm3Sr33+cq2zaH8hWBHdTSQ4s60P3F1LWsmcsrKR2prVEmmehXVX67/x3VVXB7VAd+EFb8YchMkhR9qX7xKC80kJa/L8zVwQW/Bh6K5seqgEpiDTc5NOikmBOtZSesU+Sk6qO8Y+Szw5X1kBnexRGn5lyqHsCJMQkS1heJNtUV71xUydapxr1Souj6g3nd39eEDEcwADHgBRh0gdeOe/aaL6+9sWi7HCbD3Utli7MOKZEe/0nXWTSA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=cornell.edu; dmarc=pass action=none header.from=cornell.edu;
 dkim=pass header.d=cornell.edu; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=CbQwUU6KFsJ67jbsdLDo12gA62Lu0WgxXEUN98xI2xc=;
 b=fRDsSQl1u6hYfo0DOFdVmTpTDvdBZWfX9lcZdIvMoyhvE8oRi2bvQwsC2NGYD7FQDZZfZ+O5s9YYAS1cUGI5tPv3eXoqH3ZS7UxE0CRrLKZjA0lfOuOGW7mMJReobXj5GJXB0Gb8q3CTl7fU3VsbptA2CPxAYP2TLMOqK/344pw=
Authentication-Results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=cornell.edu;
Received: from BN7PR04MB4388.namprd04.prod.outlook.com (2603:10b6:406:f8::19)
 by MN2PR04MB6256.namprd04.prod.outlook.com (2603:10b6:208:e4::32)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5332.15; Sat, 18 Jun
 2022 02:07:36 +0000
Received: from BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913]) by BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913%5]) with mapi id 15.20.5353.015; Sat, 18 Jun 2022
 02:07:36 +0000
Message-ID: <1de33903-4c55-e043-3754-726f7044f2d0@HIDDEN>
Date: Fri, 17 Jun 2022 22:07:34 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
Content-Language: en-US
To: Sean Whitton <spwhitton@HIDDEN>, 56025 <at> debbugs.gnu.org,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
 <87k09elrf8.fsf@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
In-Reply-To: <87k09elrf8.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-ClientProxiedBy: BL1P223CA0021.NAMP223.PROD.OUTLOOK.COM
 (2603:10b6:208:2c4::26) To BN7PR04MB4388.namprd04.prod.outlook.com
 (2603:10b6:406:f8::19)
MIME-Version: 1.0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: bad73cac-d752-4047-8455-08da50cf500e
X-MS-TrafficTypeDiagnostic: MN2PR04MB6256:EE_
X-Microsoft-Antispam-PRVS: <MN2PR04MB6256407AC889CC3D40B3D221D8AE9@HIDDEN>
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: fTRrhYb3HrxzvDVt2EkjHfn8sdCICgW7iS2KXFTGWnCzqVDa03l+fmDWodLpktL7ns008jSnSOU9+Ht2qctkibc5x+ibGw5OZ/yNur9+cngukb67haxHFrAnEhpbgZKDObkEQgELd1H4ObJW1GQ5jAF/Zf7kQL79S2BoYJPU7BnZ35dHl0PEpPt12QnCsi9XwzLqkIoH7i64Fe/dpxrXt/Lfykfebzm1bbv0tinE9BtGH3RvdEYM8oz+ITXFuVvDsbnBQ48y3nbQLMXnCrDbBxhVizbXwN5zzaA0LGtsJxEhNgXkkLXyEbVARiUFVW1pCISU3AK2N+rDmeErFg1vOt+JyfXLAOQQv8H7v6POW3/g/nJUoQfs3JkNUEglGIMXrRly+0PCtIJbliSBzvoK7AIP64KTu1WZ+/r7o7T1SVChS9WlzWNPGyxkB2IXg8JPU6EDLQedc1zCCVOShAuCqy/fdlDiayYT4fUwvpWU+RWGUNHh97JT0EG19gUipJ3tuP/4TvLrIsxo/+HMgi11N7ER8nk7YMugIOgbZbzgHgFBGxVGx5zdnFVIJm2sgh3W10ZtMLONCi11MnDncJJxC4l2usi80qXfPqAAQFSr8EIGZr381OpbaKGoU2VLhReZNdtyLdpqzfzUkl2i6JBHWoNRwJBFizV+7ViTAs2ajOo0rFMWm50w89KyZ4oMx6lNywdYNUtZWB7hAPgntbA2VnrzB6S0Tx1uGHE9lqigzvE=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:BN7PR04MB4388.namprd04.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230016)(4636009)(366004)(5660300002)(66476007)(83380400001)(316002)(8936002)(6486002)(2906002)(498600001)(36756003)(786003)(186003)(31686004)(53546011)(31696002)(38100700002)(110136005)(66946007)(66556008)(86362001)(6506007)(2616005)(8676002)(75432002)(6512007)(45980500001)(43740500002);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 2
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?Vkk3c0lYQm5Hem1QK3NSODdJa2F6cUpWREcrNzV3VWEzazNJSDJTZWtSYmtE?=
 =?utf-8?B?VDVrNE56MjJwbjlianVDUHRSNnhveEpnNUFXdm9laXphdWFkcjZrd3kwb01D?=
 =?utf-8?B?dmI1ZFdOb0V0b1FCK1ZxaTlOYVczQ05xYjNuMXJnMnRxMmdPUk44VDJjMnc2?=
 =?utf-8?B?Mmg4dy85SzhoNHN3TlBPdGw1K21HRU9JSG92ZjFrYjdDSS9IQm9HTjNMdG5q?=
 =?utf-8?B?M2VibEludzFOUGpGU0xOMXJlSStSNHR0LzBmUjlsd0FVR3lnbDVFejZqL0c0?=
 =?utf-8?B?eWIyS0hGeWIzWDc1eUM0aXVMZ005Y25TVTZrSWh4bWtIN2NsanhvbTJQbHVs?=
 =?utf-8?B?UHJ6SDNkNlMvMXBMT2w0eDMxWkgzWGZFQ3JSSHBpc3pHVXhURTQrVnZLekgx?=
 =?utf-8?B?c3h0OVhmVDYwc0k2OUZWcUFRV1VSTk1PbDVpeHk4Wm1pczYzcUZCMzZ2YVJQ?=
 =?utf-8?B?OG51QUhpUzZWQVBQVDNCUzBVb3MxeXpOVU1uVmJ4NUM0Wng1SVBtN01tVjdj?=
 =?utf-8?B?YzM0OTIyc2o1TFpOc1FJd1NiSVUzM2xyUTBoUTZ6K1ZRYTBLUzNLUG8vNkNv?=
 =?utf-8?B?OGRUeGNmcklsWkNSSFgxeXF1U3ZkSVBySGdTQUZrM1VoblJvVmp2QXpxTXB2?=
 =?utf-8?B?U09CallIVS9nVVdyeXZhelZmdHlTbFM3RmdiYjlCd3ExWnN5T3prZ2Z6WU4y?=
 =?utf-8?B?ejRpRndkL0RlZnVXQzlDSWhHL0JmQ3JIWExmYnJxd1JTNG5Nb08xOWp1c0Fr?=
 =?utf-8?B?TmxHaGtqY25DSndVZ3FsRXI0dmlJVnNxRWhpdDFFUEhrRnVOSGVOQkhDTUlS?=
 =?utf-8?B?V3lkQlVuNXN4YlpraHgycDZwZldnOElFUUdiNUt3cTRqUlR4Y0F5b21ONTlO?=
 =?utf-8?B?UUp2bkNmL1poQ09CTXVkQVlKcW85SytGMlVOTDNMSjRqZTRFNmpnczZKQW5o?=
 =?utf-8?B?VTdIalFMdXZwVVNvQ1VqR1Z1V2o0ZTllOVgxbE8vTmdVSmNSc2pSYTh3YTlw?=
 =?utf-8?B?aGZ0L0JpblVmVGRpVjNrWlg4NndWVUVVdFc3VXdVZmoxbVRraWdHbkJlVlB6?=
 =?utf-8?B?Mm8vNHJEaTJ6dGdNM2hNN0dwMjQ0TGxmK1VoeU1UNk1SMmhyOFZoQ1V5L05H?=
 =?utf-8?B?NGM5YlBERUxQeTZEditDTENlZmpjbm9mSDBsTUQydExySmlnRnVHMW42MnBk?=
 =?utf-8?B?N0lRdWNtcThXb2prWjJzTHE4NjMzaGEzbFR3eHRobXlkVkliUjZobDhrWFd1?=
 =?utf-8?B?ZDVFK0ovYWtHTnljMXNuSkpkbDBMRVh5bzFxTVRmV01xSVByUlltazBiS0Iw?=
 =?utf-8?B?NlVDcWxEV0tQdmIyM25LQjVWaUNsaEFFTDNaa0RlM2xiKy9QTVdnL3g5OTBn?=
 =?utf-8?B?Yjk1clJuak1HeUJnSHNNbE0ra1NvZENZL3l1QVZYcHAzUmFlRWZMMEVjY2pB?=
 =?utf-8?B?cFVTVVR0VHluS09JUnVsd2hxanBraDdZQjBwMmZVQU9iZmQ5T28vbXVTakRL?=
 =?utf-8?B?d0NqUUJwdmllVEEwUVNMdHFNUVBBMFBjeWpjOVA3RU9UQ2RuVE5tTkNBc05w?=
 =?utf-8?B?QlIrZjRFaUoraDJiYjR2alpsZlI0cUxHRVdVWjJQbWZBdVpQeGdzOXkvRENF?=
 =?utf-8?B?cVcwLzkvaFhmUHNGSUJCaWUzSEM4ajgzYndYeUxHRkxmYTlLOHBGY2t0OWpz?=
 =?utf-8?B?R1lmeGRJT0Q1TDR1c0ZaLzVZM1pZRk1SRFV6UVRncm5qcXg4YVRMVFhYTWo1?=
 =?utf-8?B?SzFlcTBUMHNwbE85TFptT3cyekdXSktqY0VlN0VmNUwvZWhTY1FOaUZCS01N?=
 =?utf-8?B?dTZUaWEzWHBEZDY4K2swampuVzJlakxLYjBhUFhDUm41a3JTR2NPR08vdHFU?=
 =?utf-8?B?aW1xbnlTYmQ4MlR5S3c5eUtEMlVUcE4rclcyYkFMWDJ2MU8zZjFnY0tpUlVn?=
 =?utf-8?B?TlBxUnhneHNDMGF2bnhzeHA3WFFyNmYyMzBoZlh3czh4b05NWXB5d3Y0NWR6?=
 =?utf-8?B?WUJocTYxTldVMDdyTkNLVUR1SnNxYkxaSkpsLytwTHppSzBwcFhCcXBJYzh4?=
 =?utf-8?B?cS94RFNwcHZuQ2tqQ0MzZDFWa2lIeEdPSWRKVEQ5YkpaZ2VSMHl0NWFTSlJh?=
 =?utf-8?B?M2kxdHBkTjV3QzNjbW0rQTY3di84K09GZ21hV01VdE1Cb094Yi8wWml1bitT?=
 =?utf-8?B?ZERSeXp3dFhqeUUzL1dXc3pLc001UDZnU3AzNElGSVhIYnJBOWlVaU5uNm5F?=
 =?utf-8?B?ZEtSbHJTWFJYamJZVXZRcmpVenpUZkRqem92Z29FR2hFM29BMDJRTWV6SGkz?=
 =?utf-8?B?a2NEZDdVWnk4b0xFN0VtcGhQaEtIeE9VR1IvZHVMam9vZDVGZmo2aG5FZXBE?=
 =?utf-8?Q?EBg8STOe3gUKRRYQYbVjzyYckJM5PLyn8pbvUfkPyxtw2?=
X-MS-Exchange-AntiSpam-MessageData-1: /mtTUabnJYSXZQ==
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: bad73cac-d752-4047-8455-08da50cf500e
X-MS-Exchange-CrossTenant-AuthSource: BN7PR04MB4388.namprd04.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 18 Jun 2022 02:07:35.9489 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: 9vPxT5rK1gQ80U2LxQgLoiiVRnDhNWlHY1NWImwMnJDFS9QuXwotVP+u96ecLXLBai+lc4FlQzBRja3KOwJ29A==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: MN2PR04MB6256
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6/17/2022 8:57 PM, Sean Whitton wrote:
> On Fri 17 Jun 2022 at 09:39am -04, Ken Brown wrote:
>> I just tried a different experiment: In an interactive emacs-29 session, I
>> started eshell and typed
>>
>>     echo \"bar\" | rev *>temp
>>
>> Nothing visible happens until I type 'C-c C-c'.  Then a prompt appears again,
>> and 'ls -l' shows that temp exists and is empty.
>>
>> Prior to typing 'C-c C-c', 'M-x list-processes' (or 'C-c C-s') shows a bash
>> process running but it doesn't show 'rev'.  But running 'ps' outside of emacs
>> shows both 'rev' and its parent 'bash' process.
>>
>> It does seem that there's an actual bug here, not just a test that should be
>> skipped because it times out.  It could be a Cygwin bug, of course, but that
>> doesn't explain the EMBA failure.
> 
> Could you see if the same thing happens if you type
> 
>      echo "bar" | sh -c "rev >temp"
> 
> into an interactive session, please?
> 
> If it's the same then extpipe has uncovered a general Eshell bug.

Yes, it's the same.  And it's even the same if I remove the quotation marks 
around "rev >temp".

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 18 Jun 2022 00:57:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 20:57:24 2022
Received: from localhost ([127.0.0.1]:47254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2MmC-0000Mu-MJ
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 20:57:24 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:40934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1o2MmA-0000Mg-LO
 for 56025 <at> debbugs.gnu.org; Fri, 17 Jun 2022 20:57:23 -0400
Received: by mail-wr1-f43.google.com with SMTP id w17so7559510wrg.7
 for <56025 <at> debbugs.gnu.org>; Fri, 17 Jun 2022 17:57:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=email-arizona-edu.20210112.gappssmtp.com; s=20210112;
 h=from:to:subject:in-reply-to:references:user-agent:date:message-id
 :mime-version:content-transfer-encoding;
 bh=xdD0IcZ4olaEzmVUgRafkcanqznqn/ff/Ldzi9N8cqk=;
 b=z7z5hnjD45r+aM6a3+x/+JH8iDq2hCqv2og0E678F3b6OCAl0cmZxZp2U74LSfe7cc
 B6o6t7ygWp4fcBT5ZDiFgv3E3j0ys2+G7/mnMw/J61lN0topzmJT0/2cv9E7AhKTYynd
 YmOPcyDB1ZxGQ2Iyw0Vfv5HR8WRV13rgfkAAZcppf0Da5PkLOGopBpVFs6Y7+OScy44C
 +HHR2LDoihNj+MSSPnbWu7kHxN5dwT60579ffnWa5UK+UW9KQbtd9htiXDuV8yuTWXmj
 4whb81omebxgokXzo3QOLxCXOt4DoNPvCeOoFC6XxfyMsL1DfJtAsjXOH7X/wZmmFDlE
 ZlgA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version:content-transfer-encoding;
 bh=xdD0IcZ4olaEzmVUgRafkcanqznqn/ff/Ldzi9N8cqk=;
 b=injwkVGRZIRc9kSIRiEJ93yBhLAHa0XTIR/TfjL3XRzyiRh7jBJisrlGZnC+gzT+50
 HTtxjzmFgc+I9gRglVCGBxz9PtZ4GGJtTmgdHQg5Aq0pco1bf3OnPdEFM2qOM00/O0mC
 ouG7PkVkSa9V6xzpxJZqyrPK+9cU5v67kcyJPP1yigQsxqDy1wO1VB7nEL2PB//1Nouk
 jIQWwHrjeLshdlCturqlMwYoBgVy4o7i19CxAkprQM8TII2lGdXKtcCjjmNdTJVAk2/i
 3aWktbO6YJTGhpuXxZPnBxj0lqk/5+wmnu0LRMa4wq27NHMyRA93OJeVB+rK9urSgNu6
 NPDw==
X-Gm-Message-State: AJIora8P37zvEav0MOrN64b8AI1urC7hTSJ8ShFEpLhtJAP9ES8BrC/G
 nzhgDb4oPRVasNifceb5Ui5LETvnHt5ruSIBlGrcG5ISlfM0Bc+h5arD7T69dIZpYHGYAFZrWCW
 e2oXGaQ==
X-Google-Smtp-Source: AGRyM1uZ3j+sr+I6odX0J7wqxfcfOh9OoYIK2H1EDFoMC33OVaPPAdSr+pjjsQnnIvV34KiQRV4SNQ==
X-Received: by 2002:a5d:5c07:0:b0:218:544d:4347 with SMTP id
 cc7-20020a5d5c07000000b00218544d4347mr11102601wrb.107.1655513836636; 
 Fri, 17 Jun 2022 17:57:16 -0700 (PDT)
Received: from athena.silentflame.com (coeus.silentflame.com.
 [2a01:4f8:c010:9ea2::1]) by smtp.gmail.com with ESMTPSA id
 e18-20020adfe7d2000000b00219f9829b71sm5929385wrn.56.2022.06.17.17.57.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 17 Jun 2022 17:57:16 -0700 (PDT)
Received: by athena.silentflame.com (Postfix, from userid 1000)
 id 84DC11B629E; Sat, 18 Jun 2022 00:57:15 +0000 (UTC)
From: Sean Whitton <spwhitton@HIDDEN>
To: Ken Brown <kbrown@HIDDEN>, 56025 <at> debbugs.gnu.org, Lars Magne
 Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
In-Reply-To: <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
 <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
User-Agent: Notmuch/0.36 Emacs/29.0.50 (x86_64-pc-linux-gnu)
Date: Fri, 17 Jun 2022 17:57:15 -0700
Message-ID: <87k09elrf8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ua-ms: gsuite
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

On Fri 17 Jun 2022 at 09:39am -04, Ken Brown wrote:

> On 6/16/2022 6:01 PM, Ken Brown wrote:
>> On 6/16/2022 3:30 PM, Sean Whitton wrote:
>>> Hello Ken,
>>>
>>> On Thu 16 Jun 2022 at 02:30pm -04, Ken Brown wrote:
>>>
>>>> In commit 231a1ba3, Lars disabled the extpipe tests on EMBA "because t=
hey
>>>> apparently time out".=C2=A0 The EMBA log he cited in the commit messag=
e shows that
>>>> only em-extpipe-test-2 times out.=C2=A0 And this same test (but no oth=
ers) also times
>>>> out on Cygwin:
>>>
>>> That test invokes `sh -c "rev >temp"` as its only subprocess, so that's
>>> probably what is timing out.=C2=A0 Is there something different about
>>> Cygwin's sh?=C2=A0 Something about EOFs?
>>
>> I'm not aware of anything different.=C2=A0 Here's what happens when I ru=
n the test
>> interactively:
>>
>> $ time echo \"bar\" | sh -c "rev >temp"
>>
>> real=C2=A0=C2=A0=C2=A0 0m0.100s
>> user=C2=A0=C2=A0=C2=A0 0m0.030s
>> sys=C2=A0=C2=A0=C2=A0=C2=A0 0m0.030s
>>
>> $ cat temp
>> "rab"
>>
>> And keep in mind that the test also times out on EMBA.
>
> I just tried a different experiment: In an interactive emacs-29 session, I
> started eshell and typed
>
>    echo \"bar\" | rev *>temp
>
> Nothing visible happens until I type 'C-c C-c'.  Then a prompt appears ag=
ain,
> and 'ls -l' shows that temp exists and is empty.
>
> Prior to typing 'C-c C-c', 'M-x list-processes' (or 'C-c C-s') shows a ba=
sh
> process running but it doesn't show 'rev'.  But running 'ps' outside of e=
macs
> shows both 'rev' and its parent 'bash' process.
>
> It does seem that there's an actual bug here, not just a test that should=
 be
> skipped because it times out.  It could be a Cygwin bug, of course, but t=
hat
> doesn't explain the EMBA failure.

Could you see if the same thing happens if you type

    echo "bar" | sh -c "rev >temp"

into an interactive session, please?

If it's the same then extpipe has uncovered a general Eshell bug.

--=20
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 17 Jun 2022 13:39:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 09:39:39 2022
Received: from localhost ([127.0.0.1]:44457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2CCJ-0005P0-Cu
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 09:39:39 -0400
Received: from mail-sn1anam02on2132.outbound.protection.outlook.com
 ([40.107.96.132]:24748 helo=NAM02-SN1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1o2CCG-0005Od-2K
 for 56025 <at> debbugs.gnu.org; Fri, 17 Jun 2022 09:39:36 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=DLFSRP20Oj9PkhaFHZMniz9kDNNN40Q/65zS/zId6lp16PAdPUSiWbzridtVU0GXdkrV3BB6U4tOlqCtTmpCnuUjyhtlDU45811dhO9r9f1nWamLTFFMCsLvR3ue52pgySod82ufzWZLRAdkPko8fJgHAcPWAnMsDk1ucB1A1kGVvE7VccEVXAegEM6Uhkwp9fPQJfzBgyA0N61VNhS3FXA0oFW73ETehHWZEyy357PqvAjmsgiCRBWWnsYbB6YUfF3Hoolskk76H+0cCX5RICfBrbD4uA996DzzCRvUwPWAcazTxbegWdlDkAEXek6sTVNtf+J9/aK/Q293OBtS1A==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=lxAhrNOyTcK2ErCPn1cixg81llPee717MGzjWfzTSLo=;
 b=U00cmTz5IeOdaw7/9FYb+LyLVFjpTmKkcw+V3lj72Ig1lGl2FfBKoVygJn0oX6Fzcz3MLUOKWK9bZEvc6NtXLaECvAu3ByL9ndBqshFM61QdFGWDnjyQ1ZV8nofTNCV0CYEvOpLMalPwHeZODsBGA2lEsh3jYa0cpltZkyVeZIw8scM6KAYJRW3cNDlmN/fQz8YvRWoIqnePhDETY2u5fhmVLaeowuVd3jm8PmahKtaFvqZu0B2HBuPwzbo6WGYJ1Zir+yh0eIVEuM1l4V/pSUnpm94bOARbnb+Y5STM1CIU983q0jwVUDEXb3qMLfsndCmCMLWyZJ+ETWaogR+88Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=cornell.edu; dmarc=pass action=none header.from=cornell.edu;
 dkim=pass header.d=cornell.edu; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=lxAhrNOyTcK2ErCPn1cixg81llPee717MGzjWfzTSLo=;
 b=Bi0lmLUXFR/KiD/1ce6GYFTryn4zQQeEW5iRNJbPCryvw4GuUrjnM7kAwIJ3WDiKJ1W3IW+XL7srt7dE2dWVZltVYrBYTRzAl7IXDazEbONcRh5cQqAwgsd6XIqBio66dvOGaogiihSWPINyL1cobJCB6lnQhXjSGQwLMXMF7jA=
Authentication-Results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=cornell.edu;
Received: from BN7PR04MB4388.namprd04.prod.outlook.com (2603:10b6:406:f8::19)
 by CY4PR04MB0182.namprd04.prod.outlook.com (2603:10b6:903:3d::9) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5353.14; Fri, 17 Jun
 2022 13:39:29 +0000
Received: from BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913]) by BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913%5]) with mapi id 15.20.5353.015; Fri, 17 Jun 2022
 13:39:29 +0000
Message-ID: <d9280936-637b-4ba4-4891-d8c6c4e139c5@HIDDEN>
Date: Fri, 17 Jun 2022 09:39:27 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
Content-Language: en-US
From: Ken Brown <kbrown@HIDDEN>
To: Sean Whitton <spwhitton@HIDDEN>, 56025 <at> debbugs.gnu.org,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
 <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
In-Reply-To: <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
X-ClientProxiedBy: BL0PR02CA0096.namprd02.prod.outlook.com
 (2603:10b6:208:51::37) To BN7PR04MB4388.namprd04.prod.outlook.com
 (2603:10b6:406:f8::19)
MIME-Version: 1.0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 658f803f-9c44-4b54-c181-08da5066cd5d
X-MS-TrafficTypeDiagnostic: CY4PR04MB0182:EE_
X-Microsoft-Antispam-PRVS: <CY4PR04MB01820A5A149E2E72DB6A0575D8AF9@HIDDEN>
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: TrTOhqVGSqQ2/ajjC3MhAC59iVBGA8XiouvTHsoL7KzilI9feMYvRMMP9NdNWblf6kzkDfQPoJGXsBQLuHKGTTCh406tgCaR95YnWYCjVup6of+Zq13a8rxwL46nK4RfTd4m/NdpKfbuBK/t9SlS3ASArqlG0w1BB2OqgUgNpV66aYf9f/G1PtOTiWVmLJFtCKDD73tn8TRaCmPB6gxyg9oJzrSQNg7RRYeF9ThbJNfy+vpPhvCmpGE8zRZlDr6I4+Hz3CbzbWJaBWGPFcIcyE3dSMDkJ1rvuNQufj3F5sgHKbnw/v0DQnHghjseul7+5fMRpzZ/MbC1tIs0gI3LPfP4/kv/pG4QJO9D6NTcm/F/HWdFJ+FKRNpy1FnellRsdcP/MDLS6/Tku9RGo/PkhCOEd9N8VfT21hgmmjZedcUf3TGKZhhUItxeJFzoolC+MRX80dwCWFvhsiZfxvbPR43vKtpcOnAnZdAydaRInYxnMkRjbP+EBZPikB37gllj57RJ0AUn4msLyoFbwEOd8ceHPd7YxHPImiRKtfIXqdW9M4zVjX/P+Y7L66+KVvrVTEAdGsDuqseyID9totbxAQhtWcstZa8uM6r62ODPG6RLDdiJyaCQ4m28OiLEroS+LJhPO/W7gHRClMuMtrHYoR0oTstlDCEiG36C0sHgFEl/NttdfRpaxhB0Z9Wq76nPfDl7QNJwhIYi8cm+xi3g9LEn2mtoDjrOzogOqIfKfxg=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:BN7PR04MB4388.namprd04.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230016)(4636009)(366004)(53546011)(66946007)(66476007)(38100700002)(2906002)(498600001)(66556008)(5660300002)(6506007)(6486002)(75432002)(86362001)(8936002)(2616005)(8676002)(31696002)(786003)(36756003)(6512007)(186003)(316002)(83380400001)(31686004)(110136005)(45980500001)(43740500002);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 2
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?ZnFjLzlCQ2hVaFhJVEZQT05uZjBhRUtmblNHYmttMWF2NzBJZ0ZNWnR2YzhH?=
 =?utf-8?B?YjN5bnA1eXJrS1NYZ3lkbThzN0JkbWdJRmVheHV3WWhZd0d4MzNYdVJOYzg4?=
 =?utf-8?B?d0F4MnJjaXJ1Y0pjeDhUa2drN3BDRVE1S3ZiSFBaZU5iaCtxVlNFL3EzNzdx?=
 =?utf-8?B?YjZQTDVHaXcyMnJqWmlUV0ROZWdEdEhlalFhb3JMNFlxR1BJcHdUZWxTY2NG?=
 =?utf-8?B?d3pzek9UUy92amxGRmZUOVVkSnJqTUtUV1pyQkRvNHFJaWZDQkVlWENiVmly?=
 =?utf-8?B?ZDlPS3k0MHc0ZVdSYytCVGlRT2pNeXdaM1NIMzlORkJiTUVNaUVWR2pVcVoy?=
 =?utf-8?B?OEowOGovTHZ4cHF4L1ZvMko2dnpjVlVjMi9rUjRtZ29BSzBvY1MxUXUwcDQz?=
 =?utf-8?B?RUJpd3VIZmdGcVBJMVF1QTE5TnlBdGo4ZFJMc20vWDVEZUlmbk5HTkF5QXZK?=
 =?utf-8?B?QnVKUUpINzFiZzFISi9jRDg1WU1TaElnMkIrMWJoQWV3NXNOaGZzYmF0bU9K?=
 =?utf-8?B?SElBVnZRZEhBZ1hOa0xtVWYwM0N2RTlMUUNVTEM4RUYxeDBSd2w1WllxV0tO?=
 =?utf-8?B?VUVQNjZ0dGJsKzA5T05zeFBwTklNU1dXeS91MTBlY3hvZWpTckhkb0RaV2p1?=
 =?utf-8?B?bys3RzhmVmpZbVA4UjloRm1VSzI1dW42b1VibTN4bjJ5b2lIUEsydDVwVzdm?=
 =?utf-8?B?MEdYMXlXOUxYeVYyazF3aTNqNUE2ejhWSEpZVGFZV3VGUTU5SnFFaHZodng3?=
 =?utf-8?B?Zy9KTlltQ0tXdlhpQ1pPYXl4YldNdVRhbmx5V0Y0N3FadlUzMzhBVUJVcmdM?=
 =?utf-8?B?Um84N1VTUXg1VWZRZmxsR0szbTlIYTFJY1J0elYwNGhhbVZVVlBmVUcrazBw?=
 =?utf-8?B?QWZFL3dDMjZqVzNQTDUrVStwTjF2ajZ3SWhOdTRWenJ0cXhiWnowOGNpakZJ?=
 =?utf-8?B?eUVkdWppNkRXV0NkNnRvelV4cmhncjRBdC9DcEtIMmwvVVFCNW9aSUhMclRV?=
 =?utf-8?B?WFFwYk56QitFYUxhYzB2Nk1UZUVuN2dNbUNmSnYzL1Fsa1FPdkZwL2tpTHFH?=
 =?utf-8?B?ZVc1eHFDMDBBZTRpN0hSSEFYRTdtVFQ3OU8xdFpXNkhEZmUrSGE4cEhwYkRt?=
 =?utf-8?B?SVBUKzFFdnJtR3pwZ2NzV1V6UU9FV1MzQUJheW41S2VPbm5raVNXQWlKL2ZQ?=
 =?utf-8?B?bW9SZDEyR3hGTXVqM3Zzd2ovQWh6RFFJalJOaVgrbTRZZ2Z2Q01ONEUwNUlw?=
 =?utf-8?B?LzJxZzZld3RDZzFZMVpJZUE0QTZtcmRMU0M4V3JiNW5PUU5RblBYVXU1M3Qx?=
 =?utf-8?B?akQyS2hvTCt5VHZWbkJ4SEpEblYvOHl1VUV6TXFrV1cvN1VRRWVHSHZyQUtY?=
 =?utf-8?B?U1U0cmQzTng4QklsQ1N3dlg1LzhnU3RNU0ZiTmx4aFhHNkswUC9GUEpITXBG?=
 =?utf-8?B?UUdaWG9NRFpiOTVJcUJidEZwYnhkVHVHaGNOcU5sekFsQTdST2lIdG1lNVU3?=
 =?utf-8?B?anFBNVNXYWRmOHNiTU9uOHNrVkZkbk53Yk9pWFh4KysvREhHaDhEd1pFcmVs?=
 =?utf-8?B?L1J4Qk84bE9hNGZYaUhCVmM1b3hEQ0p4cEpQNGEzWSthOGQwSWpJL2d0TnRY?=
 =?utf-8?B?R3VRY3NRcys1aUxKaWtLLzBjZEhPSURrKzVWYm1xNWV3Z1JGMWNOSHIyRnBB?=
 =?utf-8?B?UXMyLyt5UXRxcUtlZkIwMmU2OE5lZTlyZlNacXBjQzRSWDJDK3BQMkorYTRu?=
 =?utf-8?B?bkE2NzlwVVZKenE2VW1uN3BFZ0JLYTN6NG9IMWF6bmpLcjc0YlZ6Q1ZwWFRF?=
 =?utf-8?B?MUlwOXFhcHFEYjUvczNoaml4eG4yRXplODVtNXNqcGxuSEdyT0NRcHI2d1J2?=
 =?utf-8?B?RDFBY1ByN2NVckVXd1ZRc2NHMkVEdVlvY2FnZDd1K29GNWxQOUs5VTFEOTVh?=
 =?utf-8?B?Ny8zc1JkcVJWOXlKN3U2Qzg2WVl2aWtWZU1tQTV6ZlpMWG1BMTdzdlJ2NHE1?=
 =?utf-8?B?TVFqR3NMekdTNHM3N2pRdXFCZXNKYzBJMzZuRnRLMG1RM3M3MTlzL2FQTDU2?=
 =?utf-8?B?SmxoNWRNaEovMzRZWE1kQ2llNG5XTXM3d2VJdkZLWHBpdWlQWWlCbmswdVBo?=
 =?utf-8?B?dklDZzRyMjFVRS9IWDZrWW11Q0V2RGdPTEJZWEVBcTVMT3RLTTZGYXg4QzFY?=
 =?utf-8?B?V2d2V3JtNS9ISnp0NEFRaVV0Mmc0czRnQm1jQ2FEbm9Nd0pRdVlXNUE0UkZi?=
 =?utf-8?B?M1p5R0ZmY3UxS2w1eWQwSm1xNUZWT2hVRTdXYzVvcFRhR3lJQ0U5K1JTKzBj?=
 =?utf-8?B?cEVOck1LTkRZUk1BUUJwVERWWkJMMWJPMjRGQ2M1aXdnT3VHQks0U2ZaUEJP?=
 =?utf-8?Q?PjlG6/Y0w3tGdiW6YZoXHbqhnsn4ULnNFEJktaXV98Fhs?=
X-MS-Exchange-AntiSpam-MessageData-1: 0oZsmWGaIB0Wug==
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: 658f803f-9c44-4b54-c181-08da5066cd5d
X-MS-Exchange-CrossTenant-AuthSource: BN7PR04MB4388.namprd04.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 17 Jun 2022 13:39:29.0112 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: UgV0GXV++XQyJ32CuM1oEgZuqkADGIaC5Sd94xkLDbnuX3Ovn8n8xNjOaDPVnkuL6kjepftlGFPVjjyPzn1Y4Q==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CY4PR04MB0182
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6/16/2022 6:01 PM, Ken Brown wrote:
> On 6/16/2022 3:30 PM, Sean Whitton wrote:
>> Hello Ken,
>>
>> On Thu 16 Jun 2022 at 02:30pm -04, Ken Brown wrote:
>>
>>> In commit 231a1ba3, Lars disabled the extpipe tests on EMBA "because they
>>> apparently time out".  The EMBA log he cited in the commit message shows that
>>> only em-extpipe-test-2 times out.  And this same test (but no others) also times
>>> out on Cygwin:
>>
>> That test invokes `sh -c "rev >temp"` as its only subprocess, so that's
>> probably what is timing out.  Is there something different about
>> Cygwin's sh?  Something about EOFs?
> 
> I'm not aware of anything different.  Here's what happens when I run the test 
> interactively:
> 
> $ time echo \"bar\" | sh -c "rev >temp"
> 
> real    0m0.100s
> user    0m0.030s
> sys     0m0.030s
> 
> $ cat temp
> "rab"
> 
> And keep in mind that the test also times out on EMBA.

I just tried a different experiment: In an interactive emacs-29 session, I 
started eshell and typed

   echo \"bar\" | rev *>temp

Nothing visible happens until I type 'C-c C-c'.  Then a prompt appears again, 
and 'ls -l' shows that temp exists and is empty.

Prior to typing 'C-c C-c', 'M-x list-processes' (or 'C-c C-s') shows a bash 
process running but it doesn't show 'rev'.  But running 'ps' outside of emacs 
shows both 'rev' and its parent 'bash' process.

It does seem that there's an actual bug here, not just a test that should be 
skipped because it times out.  It could be a Cygwin bug, of course, but that 
doesn't explain the EMBA failure.

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 16 Jun 2022 22:01:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 18:01:20 2022
Received: from localhost ([127.0.0.1]:43305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1xYF-000762-Km
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 18:01:20 -0400
Received: from mail-bn7nam10on2129.outbound.protection.outlook.com
 ([40.107.92.129]:22529 helo=NAM10-BN7-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1o1xYB-0006wa-LL
 for 56025 <at> debbugs.gnu.org; Thu, 16 Jun 2022 18:01:18 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=jkMaY9a8rojhgfXAUSIbj17ZxltxNauDfohNPpKNYWp9pNaWoW/Lg2DvzlbSkU4Xk0bxQC43lRnsMayp8CGAFE8kPUlfg0c1xyeGsN/pwUByQpLWiQW9n52xVyzpifPnPhqRAmRheXYBRWYK0wqZfYJ7ZAP6a1fHJynoerpxH7OcWb+CtfxlU9a/qDk00n+Odk8o+/TKeVVznkGfzg4kFxHwNM1Bhm2wD+jAMz+ml6UiZsFis9adx928QGg7UCniewPGgw/9jLXmz2qcz9VhNxek+4Li8MDE0CHaUZUpfRam70w5Wl7XnaBRfJugEdUdHFBCZ1uCrCZX+bynh0kEPg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=mbCakx0XcaHfLFnvFNjedRd4DANGmeR9CtKz0vlxwKI=;
 b=UBBbQ1bbJzUfWk20zo7Tfs3eb9vFpDEEmxcLnitLy5fqFvYyzBlMgoNWsgtWzyR+4BVr6NzUpfb3qXQ90V7CG0ErdK9vn48A0KAhiMovSPsXOcpaE9ZoN1GMPYHGibNrK8k9QunMUBs5I6wU5M+lOwgDAMjclGy/1dbpokdcpEvZg6aDoobRASp+2pCckybjbOoyu78uassKiJr86NbyeXJXmSm2P3HR3vXhPcWHQl0qItC/GgQJ7BFLmOR5jBJ89lGu0OWTaOqSx6LDMYLELMolV2PkMkI9SWo9vmBCKFhhIP8JC4T5wKKog/Ej+VTRDKg/ILwx85Dmo0UmllZnNg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=cornell.edu; dmarc=pass action=none header.from=cornell.edu;
 dkim=pass header.d=cornell.edu; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=mbCakx0XcaHfLFnvFNjedRd4DANGmeR9CtKz0vlxwKI=;
 b=IvPZhuKy9N4V4JUmtoevC8C8ObVaBH3mv694saRpIdB8OfPyVjCI8yXtAnLHwqbEttxwj5kPmYPooSuAoQ3cxFbtp886WnS5QF/N2J101t6uXTk0dhWhf9dhC9Jxi4Yo1tFA+N7Tx0WM4Vv7uqtKlnwj46We71m1mn8KV9I0nNE=
Authentication-Results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=cornell.edu;
Received: from BN7PR04MB4388.namprd04.prod.outlook.com (2603:10b6:406:f8::19)
 by CO2PR04MB2151.namprd04.prod.outlook.com (2603:10b6:102:17::17)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5332.15; Thu, 16 Jun
 2022 22:01:09 +0000
Received: from BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913]) by BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913%5]) with mapi id 15.20.5353.015; Thu, 16 Jun 2022
 22:01:08 +0000
Message-ID: <40d9e52f-2041-b341-ff77-546ca7792791@HIDDEN>
Date: Thu, 16 Jun 2022 18:01:07 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
Content-Language: en-US
To: Sean Whitton <spwhitton@HIDDEN>, 56025 <at> debbugs.gnu.org
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
 <87mtecl82o.fsf@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
In-Reply-To: <87mtecl82o.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-ClientProxiedBy: BL0PR1501CA0009.namprd15.prod.outlook.com
 (2603:10b6:207:17::22) To BN7PR04MB4388.namprd04.prod.outlook.com
 (2603:10b6:406:f8::19)
MIME-Version: 1.0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 9e7f24b4-ad55-4d2b-5982-08da4fe3b795
X-MS-TrafficTypeDiagnostic: CO2PR04MB2151:EE_
X-Microsoft-Antispam-PRVS: <CO2PR04MB2151DBAA39682302ACEB54DFD8AC9@HIDDEN>
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 0+/B7B0MUOC7EVCPjRM4GxR4B6VZGRS0bFYYxL6kTvM4opw46ENeC1vWPpKElvj4e7Py48FlQOaVms1aa5jaV0aYSNMu0gVYr+yZYQmq2/d2RHSFGs5pEv41URI+ZPKcQX2MKzgtFRc/JFKvz+DWr0mZrpIQTkxF0U4fLhYvYCgd39pEp1n7fUOu0Y+qCh2ieWE/KYQ7ux2m1KQPbDhTepGcNUUPw6I1HKFJW0k6Cgis6Un8DhtwksYBSg3C5esxLENF7t17QBL6cZyfg7qvZ23wjwDUc0uRWTBVHdOqsC9tjbOL0ZUn5DgYO2cA/tWb9lTZRuCuMbOSkaNDkUwDvLyfxdjZ2l4QFD96rV5FojajbpoJe56mmrO1O9yQ7qD8RQMkGweREEmfhuXn7cJHm0Wazot4jeGNFZsn0v9X5+EncRWuNrSKmGkzeV7Pi6SWovqo1DTOLOS3zpfJf/bpTqEV4mBO/Mmv59FnkRAbRDflMoVrqNm2Z4bvXbFprWtHE2jG2HKiS3OMVFHAen0z3xrNBUgD80MAu/ArCm5WnkCap81JNLq7GPYtSn3eJXXnHGrbypl3oNvn0MENQDCWX/fL+F5hDYbY1mzjIEiBBwqc/rlXBbuHQBPyN0BJJYYVv3oFfbC27eGVVIPH8zVrfNj8mAvzLEaqS3CinA3yCSFKf0bMssbStfla8jrLZbSAudsuEsXkD8NeHJCXpg3lmshJW6RJJuZu90GmOFZeUus=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:BN7PR04MB4388.namprd04.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230016)(4636009)(366004)(2616005)(6512007)(53546011)(66946007)(83380400001)(498600001)(6486002)(6506007)(38100700002)(75432002)(66556008)(186003)(31696002)(5660300002)(86362001)(4744005)(8936002)(31686004)(2906002)(66476007)(36756003)(8676002)(786003)(316002)(45980500001)(43740500002);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 2
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?QW5DZUNDaVJjcDlnQlRZSnR1MzFGOTYzK0VGM3FMZCtwS3o1TnNTSkVvVGQr?=
 =?utf-8?B?THFUQzA1ZzUvRVBwUjA2dWIyT2hwK1VvcGhzV2Y0YThBT0ZKd0FCcFRpemdv?=
 =?utf-8?B?YXJqSm5TRW9GUkdIdld3ZHRrbnJuZEd0ZUhETFpYN2NJbTRpWitRRXJrajIr?=
 =?utf-8?B?MXllNWtyZ1Excnh2dTVkbm55UWY1eFVTVlRIbGFYTzBjNHplTzFpUmdtbDVy?=
 =?utf-8?B?VFJ5UzBTWE96S0U3SnhuR1Jwbnl4eUZ5QlA1dEROR1kyN2tXbU1XOVc2Q0RG?=
 =?utf-8?B?Q2tQSGRpMXdQc2Fha0RBM3FPWlliOEtjNUZkVWlBam5BMlBTRzd3S2tVT0tk?=
 =?utf-8?B?dkpuc3p3eUwyd29ONTBZNk42ZVNkMGp2SWhHYzRlTjB6VHlnMVlocExXOHUw?=
 =?utf-8?B?U3JWV2podktMRHZ3RmhIWkF6SjEyVi9yOFhIZHoxWkFlUFh5enpQL29FeVE3?=
 =?utf-8?B?SEdqR1FwdDhsNU1sZUYva2VoajJzMWhNajVDR3FEdSsyYkxOSXR2Ym1wczJx?=
 =?utf-8?B?VzI2aHlLUEVMU2ZpTWZGQ1Vjc2lvU2FIMXY3M0pGVHlWSVZZRkZJSkErTmFu?=
 =?utf-8?B?T2hVQ3JybGswME8vRE9ZV3FZVFpma1dYSjhmdU5ma0c0bjNIM0RoQTNrNmRX?=
 =?utf-8?B?MWZUeGZydk9LTDZXMWdKVGI1Q3BJOEZqZ2FPNjRNejBHRFMrVC92QldNckRj?=
 =?utf-8?B?OEFvd05EMnRLS3pXak1KdE5ISUZ2MEJNZzNTcGFRb1doWE5EMjgrZlJna3Av?=
 =?utf-8?B?Ry9MbHBlbFdKVmlJK0g5NGhHeWx3UkMvR213YmRWWW9BQ1QveFZCTFZrOTFL?=
 =?utf-8?B?NDJEcythQ1NGcDhhUWUvZFhuVks5WTkrQXZqTWhWUmphbkMzZFZiQXNVNEtR?=
 =?utf-8?B?Y2kydmx6L3hza0I3Mis3c0RnUFFZeld1KzQvU0NaTitMY3JNQ1YwbC9QUXpP?=
 =?utf-8?B?WVNPRjluQVl6MGdGdFhNckJKdEVWa29wdkJINGtMWWthTmtoUzkraGxaK3Za?=
 =?utf-8?B?c3lRZDZqeUVOaXMydFdiR3RuS3JDWU1lb0hOSUJWM3Q5VlRlMlliemVmTjht?=
 =?utf-8?B?U2JxVUpDV2NPZXhKZHJnQ3FsNFhnZEpwb0hWSjJ4UndZS2VTQzFTYnRlaSt6?=
 =?utf-8?B?Y3RlUWoxZXZOd0I1WXNSMk9aRzFwekZaR3EvODk0SVNBM2F0cm1Ub3ZEbkNm?=
 =?utf-8?B?VjZ2V0M4T1RVSXlPcjRjdlI5aE9VcGZpNjFISzE0dk1vV3hEQnBvelhrL3c2?=
 =?utf-8?B?MkVMWVZJYzZUd2lPbGNBU0pzOTFHK2JOOGRPTzVHY1pOSjlLZElRaU9OSyt6?=
 =?utf-8?B?MWFvdUhJeHV3d2NYRWJsKzFSdW9YSHRBMnl0b0pjRlVFUm5YUkhvSDVhd2tY?=
 =?utf-8?B?eE1BQldObEgwUDh3UHVuQXhLT2VUT1FqYWROMHE1Y0NuV2ZWRG1Ec3FmZzZi?=
 =?utf-8?B?aURmejFsWklUMHUyOU9jUmNYYmMrVTluVVM0c3lKc21pSFpyb1JySHZZcmZk?=
 =?utf-8?B?UFdEaXhSM3lCaGpjWW5pTFo0OE5JY2FkamZTaGh3MEJCYm9Wd0lTUXEyUTFT?=
 =?utf-8?B?R1F2STFPb1JGRFZrVXdIdUVHVXlpV3VtZk5lbUQrOUtYdFBOTDVkMUI5d1pG?=
 =?utf-8?B?QS9Fd0RJekxNRTk1V2lGbmFZOHB2L2xtSXVveUdRaHpob0JVV1JpWXI1K1RF?=
 =?utf-8?B?VlpXeXZESWVkYkk5TVlvQk9KdVNRK3lueWQ5Tnpvb1l1WnZacUFhcEFsTjVo?=
 =?utf-8?B?L2laVW4ySjFjMnpLSGtpdHI5aXBFNDd1ZUQ4ckJLYkswN0ZzbkRML3FERHZT?=
 =?utf-8?B?eWs4amhiRDM3WWM4QUtDeHovejFyTnNjZDF6dCtyVVpLc3ViYUVmUXFtaUc0?=
 =?utf-8?B?Sk41bXVJVTlkcHE3eXhGcE9GdHd0UUVoN2tSWlRRRWszN2hsMGdzVUx1Sisv?=
 =?utf-8?B?eWIwU0tPNlF4bmdVOGZSRXFPZ2QrWmxuRXJKMTRpa1hnekkrcmYveHhmKzhq?=
 =?utf-8?B?N21aUkVjZEo2Nldsbmg1WnlQbUUxRmorSjhIbG15bzB6b2tYL1U5a0QrTjUr?=
 =?utf-8?B?UzhOdjBENU5wRDBmNWtxNUppWmlYVFk0N0FGaE41SW9kQjRPS0U0MUdEZFpo?=
 =?utf-8?B?U1Nxb3B6Vjk1K2JnYUx1ZHdwUjVGSFR0RWVuK2FQKzU0U3hPTUlYTFBVN1d5?=
 =?utf-8?B?Mi9wamUvSis5TmVkVlRsTE5LTVhSakUrRXBnbUdoL0NXT1dsc1V4RWErVE1z?=
 =?utf-8?B?a1NGQkRnTC9JQ3M5dmhyTWZPYVBFTXVXOGVJZks1bDVYWVBTbTdCaFlMb1VI?=
 =?utf-8?B?cHpscGlEbk9yMkZjdlZuWTkrUU0rZXlLb0Vka3BpTTdXaGNEYlZ0dURRb1pX?=
 =?utf-8?Q?Kz6YS7oWhm+5mtnw6r0nuvYNGXk6MpNhCjnIx8szI8Ls0?=
X-MS-Exchange-AntiSpam-MessageData-1: T6l1cQvlTqlaag==
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: 9e7f24b4-ad55-4d2b-5982-08da4fe3b795
X-MS-Exchange-CrossTenant-AuthSource: BN7PR04MB4388.namprd04.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 16 Jun 2022 22:01:08.5191 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: RnNXMVtkGa9n4+SVIQAv+hyd5p5dcqJf7FC0e5s68Kk3azjRdaeaPg83w0ms5f0jQhJ05mnUqyi7ifqILss+XA==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: CO2PR04MB2151
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6/16/2022 3:30 PM, Sean Whitton wrote:
> Hello Ken,
> 
> On Thu 16 Jun 2022 at 02:30pm -04, Ken Brown wrote:
> 
>> In commit 231a1ba3, Lars disabled the extpipe tests on EMBA "because they
>> apparently time out".  The EMBA log he cited in the commit message shows that
>> only em-extpipe-test-2 times out.  And this same test (but no others) also times
>> out on Cygwin:
> 
> That test invokes `sh -c "rev >temp"` as its only subprocess, so that's
> probably what is timing out.  Is there something different about
> Cygwin's sh?  Something about EOFs?

I'm not aware of anything different.  Here's what happens when I run the test 
interactively:

$ time echo \"bar\" | sh -c "rev >temp"

real    0m0.100s
user    0m0.030s
sys     0m0.030s

$ cat temp
"rab"

And keep in mind that the test also times out on EMBA.

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at 56025 <at> debbugs.gnu.org:


Received: (at 56025) by debbugs.gnu.org; 16 Jun 2022 19:33:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 15:33:08 2022
Received: from localhost ([127.0.0.1]:43188 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1vEq-0002Ee-Kd
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 15:33:08 -0400
Received: from mail-wm1-f49.google.com ([209.85.128.49]:41535)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1o1vCY-0002B8-Vs
 for 56025 <at> debbugs.gnu.org; Thu, 16 Jun 2022 15:30:51 -0400
Received: by mail-wm1-f49.google.com with SMTP id
 m125-20020a1ca383000000b0039c63fe5f64so1375872wme.0
 for <56025 <at> debbugs.gnu.org>; Thu, 16 Jun 2022 12:30:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=email-arizona-edu.20210112.gappssmtp.com; s=20210112;
 h=from:to:subject:in-reply-to:references:user-agent:date:message-id
 :mime-version; bh=d0vjpzXP2bzdi72+bTmvzA0y0CCRpJyJJ8Pcpsqk71Q=;
 b=h9FvYu6CVZeoS4m4haPHlfWNmJSLOihPvhamqU3M6L1rVE3sKvs1BTKOJW3raVVabx
 EBLBGTG9uCpGY+HGW3JsSxTl07OgKta6XGzZwpB4DbQZDxGY5fw0uBUsFHiHZDlQ16o+
 mJX3MUK/fLj2McBPND2nmUiA4chTqAZaUx7O8XqgWm+2HBbFTUSva8+jgJHlY0eeEPUX
 DwxEMbANNh/vGew5MBVE5BGfmxlamomXsoNOqqkz5006beBoQadAtgt1NUqeyaxUYtLe
 0zlIlCsCClHn3tw1Bp8ZoFYGDKs35pCIEiAvdxBPZpgSdNsaHsLi7IQ4AFif2XgIZJkl
 KrUw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=d0vjpzXP2bzdi72+bTmvzA0y0CCRpJyJJ8Pcpsqk71Q=;
 b=tL8sHOgKu5Iew5Lv/UNawxWhjiqLrDpTwRJLlz7EUfWH/9b7/ZUpGf2AtvvVaaS6ts
 e0rZyQw/2cZYZUCmnYyOpC7cSk6R2MKxo6YCBYb/s5mohJWKrTOsU17/ovhsAqRGcTO9
 UAJiQdHjUMxBK4tqbkj2jZP6smefxoXY9QKuKASnM5MuqcWaqpU7EvIZjsISbSDRdwha
 /wGrhuKhX26AxZaHgsB/TxqUqKhcn8ACPoonpPvwLMMJEX6kPSufK5ICfrJOQEay5+2q
 p7DoD/ocddNF7hk8ZlR66iS7BBvVYvBKAtX4imku0WvPzgSIRMi4eluDg2LBfG3dmeMf
 84jw==
X-Gm-Message-State: AJIora/Ha3FVErk+9wlOGAqnwZb87tJgyJz6oLlFWuUyj1FNuHO8CnCt
 Rn4hXv0yuXtqSFZeiCp+Bpz4NAQ7XTDzwLyRg3u73amvNoalcOzlKZIH+pT901orTTt9wUbAfhb
 VD/D7hw==
X-Google-Smtp-Source: AGRyM1ugKKAhvq67puRlYd0gADIpTMowmFT3yfdHpQndbG8C1UzYV5iBJgghappS62ksQWxKzcmhkw==
X-Received: by 2002:a05:600c:1ca0:b0:39c:4dbd:e9ed with SMTP id
 k32-20020a05600c1ca000b0039c4dbde9edmr6644740wms.40.1655407841002; 
 Thu, 16 Jun 2022 12:30:41 -0700 (PDT)
Received: from athena.silentflame.com (coeus.silentflame.com.
 [2a01:4f8:c010:9ea2::1]) by smtp.gmail.com with ESMTPSA id
 z12-20020a05600c220c00b0039c5b4ab1b0sm3025718wml.48.2022.06.16.12.30.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 16 Jun 2022 12:30:40 -0700 (PDT)
Received: by athena.silentflame.com (Postfix, from userid 1000)
 id EC8411B62D9; Thu, 16 Jun 2022 19:30:39 +0000 (UTC)
From: Sean Whitton <spwhitton@HIDDEN>
To: Ken Brown <kbrown@HIDDEN>, 56025 <at> debbugs.gnu.org
Subject: Re: bug#56025: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
In-Reply-To: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
References: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
User-Agent: Notmuch/0.36 Emacs/29.0.50 (x86_64-pc-linux-gnu)
Date: Thu, 16 Jun 2022 12:30:39 -0700
Message-ID: <87mtecl82o.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ua-ms: gsuite
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56025
X-Mailman-Approved-At: Thu, 16 Jun 2022 15:33:07 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Ken,

On Thu 16 Jun 2022 at 02:30pm -04, Ken Brown wrote:

> In commit 231a1ba3, Lars disabled the extpipe tests on EMBA "because they
> apparently time out".  The EMBA log he cited in the commit message shows that
> only em-extpipe-test-2 times out.  And this same test (but no others) also times
> out on Cygwin:

That test invokes `sh -c "rev >temp"` as its only subprocess, so that's
probably what is timing out.  Is there something different about
Cygwin's sh?  Something about EOFs?

-- 
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jun 2022 18:35:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 14:35:37 2022
Received: from localhost ([127.0.0.1]:43132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1uLA-0000o3-W6
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 14:35:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:56540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1o1uL5-0000nr-NJ
 for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 14:35:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41688)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kbrown@HIDDEN>)
 id 1o1uL5-0002bm-Hm
 for bug-gnu-emacs@HIDDEN; Thu, 16 Jun 2022 14:35:31 -0400
Received: from mail-mw2nam10on2071b.outbound.protection.outlook.com
 ([2a01:111:f400:7e89::71b]:33312
 helo=NAM10-MW2-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kbrown@HIDDEN>)
 id 1o1uL3-0008Cv-7R
 for bug-gnu-emacs@HIDDEN; Thu, 16 Jun 2022 14:35:31 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=YOCntv/192rHJ9WaQOaehbATb4SyzZahr37dYprQLimMaBH8/1w9ZgwQ1Df88ZWS3oaMXdb1bqIVCITFFk99g3byuqet7rRRK3TifOXdogTScZMgJsDRb+T4subly7BeQPdLDKRut6XXzMVj2wxuQvmQWlyhZOuvt5tjP9VSiVTP8/YkrtbzdycBlqqJrCLHIxAMRdBIybacvOZ4FoMCpfsrq/3X97lNvtu6VEXopries6iFHseoJh2dNTNJToDFGFMQAslUMNZ54/GP4D//ANCe7Pw0uc3V0mnmsFrNsWWwxl1lJMRczOhm7I2ApI8t2tNECLtQvhshWdU/lJqkag==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=srPu1BlsgEoNLZkvWw7mH4Mn9OwMtxFu8gljcPQGTm8=;
 b=ShtMucNKfBZTnsUyK0E1DBsIea35Xj2xdqu2VihwTHH0F9LWelojya9qAfJO+22IKRZrg3D3pLYbHQQmvjsGBiLP56+TNuor7Y0A7dp2+kfxuAuvTuICkH++QaIAPdFSp7nLShnqhsJF4ZVECc23t2ppUJX3jmZQ9DZdNrbR36u2PSQRkX/1E6gdOtHb5LXxytdLWxeqm27O0Asx98hPZVdi/CJ4j2JAsSAYWVoShH+RpiahEARkULmS/W89eYEP8+Q4RSrLW/tgO4vzoRr4/fq80D6KQp2HfEZaqnM0Cra2WkUMTtrZa5jSPrvGNb6R4bDlUaCMRwLye2HYSpJkbQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=cornell.edu; dmarc=pass action=none header.from=cornell.edu;
 dkim=pass header.d=cornell.edu; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=srPu1BlsgEoNLZkvWw7mH4Mn9OwMtxFu8gljcPQGTm8=;
 b=MXyzHysvsw8z1NB+SyQQAWd9C/ZKJCbAlDz0QRAT4JvcwC46EMlVWKz+x4uOxRShvQC1n7rlYIMYDHvix8htT+x76/p4CCC59RBc5gWZTfD7FejSXVjGI/qYuTPjng2o2TAwPhsRsO1JRSNaaYwuDv4Jbg84TqGODPnQGTf2YUk=
Authentication-Results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=cornell.edu;
Received: from BN7PR04MB4388.namprd04.prod.outlook.com (2603:10b6:406:f8::19)
 by BY5PR04MB6802.namprd04.prod.outlook.com (2603:10b6:a03:22d::14)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5353.14; Thu, 16 Jun
 2022 18:30:25 +0000
Received: from BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913]) by BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::9db9:737b:d7ae:d913%5]) with mapi id 15.20.5353.015; Thu, 16 Jun 2022
 18:30:24 +0000
Message-ID: <8e21db9c-0100-998e-f280-81304e7ff61a@HIDDEN>
Date: Thu, 16 Jun 2022 14:30:24 -0400
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin
Content-Language: en-US
X-Debbugs-Cc: Sean Whitton <spwhitton@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-ClientProxiedBy: MN2PR19CA0019.namprd19.prod.outlook.com
 (2603:10b6:208:178::32) To BN7PR04MB4388.namprd04.prod.outlook.com
 (2603:10b6:406:f8::19)
MIME-Version: 1.0
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 356e02f4-a9c5-4891-aa2b-08da4fc64774
X-MS-TrafficTypeDiagnostic: BY5PR04MB6802:EE_
X-Microsoft-Antispam-PRVS: <BY5PR04MB68029354486E21BC81A50120D8AC9@HIDDEN>
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: oizHoeCvi6hBd/UmITih+sRGkfhDV08W0KHCMzKNa2UWsYVFKBLPYgJDH7jIe6EcXbvL0Ea/1XSmXs5vfVvB6Qc3ABGnqCTaztazg691hPl1UV6WV26E/mJZaFvhk0VC7ig21VPhCFJTXAwvITIPMOYbN1tLArOlk6PTU6tBYNiwXveSRqXyCeGfQvDcEjqN4TNseLxC/8KT6SoX9YE5eOk/o/3lb61HZ2PbtR7/QWWwDq7x4rTzoGHZYCTSrmAwVmQAQ00cTCQvu+Xqj9jE6/h2k+Zg0ruEjdoPaH+nVPxN7dW25/sU/38NCxPUuk3MzKx2o1zmVadNq2dxyuezjNWHU6MaWPoniHrn9wNImNO17Ef7fvRLpUHfGPHGyqSVGim/vtrM/pYL1o23B5oqkTNCzxR6ApIPTn9hPfrFRFaFJMab6QtSYWgbiz1brTdP5Fwo1Xj+6siaFTRAhATTeIgtDEyUDiwglPUGfLZyiO2kndPCLReU2xkDBMA9RXSeREBfLvo6GXHIsO31vNbqSk2xUha6xUCWPM6v9fScdzgy+nRFH3AUyVTNNYDFJBsU348+9ggaLK2ai4Dc0Hvm7bMImQWng9Phey8Lj4QnP89kKvEZ6H9doe+lEdt2DwG2bkPgfW4WoNIIptlEnjfz9SO0BS1O1c6eJVyuNzlDEt3YFHqwcg1zgTSIXz5S4EfovyJK1NdMQ4ax5mTEUdZA0nJPpXgPHGhTCC8gWpm6ndY=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:BN7PR04MB4388.namprd04.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230016)(4636009)(366004)(786003)(316002)(8936002)(6486002)(36756003)(66556008)(66946007)(31686004)(38100700002)(66476007)(2616005)(86362001)(6916009)(186003)(8676002)(83380400001)(6506007)(508600001)(6512007)(75432002)(2906002)(31696002)(5660300002)(43740500002)(45980500001);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 2
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?QmxCVVpYTjd5K01GcnR4RkN4TXIvVnlZYk85OENRczZsa3NTaFM4VVE0enlC?=
 =?utf-8?B?VVpFaVphYW9WczkvRlg1WHJjVDRUR2RuZnlvRlhLVkVrZlpiV2toc2FZNkt1?=
 =?utf-8?B?bGN2aDFTamNMOUxLSnJxWXNKYWx6bGg4SmJmTkIyZVU1dHd4L3FsQzI4UUJ1?=
 =?utf-8?B?VmVSREE0WllCVzJRZkxJV2wxUW9BcDc5Y0YzNlN0SDA4TkpmcXdyQ252RC9C?=
 =?utf-8?B?L0lGM1NWK1JWTkYzeTNGLy9pWXBuWDdQeitwdkVzaG1UTCsrRlRPS0ZyN3hZ?=
 =?utf-8?B?ZGxBUlp4SFVDTkZLQkZoNkhVMjd0NEt3WUtMQnRTenNBZmozTk1NUDQ1bFJo?=
 =?utf-8?B?dmZHMVdaQ0pDck85dS9YZGQzMnJURU1lSTIrUnZWWVFuemZuQ05yVHdNMGhy?=
 =?utf-8?B?UFZnaC9Ub09DVGkzMDdMUmU3V2NsWmZpaWI4NHI3ZGJLMXZiSzNPdXdFVWJL?=
 =?utf-8?B?U0JVWDRSU2pVWU1aRVB5djlMNGZTRGJHWldVNEcwZDV1S1cxQlBZODRDR3Nt?=
 =?utf-8?B?UStsc093WEYrQ0ZwS2lwMTF2UXl0TFVCbjBVWHVhaXhjRUM4MFprZmo0QkhU?=
 =?utf-8?B?bnZNR1NGWC9ZQk9iYWZSZWk2RkFBT3d1SmxRa2JpV05hL2tzTmJzVVlqbG5N?=
 =?utf-8?B?amQ2N1YxV1F0a3BHL0RMT0pyemZmWVRRWHdjOWR3SWkwdFpDNmFDaVRlYm9J?=
 =?utf-8?B?dEIyclh3aVVJNlpMMTNLc2h4dm5uRStTSk1nc25TK0N1c0pqUXZUVGRuaGxD?=
 =?utf-8?B?aTBuaFVXRG13OC9kUmVtWVhWcldwOHdsWWpvdWVaT1VUYWNkRUYwMjV2Vyt0?=
 =?utf-8?B?aW1WMHc5WkZjYTVsSFRLMnNwVEZDd05xRWNWT2VveHR1UTladDFaWk5ZVXY3?=
 =?utf-8?B?dVNYd1hNQVpMTzJ6d21BNHVZSnEyVElFMWxxU3I0Ty9mT0QwWEJXdmxVVGFj?=
 =?utf-8?B?ZDhPWk04R3p1Z3RxNzhTR0xJdjJoK2UrZU5iSGRqa1N2MFQrQ2RuZVpyZGpP?=
 =?utf-8?B?UVpLV21zajlCVUdDVUdSU05Cc3JBc2dxRkkxUWsyZ08vdlBVUmNXT2FyUGth?=
 =?utf-8?B?TlZzTDJyOW11VXNKWk9kRzRvZytYNGpuVFdxOG94anA4elN6SDVnM3krZ1Bl?=
 =?utf-8?B?K0ZzaTV0NC9LbkdoWE56L0xSVkRySUxlajJXL1pqZHVSNUxVTFBmZzZ4Ym82?=
 =?utf-8?B?allwV09LcUJCSitkTmpkS2tvVTF2TG8rSGh1c3lKTEYweDdNSGcvY3N4Ty9G?=
 =?utf-8?B?Rld2RTBScURzQUFzTzVkYlYyVENwZUtnNFpYUDhLQVBKMzhlcEJ1aUx3Vll4?=
 =?utf-8?B?eU9EV2dKNGhsU0Z6bUJvdmhOcEFwaTdvbEpUNTJyZFZMRmQyK0RxemRaM0px?=
 =?utf-8?B?YnFiM1NYR0tNb2tZR2hCKzdoN3VqZGsxcXB0NWJtd095VjNscnBmdzJCbFRD?=
 =?utf-8?B?UEMyUStOczB6RXRKMGUrL0hxbndZMkRqejZ2QUNvcWJUZzBGTjBpRDVsank0?=
 =?utf-8?B?Ymg1Sjl1eGJHdEhBSzhQVXJUdjU3bE5SMU5tcml6bHFuNTV1NnZubXMvK1Zv?=
 =?utf-8?B?WGtDWTI4ejByQUZRY2hXMWhnS2V6Rk91dWRRZ0F6MGxvaEtRUHM0emZIbGw0?=
 =?utf-8?B?bDJaVHB1SnlJUjZYZFhoU2w3YStuSWUxZGJDSDJCVUxlamFTRVJacnhhdE9J?=
 =?utf-8?B?OWg4MndxQVhPZVExOUNqdkw4MWYveDRTcWlSUGQyZXN5aE0rY213UUtsb3Fo?=
 =?utf-8?B?MXcwTDlBZ0ltcWhaclQzbndjeXFHdjNGU2tLcGl6ZVZUTERQY1l0SVNXNDIr?=
 =?utf-8?B?MndPanBoSzdIUExvd3d4OHVVakswZld5OTBMc2QvVEIrZTA5amRDTWp0ejlm?=
 =?utf-8?B?SFZlRUVldlN4ZlRGWkJNcHdnZmRiK3dGQUpHZzBVcHp1RUNVazJjR25MY3pE?=
 =?utf-8?B?ckJmNDBRUVJGTjZqV1BjbEZzS3I2SnVYN3h2QmhOSTkvcWNMb2JLNDI2OUJ1?=
 =?utf-8?B?SHZwTVFCckJ0eFN4WWlKV0srQUxYaFN4L3FtOEpWNUxFM2xMYTVRV050b0p0?=
 =?utf-8?B?RVdQT3ZFcnhyNVRkNzh4WWEzN3F0N1ROeHBHQ1g0YUlOUHlkbWx0Q01ub1Ji?=
 =?utf-8?B?aWlRNEFNM3RmSmFYamp4S2lWT1UyNkVKdkJ2eTRaZFNOUGNwTnFBTlFDUk9M?=
 =?utf-8?B?UWZKaTVhWEM4M2pXTG16MjRpd1doVkU4SUFGbndudko1aVpLd2JydWQ3Mzdl?=
 =?utf-8?B?ZXVvQVB3Q1dsNHdXS1h3MnF6Rnd3TE5UTjZweWtsUHlualdBc2dZMllDZ0pM?=
 =?utf-8?B?UGdmQzJLRlZNK251R2JscjA0YzdiNk9NN1A4Y3lyVkRncUpYVDR1T0ZUN1lE?=
 =?utf-8?Q?VDGfyvkezep1iNldPOX20xZrf6bsJaiemj89E66BKMiNx?=
X-MS-Exchange-AntiSpam-MessageData-1: 9i109UBIinaSGg==
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: 356e02f4-a9c5-4891-aa2b-08da4fc64774
X-MS-Exchange-CrossTenant-AuthSource: BN7PR04MB4388.namprd04.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 16 Jun 2022 18:30:24.8699 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: gHVLE72qw50mRKfPF2wKDc2x/DZWWyh855zWgW4g3F2dcBOzYFPwRF8tUJmnefjM2rK3mQ15QMyArvlyjgx62w==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BY5PR04MB6802
Received-SPF: pass client-ip=2a01:111:f400:7e89::71b;
 envelope-from=kbrown@HIDDEN;
 helo=NAM10-MW2-obe.outbound.protection.outlook.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

In commit 231a1ba3, Lars disabled the extpipe tests on EMBA "because they 
apparently time out".  The EMBA log he cited in the commit message shows that 
only em-extpipe-test-2 times out.  And this same test (but no others) also times 
out on Cygwin:

$ make -C test em-extpipe-tests
[...]
Test em-extpipe-test-2 backtrace:
   signal(error ("timed out waiting for subprocess(es)"))
   error("timed out waiting for subprocess(es)")
   eshell-wait-for-subprocess()
   eshell-command-result-p("echo \"bar\" | rev *>/tmp/emacs-test-Rw5ILv
   (let ((input (replace-regexp-in-string "temp\\([^>]\\|\\'\\)" temp (
   (unwind-protect (let ((input (replace-regexp-in-string "temp\\([^>]\
   (let ((temp-buffer (generate-new-buffer " *temp*" t))) (unwind-prote
   (progn (let ((temp-buffer (generate-new-buffer " *temp*" t))) (unwin
   (unwind-protect (progn (let ((temp-buffer (generate-new-buffer " *te
   (let* ((coding-system-for-write nil) (temp-file (identity (make-temp
   (save-current-buffer (set-buffer eshell-buffer) (let* ((fn-38 #'exec
   (unwind-protect (save-current-buffer (set-buffer eshell-buffer) (let
   (let* ((process-environment (cons "HISTFILE" process-environment)) (
   (progn (let* ((process-environment (cons "HISTFILE" process-environm
   (unwind-protect (progn (let* ((process-environment (cons "HISTFILE"
   (let* ((coding-system-for-write nil) (temp-file (file-name-as-direct
   (save-current-buffer (let* ((coding-system-for-write nil) (temp-file
   (let ((input "echo \"bar\" | rev *>temp")) (save-current-buffer (let
   (progn (let ((value-24 (gensym "ert-form-evaluation-aborted-"))) (le
   (closure (t) nil (progn (let ((value-24 (gensym "ert-form-evaluation
   ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
   ert-run-test(#s(ert-test :name em-extpipe-test-2 :documentation nil
   ert-run-or-rerun-test(#s(ert--stats :selector ... :tests ... :test-m
   ert-run-tests((not (or (tag :unstable) (tag :nativecomp))) #f(compil
   ert-run-tests-batch((not (or (tag :unstable) (tag :nativecomp))))
   ert-run-tests-batch-and-exit((not (or (tag :unstable) (tag :nativeco
   eval((ert-run-tests-batch-and-exit '(not (or (tag :unstable) (tag :n
   command-line-1(("-L" ":../../master/test" "-l" "ert" "-l" "lisp/eshe
   command-line()
   normal-top-level()
Test em-extpipe-test-2 condition:
     (error "timed out waiting for subprocess(es)")
    FAILED  10/17  em-extpipe-test-2 (5.237846 sec) at 
../../master/test/lisp/eshell/em-extpipe-tests.el:87

I don't see what's special about this test that would cause it to time out on 
some systems.  Sean, do you have any ideas?  If not, I suggest just skipping it 
on Cygwin.  And maybe we should skip just this extpipe test (rather than all of 
them) on EMBA.

Ken




Acknowledgement sent to Ken Brown <kbrown@HIDDEN>:
New bug report received and forwarded. Copy sent to spwhitton@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to spwhitton@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#56025; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 26 Jun 2022 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.